-- --------------------------------------------------------

--
-- Table structure for table `#__assets`
--

DROP TABLE IF EXISTS `#__assets`;
CREATE TABLE IF NOT EXISTS `#__assets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `level` int(10) unsigned NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
);

--
-- Dumping data for table `#__assets`
--

INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(1, 0, 1, 133, 0, 'root.1', 'Root Asset', '{"core.login.site":{"6":1,"2":1},"core.login.admin":{"6":1},"core.login.offline":{"6":1},"core.admin":{"8":1},"core.manage":{"7":1},"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(2, 1, 1, 2, 1, 'com_admin', 'com_admin', '{}'),
(3, 1, 3, 6, 1, 'com_banners', 'com_banners', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(4, 1, 7, 8, 1, 'com_cache', 'com_cache', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(5, 1, 9, 10, 1, 'com_checkin', 'com_checkin', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(6, 1, 11, 12, 1, 'com_config', 'com_config', '{}'),
(7, 1, 13, 16, 1, 'com_contact', 'com_contact', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(8, 1, 17, 74, 1, 'com_content', 'com_content', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
(9, 1, 75, 76, 1, 'com_cpanel', 'com_cpanel', '{}'),
(10, 1, 77, 78, 1, 'com_installer', 'com_installer', '{"core.admin":[],"core.manage":{"7":0},"core.delete":{"7":0},"core.edit.state":{"7":0}}'),
(11, 1, 79, 80, 1, 'com_languages', 'com_languages', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(12, 1, 81, 82, 1, 'com_login', 'com_login', '{}'),
(13, 1, 83, 84, 1, 'com_mailto', 'com_mailto', '{}'),
(14, 1, 85, 86, 1, 'com_massmail', 'com_massmail', '{}'),
(15, 1, 87, 88, 1, 'com_media', 'com_media', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":{"5":1}}'),
(16, 1, 89, 90, 1, 'com_menus', 'com_menus', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(17, 1, 91, 92, 1, 'com_messages', 'com_messages', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(18, 1, 93, 94, 1, 'com_modules', 'com_modules', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(19, 1, 95, 98, 1, 'com_newsfeeds', 'com_newsfeeds', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(20, 1, 99, 100, 1, 'com_plugins', 'com_plugins', '{"core.admin":{"7":1},"core.manage":[],"core.edit":[],"core.edit.state":[]}'),
(21, 1, 101, 102, 1, 'com_redirect', 'com_redirect', '{"core.admin":{"7":1},"core.manage":[]}'),
(22, 1, 103, 104, 1, 'com_search', 'com_search', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(23, 1, 105, 106, 1, 'com_templates', 'com_templates', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(24, 1, 107, 110, 1, 'com_users', 'com_users', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(25, 1, 111, 116, 1, 'com_weblinks', 'com_weblinks', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
(26, 1, 117, 118, 1, 'com_wrapper', 'com_wrapper', '{}'),
(27, 8, 18, 19, 2, 'com_content.category.2', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(28, 3, 4, 5, 2, 'com_banners.category.3', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(29, 7, 14, 15, 2, 'com_contact.category.4', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(30, 19, 96, 97, 2, 'com_newsfeeds.category.5', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(31, 25, 112, 113, 2, 'com_weblinks.category.6', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(32, 24, 108, 109, 1, 'com_users.notes.category.7', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(33, 1, 119, 120, 1, 'com_finder', 'com_finder', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(35, 1, 121, 122, 1, 'com_rokcandy.category.8', 'Basic', ''),
(36, 1, 123, 124, 1, 'com_rokcandy.category.9', 'Typography', ''),
(37, 1, 125, 126, 1, 'com_rokcandy.category.10', 'Uncategorised', ''),
(38, 1, 127, 128, 1, 'com_rokcandy', 'rokcandy', '{}'),
(39, 1, 129, 130, 1, 'com_rokgallery', 'rokgallery', '{}'),
(40, 8, 20, 43, 2, 'com_content.category.11', 'Demo Content', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(41, 40, 21, 22, 3, 'com_content.article.1', 'Module Positions', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(42, 40, 23, 24, 3, 'com_content.article.2', 'Module Variations', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(43, 40, 25, 26, 3, 'com_content.article.3', 'Integrated Extensions', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(44, 40, 27, 28, 3, 'com_content.article.4', 'Template Typography', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(45, 40, 29, 30, 3, 'com_content.article.5', 'Menu Options', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(46, 40, 31, 32, 3, 'com_content.article.6', 'Tutorials and Guides', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(47, 40, 33, 34, 3, 'com_content.article.7', 'Installation Instructions', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(48, 40, 35, 36, 3, 'com_content.article.8', 'Logo Editing', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(49, 40, 37, 38, 3, 'com_content.article.9', 'Preset Styles', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(50, 51, 45, 46, 3, 'com_content.article.10', 'Sample Content', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(51, 8, 44, 63, 2, 'com_content.category.12', 'Sample Content', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(52, 51, 47, 48, 3, 'com_content.article.11', 'Sample Content 1', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(53, 51, 49, 50, 3, 'com_content.article.12', 'Sample Content 2', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(54, 51, 51, 52, 3, 'com_content.article.13', 'Sample Content 3', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(55, 51, 53, 54, 3, 'com_content.article.14', 'Sample Content 4', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(56, 51, 55, 56, 3, 'com_content.article.15', 'Sample Content 5', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(57, 51, 57, 58, 3, 'com_content.article.16', 'Sample Content 6', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(58, 51, 59, 60, 3, 'com_content.article.17', 'Sample Content 7 ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(59, 51, 61, 62, 3, 'com_content.article.18', 'Sample Content 8', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(60, 40, 39, 40, 3, 'com_content.article.19', 'Frontpage Article', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(61, 8, 64, 73, 2, 'com_content.category.13', 'FP RokTabs', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(63, 61, 65, 66, 3, 'com_content.article.21', 'RokGallery', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(64, 61, 67, 68, 3, 'com_content.article.22', 'RokTabs', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(65, 61, 69, 70, 3, 'com_content.article.23', 'RokNewsPager', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(66, 61, 71, 72, 3, 'com_content.article.24', 'RokTwittie', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(67, 40, 41, 42, 3, 'com_content.article.25', 'Template Features', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(68, 25, 114, 115, 2, 'com_weblinks.category.14', 'RocketTheme', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(69, 1, 131, 132, 1, 'com_gantry', 'gantry', '{}');

-- --------------------------------------------------------

--
-- Table structure for table `#__associations`
--

DROP TABLE IF EXISTS `#__associations`;
CREATE TABLE IF NOT EXISTS `#__associations` (
  `id` varchar(50) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
);

-- --------------------------------------------------------

--
-- Table structure for table `#__banners`
--

DROP TABLE IF EXISTS `#__banners`;
CREATE TABLE IF NOT EXISTS `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`)
);

-- --------------------------------------------------------

--
-- Table structure for table `#__banner_clients`
--

DROP TABLE IF EXISTS `#__banner_clients`;
CREATE TABLE IF NOT EXISTS `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` text NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`)
);

-- --------------------------------------------------------

--
-- Table structure for table `#__banner_tracks`
--

DROP TABLE IF EXISTS `#__banner_tracks`;
CREATE TABLE IF NOT EXISTS `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
);

-- --------------------------------------------------------

--
-- Table structure for table `#__categories`
--

DROP TABLE IF EXISTS `#__categories`;
CREATE TABLE IF NOT EXISTS `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
);

--
-- Dumping data for table `#__categories`
--

INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`) VALUES
(1, 0, 0, 0, 27, 0, '', 'system', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '', 367, '2009-10-18 16:07:09', 0, '0000-00-00 00:00:00', 0, '*'),
(2, 27, 1, 1, 2, 1, 'uncategorised', 'com_content', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 367, '2010-06-28 13:26:37', 0, '0000-00-00 00:00:00', 0, '*'),
(3, 28, 1, 3, 4, 1, 'uncategorised', 'com_banners', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":"","foobar":""}', '', '', '{"page_title":"","author":"","robots":""}', 367, '2010-06-28 13:27:35', 0, '0000-00-00 00:00:00', 0, '*'),
(4, 29, 1, 5, 6, 1, 'uncategorised', 'com_contact', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 367, '2010-06-28 13:27:57', 0, '0000-00-00 00:00:00', 0, '*'),
(5, 30, 1, 7, 8, 1, 'uncategorised', 'com_newsfeeds', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 367, '2010-06-28 13:28:15', 0, '0000-00-00 00:00:00', 0, '*'),
(6, 31, 1, 9, 10, 1, 'uncategorised', 'com_weblinks', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 367, '2010-06-28 13:28:33', 0, '0000-00-00 00:00:00', 0, '*'),
(7, 32, 1, 11, 12, 1, 'uncategorised', 'com_users', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 367, '2010-06-28 13:28:33', 0, '0000-00-00 00:00:00', 0, '*'),
(8, 35, 1, 13, 14, 1, 'basic', 'com_rokcandy', 'Basic', 'basic', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 367, '2012-01-30 21:34:15', 0, '0000-00-00 00:00:00', 0, ''),
(9, 36, 1, 15, 16, 1, 'typography', 'com_rokcandy', 'Typography', 'typography', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 367, '2012-01-30 21:34:15', 0, '0000-00-00 00:00:00', 0, ''),
(10, 37, 1, 17, 18, 1, 'uncategorised', 'com_rokcandy', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 367, '2012-01-30 21:34:15', 0, '0000-00-00 00:00:00', 0, ''),
(11, 40, 1, 19, 20, 1, 'demo-content', 'com_content', 'Demo Content', 'demo-content', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 367, '2012-01-30 21:50:09', 0, '0000-00-00 00:00:00', 0, '*'),
(12, 51, 1, 21, 22, 1, 'sample-content', 'com_content', 'Sample Content', 'sample-content', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 367, '2012-01-30 21:54:08', 0, '0000-00-00 00:00:00', 0, '*'),
(13, 61, 1, 23, 24, 1, 'fp-roktabs', 'com_content', 'FP RokTabs', 'fp-roktabs', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 367, '2012-01-30 22:00:35', 0, '0000-00-00 00:00:00', 0, '*'),
(14, 68, 1, 25, 26, 1, 'rockettheme', 'com_weblinks', 'RocketTheme', 'rockettheme', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 367, '2012-01-31 00:14:41', 0, '0000-00-00 00:00:00', 0, '*');

-- --------------------------------------------------------

--
-- Table structure for table `#__contact_details`
--

DROP TABLE IF EXISTS `#__contact_details`;
CREATE TABLE IF NOT EXISTS `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `con_position` varchar(255) DEFAULT NULL,
  `address` text,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` mediumtext,
  `image` varchar(255) DEFAULT NULL,
  `imagepos` varchar(20) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL,
  `sortname2` varchar(255) NOT NULL,
  `sortname3` varchar(255) NOT NULL,
  `language` char(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
);

--
-- Dumping data for table `#__contact_details`
--

INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `imagepos`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`) VALUES
(1, 'Clarion', 'clarion', 'Site Owner', '7001 St. Thomas Avenue', 'Seattle', 'WA', 'United States of America', '00000', '+1 555-555-5555', '+1 555-555-5555', '', 'images/stories/clarion.jpg', NULL, '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":null,"linkb_name":"","linkb":null,"linkc_name":"","linkc":null,"linkd_name":"","linkd":null,"linke_name":"","linke":"","contact_layout":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 42, 4, 1, '+1 555-555-5555', 'http://demo.rockettheme.com/', '', '', '', '*', '2012-01-31 00:17:13', 367, '', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `#__content`
--

DROP TABLE IF EXISTS `#__content`;
CREATE TABLE IF NOT EXISTS `#__content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `title_alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'Deprecated in Joomla! 3.0',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `sectionid` int(10) unsigned NOT NULL DEFAULT '0',
  `mask` int(10) unsigned NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `parentid` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
);

--
-- Dumping data for table `#__content`
--

INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(1, 41, 'Module Positions', 'module-positions', '', '<div class="module-title "><h2 class="title">Module Positions Diagram</h2></div>\r\n<p class="notice">If no modules are published to a position, the entire area or row will not appear/collapse.</p>\r\n<img src="images/stories/demo/general/position-3.jpg" alt="Module Positions" class="rt-image" height="948" width="424" />\r\n<div class="rt-center"><a class="readon"  href="http://www.gantry-framework.org/documentation/joomla/configure/layouts"><span>Documentation: Gantry Framework Layouts</span></a></div>', '', 1, 0, 0, 11, '2012-01-30 21:50:23', 367, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-01-30 21:50:23', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 10, '', '', 1, 8, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(2, 42, 'Module Variations', 'module-variations', '', '<p>There are 12 stylistic module class suffixes, these add a unique style variation to the module: <strong>box1-7</strong> and <strong>title1-5</strong>; and 26 structural suffixes, these affect the layout and metrics of the module.</p>\r\n\r\n<div class="title5"><div class="module-title"><h2 class="title">Module Suffix "title"</h2><div class="clear"></div></div></div>\r\n<p class="nomarginbottom">There are 5 variations to change the module title: title1-5.</p>\r\n\r\n<div class="title1 nomarginleft nomarginbottom nomargintop rt-demo-grid-3"><div class="rt-block"><div class="module-surround">\r\n<div class="module-title "><div class="arrow-box"></div>\r\n<h2 class="title"> Title1</h2></div>\r\n<div class="module-content">\r\n<p class="nomarginbottom">An example module using the <strong>title1</strong> module class suffix.</p>\r\n<div class="clear"></div>\r\n</div></div></div></div>\r\n<div class="title2 nomarginbottom nomargintop rt-demo-grid-3"><div class="rt-block"><div class="module-surround">\r\n<div class="module-title "><div class="arrow-box"></div>\r\n<h2 class="title"> Title2</h2></div>\r\n<div class="module-content">\r\n<p class="nomarginbottom">An example module using the <strong>title2</strong> module class suffix.</p>\r\n<div class="clear"></div>\r\n</div></div></div></div>\r\n<div class="title3 nomarginbottom nomargintop rt-demo-grid-3"><div class="rt-block"><div class="module-surround">\r\n<div class="module-title "><div class="arrow-box"></div>\r\n<h2 class="title"> title3</h2></div>\r\n<div class="module-content">\r\n<p class="nomarginbottom">An example module using the <strong>title3</strong> module class suffix.</p>\r\n<div class="clear"></div>\r\n</div></div></div></div>\r\n<div class="title4 nomarginleft nomargintop rt-demo-grid-3"><div class="rt-block"><div class="module-surround">\r\n<div class="module-title "><div class="arrow-box"></div>\r\n<h2 class="title"> Title4</h2></div>\r\n<div class="module-content">\r\n<p class="nomarginbottom">An example module using the <strong>title4</strong> module class suffix.</p>\r\n<div class="clear"></div>\r\n</div></div></div></div>\r\n<div class="title5 nomargintop rt-demo-grid-3"><div class="rt-block"><div class="module-surround">\r\n<div class="module-title "><div class="arrow-box"></div>\r\n<h2 class="title"> Title5</h2></div>\r\n<div class="module-content">\r\n<p class="nomarginbottom">An example module using the <strong>title5</strong> module class suffix.</p>\r\n<div class="clear"></div>\r\n</div></div></div></div>\r\n\r\n<div class="clear"></div>\r\n\r\n<div class="title5"><div class="module-title"><h2 class="title">Module Suffix "box"</h2><div class="clear"></div></div></div>\r\n<p class="nomarginbottom">There are 7 variations to change the module background: box1-7.</p>\r\n\r\n<div class="box1 nomarginleft rt-demo-grid-3"><div class="rt-block"><div class="module-surround">\r\n<div class="module-title ">\r\n<h2 class="title"> Box1</h2></div>\r\n<div class="module-content">\r\n<p class="nomarginbottom">An example module using the <strong>box1</strong> module class suffix.</p>\r\n<div class="clear"></div>\r\n</div></div></div></div>\r\n<div class="box2 rt-demo-grid-3 smallpaddingleft"><div class="rt-block"><div class="module-surround">\r\n<div class="module-title ">\r\n<h2 class="title"> Box2</h2></div>\r\n<div class="module-content">\r\n<p class="medmarginbottom">An example module using the <strong>box2</strong> module class suffix.</p>\r\n<div class="clear"></div>\r\n</div></div></div></div>\r\n<div class="box3 largemargintop rt-demo-grid-3"><div class="rt-block"><div class="module-surround">\r\n<div class="module-title ">\r\n<h2 class="title"> box3</h2></div>\r\n<div class="module-content">\r\n<p class="nomarginbottom">An example module using the <strong>box3</strong> module class suffix.</p>\r\n<div class="clear"></div>\r\n</div></div></div></div>\r\n<div class="clear"></div>\r\n<div class="box4 nomarginleft rt-demo-grid-3"><div class="rt-block"><div class="module-surround">\r\n<div class="module-title ">\r\n<h2 class="title"> Box4</h2></div>\r\n<div class="module-content">\r\n<p class="nomarginbottom">An example module using the <strong>box4</strong> module class suffix.</p>\r\n<div class="clear"></div>\r\n</div></div></div></div>\r\n<div class="box5 rt-demo-grid-3"><div class="rt-block"><div class="module-surround">\r\n<div class="module-title ">\r\n<h2 class="title"> Box5</h2></div>\r\n<div class="module-content">\r\n<p class="nomarginbottom">An example module using the <strong>box5</strong> module class suffix.</p>\r\n<div class="clear"></div>\r\n</div></div></div></div>\r\n<div class="box6 rt-demo-grid-3"><div class="rt-block"><div class="module-surround">\r\n<div class="module-title ">\r\n<h2 class="title"> Box6</h2></div>\r\n<div class="module-content">\r\n<p class="nomarginbottom">An example module using the <strong>box6</strong> module class suffix.</p>\r\n<div class="clear"></div>\r\n</div></div></div></div>\r\n<div class="clear"></div>\r\n<div class="box7 nomarginleft nomarginbottom rt-demo-grid-3"><div class="rt-block"><div class="module-surround">\r\n<div class="module-title ">\r\n<h2 class="title"> Box7</h2></div>\r\n<div class="module-content">\r\n<p class="nomarginbottom">An example module using the <strong>box7</strong> module class suffix.</p>\r\n<div class="clear"></div>\r\n</div></div></div></div>\r\n\r\n<div class="clear"></div>', '', 1, 0, 0, 11, '2012-01-30 21:50:34', 367, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-01-30 21:50:34', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 9, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(3, 43, 'Integrated Extensions', 'integrated-extensions', '', '<div class="module-title">\r\n	<h1 class="title"><span>Integrated</span> Extensions</h1>\r\n</div>\r\n\r\n<h4>Styled Support for RocketTheme Extensions and K2</h4>\r\n\r\n<div class="rt-demo-grid-6 standardcase nomarginleft rt-center">\r\n\r\n	<a href="images/stories/demo/general/extensions/k2-big.jpg" title="K2 Styled" rel="rokbox[336 700]"><img class="rt-image" src="images/stories/demo/general/extensions/k2-screenshot.jpg" alt="K2" width="423" height="170" /></a><br />\r\n\r\n	<a href="images/stories/demo/general/extensions/rokgallery-big.jpg" title="RokGallery Styled" rel="rokbox[800 548]"><img class="rt-image" src="images/stories/demo/general/extensions/rokgallery-screenshot.jpg" alt="RokGallery" width="423" height="170" /></a>\r\n\r\n	<p class="alert">RocketTheme Extensions do not support K2 content in J! 2.5</p>\r\n\r\n</div>\r\n\r\n<div class="rt-demo-grid-6 standardcase">\r\n	<div class="rt-demo-grid-3 nomarginright nomarginleft">\r\n		<div class="module-title nomarginbottom largemarginleft">\r\n			<h3 class="title"><span>K2</span> Styled</h3>\r\n		</div>\r\n		<img class="rt-image largemarginleft" src="images/stories/demo/general/extensions/top-getk2.jpg" alt="K2" width="190" height="80" />\r\n		<ul class="circle blue nomarginbottom">\r\n			<li><strong>CCK-Like</strong><br />Integrated solution for Joomla! similar to CCK for those acquainted with Drupal.</li>\r\n			<li><strong>Magazine Style</strong><br />Using K2, you can transform your Joomla! website to a news or magazine site.</li>\r\n			<li><strong>Extensible</strong><br />Easily create category specific content and add extra fields to its base item form.</li>\r\n		</ul>\r\n		<a href="#" class="readon largemarginleft" target="_blank"><span style="width: 160px; text-align: center;">Download : K2</span></a>\r\n	</div>\r\n\r\n	<div class="rt-demo-grid-3 nomarginright">\r\n		<div class="module-title nomarginbottom largemarginleft">\r\n			<h3 class="title"><span>RokGallery</span> Styled</h3>\r\n		</div>\r\n		<img class="rt-image largemarginleft" src="images/stories/demo/general/extensions/top-rokgallery.jpg" alt="K2" width="190" height="80" />	\r\n		<ul class="circle blue nomarginbottom">\r\n			<li><strong>Versatile</strong><br />A revolutionary gallery extension, developed to be hugely flexible &amp; user friendly.</li>\r\n			<li><strong>Interactive</strong><br />Multi-selection via selection drag, or “shift” clicking multiple images.</li>\r\n			<li><strong>Flexible</strong><br />Gallery view component with various view options: 3x3, 4x4, slideshow, etc.</li>\r\n			</ul>		\r\n		<a href="#" class="readon largemarginleft" target="_blank"><span style="width: 160px; text-align: center;">Download : RokGallery</span></a>\r\n	</div>\r\n</div>\r\n\r\n<div class="clear"></div>\r\n\r\n<div class="title5 largepaddingbottom"><div class="module-title"><div class="title">&nbsp;</div></div></div>\r\n\r\n<div class="rt-demo-grid-6 title5">\r\n	<div class="module-title">\r\n		<h1 class="title"><span>RokTabs</span> Module</h1>\r\n	</div>	\r\n	<p class="medmarginbottom"><strong>RokTabs</strong> is a tabbed content module, standalone and themed. Content is transitioned, either by fade or scroll, powered by Mootools, which can be automatic or manual.</p>\r\n\r\n	<p>\r\n	<a href="http://www.rockettheme.com/extensions-joomla/roktabs" class="readon smallmarginright" target="_blank"><span>Details</span></a>\r\n	<a href="http://www.rockettheme.com/extensions-downloads/club/1011-roktabs" class="readon smallmarginright" target="_blank"><span>Download</span></a>\r\n	<a href="http://www.rockettheme.com/forum/index.php?f=207&amp;rb_v=viewforum" class="readon" target="_blank"><span>Support</span></a>\r\n</p>\r\n\r\n</div>\r\n\r\n<div class="rt-demo-grid-6 title5 floatright">\r\n	<img src="images/stories/demo/general/extensions/roktabs.jpg" alt="RokTabs" width="400" height="142" />\r\n</div>\r\n\r\n<div class="clear"></div><br /><br />\r\n\r\n<div class="rt-demo-grid-6 title5">\r\n	<img class="rt-image" src="images/stories/demo/general/extensions/rokfeaturetable.jpg" alt="RokFeatureTable" width="400" height="257" />\r\n</div>\r\n\r\n<div class="rt-demo-grid-6 title5 floatright">\r\n	<div class="module-title">\r\n		<h1 class="title"><span>RokFeatureTable</span> Module</h1>\r\n	</div>	\r\n\r\n	<p><strong>RokFeatureTable</strong> offers a stylistic and user friendly solution for displaying tabular based data. It is perfect for price or product comparisons, or essentially, any type of data display that suits a matrix format.</p>\r\n\r\n	<p>A simple, yet dynamic, interface provides you with the tools to quickly edit the contents of the module. There are a series of parameters allowing for unlimited row, with options for text, link, class and much more, which allows for extensive control.</p>\r\n\r\n	<p>\r\n		<a href="http://www.rockettheme.com/extensions-joomla/rokfeaturetable" class="readon smallmarginright" target="_blank"><span>Details</span></a>\r\n		<a href="http://www.rockettheme.com/extensions-downloads/club/1656-rokfeaturetable" class="readon smallmarginright" target="_blank"><span>Download</span></a>\r\n		<a href="http://www.rockettheme.com/forum/index.php?f=410&amp;rb_v=viewforum" class="readon" target="_blank"><span>Support</span></a>\r\n	</p>\r\n\r\n</div>\r\n\r\n<div class="clear"></div><br /><br />\r\n\r\n<div class="rt-demo-grid-6 title5">\r\n	<div class="module-title">\r\n		<h1 class="title"><span>RokNewsPager</span> Module</h1>\r\n	</div>	\r\n\r\n	<p><strong>RokNewsPager</strong> is an article previewer and rotator. It displays content articles, in a summarised form and, using mootools based javascript transition, rotates through a series of pages displaying articles in a contracted list format.</p>\r\n\r\n	<ul class="checkmark green normalfont">\r\n	    <li><strong>Javascript Transitions:</strong> using the power of mootools, the module fades between lists of your content articles</li>\r\n	    <li><strong>Previews:</strong> set the number of characters you wish to display from your articles</li>\r\n	    <li>Section Control: choose all articles, or those from particular sections or categories</li>\r\n	    <li><strong>Auto Update:</strong> select whether the module auto-updates using AJAX</li>\r\n	</ul>\r\n\r\n	<p>\r\n		<a href="http://www.rockettheme.com/extensions-joomla/roknewspager" class="readon smallmarginright" target="_blank"><span>Details</span></a>\r\n		<a href="http://www.rockettheme.com/extensions-downloads/club/999-roknewspager" class="readon smallmarginright" target="_blank"><span>Download</span></a>\r\n		<a href="http://www.rockettheme.com/forum/index.php?f=214&amp;rb_v=viewforum" class="readon" target="_blank"><span>Support</span></a>\r\n	</p>\r\n\r\n</div>\r\n\r\n<div class="rt-demo-grid-6 title5 floatright">\r\n	<img src="images/stories/demo/general/extensions/roknewspager.png" alt="RokNewsPager" width="400" height="355" />\r\n</div>\r\n\r\n<div class="clear"></div><br /><br />\r\n\r\n<div class="rt-demo-grid-6 title5">\r\n	<img class="rt-image" src="images/stories/demo/general/extensions/roktwittie.jpg" alt="RokTwittie" width="400" height="250" />\r\n</div>\r\n\r\n<div class="rt-demo-grid-6 title5 floatright">\r\n	<div class="module-title">\r\n		<h1 class="title"><span>RokTwittie</span> Module</h1>\r\n	</div>	\r\n\r\n	<p><strong>RokTwittie</strong> is a module that integrates Twitter into your Joomla site. Display tweets of any username, or even by search terms, as well as your profile information and various other elements from Twitter itself.</p>\r\n\r\n	<ul class="checkmark green normalfont">\r\n	    <li>Real Time Tweets: Tweets update live from Twitter</li>\r\n	    <li>Search: Use the inbuilt search to scan for usernames or keywords</li>\r\n	    <li>Highly configurable: Options to control every aspect of RokTwittie</li>\r\n	</ul>\r\n\r\n	<p>\r\n		<a href="http://www.rockettheme.com/extensions-joomla/roktwittie" class="readon smallmarginright" target="_blank"><span>Details</span></a>\r\n		<a href="http://www.rockettheme.com/extensions-downloads/club/1002-roktwittie" class="readon smallmarginright" target="_blank"><span>Download</span></a>\r\n		<a href="http://www.rockettheme.com/forum/index.php?f=221&amp;rb_v=viewforum" class="readon" target="_blank"><span>Support</span></a>\r\n	</p>\r\n\r\n</div>\r\n\r\n<div class="clear"></div><br /><br />\r\n\r\n<div class="rt-demo-grid-6 title5">\r\n	<div class="module-title">\r\n		<h1 class="title"><span>RokMiniEvents</span> Module</h1>\r\n	</div>	\r\n\r\n	<p>The module is very intuitive, automatically adjusting itself based on your events and event ranges; simply set the number of events and the time range, and RokMiniEvents will do the rest.</p>\r\n\r\n	<ul class="checkmark green normalfont nomarginbottom">\r\n	    <li><strong>Sources:</strong> Choose between Google Calendar, JomSocial, RSEvents, JEvents, EventList</li>\r\n	    <li><strong>Animation:</strong> Transitions, durations, offsets</li>\r\n	</ul>\r\n\r\n	<p>\r\n		<a href="http://www.rockettheme.com/extensions-joomla/rokminievents" class="readon smallmarginright" target="_blank"><span>Details</span></a>\r\n		<a href="http://www.rockettheme.com/extensions-downloads/club/1886-rokminievents" class="readon smallmarginright" target="_blank"><span>Download</span></a>\r\n		<a href="http://www.rockettheme.com/forum/index.php?f=474&amp;rb_v=viewforum" class="readon" target="_blank"><span>Support</span></a>\r\n	</p>\r\n\r\n</div>\r\n\r\n<div class="rt-demo-grid-6 title5 floatright">\r\n	<img class="rt-image" src="images/stories/demo/general/extensions/rokminievents.jpg" alt="RokMiniEvents" width="400" height="224" />\r\n</div>\r\n\r\n<div class="clear"></div><br /><br />\r\n\r\n<div class="rt-demo-grid-6 title5">\r\n	<img class="rt-image" src="images/stories/demo/general/extensions/rokajaxsearch.jpg" alt="RokTwittie" width="400" height="440" />\r\n</div>\r\n\r\n<div class="rt-demo-grid-6 title5 floatright">\r\n	<div class="module-title">\r\n		<h1 class="title"><span>RokAjaxSearch</span> Module</h1>\r\n	</div>	\r\n\r\n	<p>RokAjaxSearch is a truly powerful module that brings fantastic search functionality to Joomla, using the powerful and versatile javascript library, Mootools as well as full Google Search integration.</p>\r\n\r\n	<p>RokAjaxSearch offers AJAX powered real time search results for both your Joomla site content as well Google Search. There are various configuration options and parameters allowing you to enable not only Google web search, but Google Blog search, Google Image search, and Google Video search.</p>\r\n\r\n	<ul class="checkmark green normalfont">\r\n	    <li>Real Time Search: AJAX loads search results in real time.</li>\r\n	    <li>Multiple Sources: Search your local Joomla site or the web at large.</li>\r\n	    <li>Search Options: Even more search options with Blog, Video and Images.</li>\r\n	    <li>Advanced usability: Script enhancements for intuitive navigation.</li>\r\n	</ul>\r\n\r\n	<p>\r\n		<a href="http://www.rockettheme.com/extensions-joomla/rokajaxsearch" class="readon smallmarginright" target="_blank"><span>Details</span></a>\r\n		<a href="http://www.rockettheme.com/extensions-downloads/club/1004-rokajaxsearch" class="readon smallmarginright" target="_blank"><span>Download</span></a>\r\n		<a href="http://www.rockettheme.com/forum/index.php?f=204&amp;rb_v=viewforum" class="readon" target="_blank"><span>Support</span></a>\r\n	</p>\r\n\r\n</div>\r\n\r\n<div class="clear"></div>\r\n\r\n<div class="title5 largepaddingbottom"><div class="module-title"><div class="title">&nbsp;</div></div></div>\r\n\r\n<h4>Standard Used Extensions</h4>\r\n\r\n<div class="rt-demo-grid-6 standardcase">\r\n	<img class="floatleft largepaddingbottom medmarginbottom" src="images/stories/demo/general/extensions/rokbox.png" alt="RokBox" width="47" height="42" />\r\n	<div class="module-title nomarginbottom">\r\n		<h1 class="title nopaddingbottom"><span>RokBox</span></h1>\r\n		<em>The Ultimate JavaScript Powered Multimedia Box</em>\r\n	</div>\r\n	<a target="_blank" href="http://www.rockettheme.com/extensions-joomla/rokbox">+ More Information</a>\r\n</div>\r\n\r\n<div class="rt-demo-grid-6 standardcase nomarginright">\r\n	<img class="floatleft largepaddingbottom medmarginbottom" src="images/stories/demo/general/extensions/rokcandy.png" alt="RokCandy" width="47" height="42" />\r\n	<div class="module-title nomarginbottom">\r\n		<h1 class="title nopaddingbottom"><span>RokCandy</span></h1>\r\n		<em>WYSIWYG Friendly Typography and Styling</em>\r\n	</div>\r\n	<a target="_blank" href="http://www.rockettheme.com/extensions-joomla/rokcandy">+ More Information</a>\r\n</div>\r\n\r\n<div class="clear"></div><br />\r\n\r\n<div class="rt-demo-grid-6 standardcase">\r\n	<img class="floatleft largepaddingbottom medmarginbottom" src="images/stories/demo/general/extensions/rokpad.png" alt="RokPad" width="47" height="42" />\r\n	<div class="module-title nomarginbottom">\r\n		<h1 class="title nopaddingbottom"><span>RokPad</span></h1>\r\n		<em>Simple &amp; Advanced Joomla Text Editor</em>\r\n	</div>\r\n	<a target="_blank" href="http://www.rockettheme.com/extensions-joomla/rokpad">+ More Information</a>\r\n</div>\r\n\r\n<div class="rt-demo-grid-6 standardcase nomarginright">\r\n	<img class="floatleft largepaddingbottom medmarginbottom" src="images/stories/demo/general/extensions/rokgzipper.png" alt="RokGZipper" width="47" height="42" />\r\n	<div class="module-title nomarginbottom">\r\n		<h1 class="title nopaddingbottom"><span>RokGZipper</span></h1>\r\n		<em>Powerful CSS and JavaScript Compression System</em>\r\n	</div>\r\n	<a target="_blank" href="http://www.rockettheme.com/extensions-joomla/rokgzipper">+ More Information</a>\r\n</div>', '', 1, 0, 0, 11, '2012-01-30 21:50:43', 367, '', '2012-01-31 17:04:38', 42, 0, '0000-00-00 00:00:00', '2012-01-30 21:50:43', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, 8, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(4, 44, 'Template Typography', 'template-typography', '', '<div class="module-title">\r\n	<h1 class="title"><span>Template</span> Typography</h1>\r\n</div>\r\n\r\n<h4>Creating Beautiful Content With Simple Code</h4>\r\n\r\n<p>Typography is a fundamental part of a template, providing you with the tools to characterise your content and bring it to life. There is a vast array of typography available with Clarion template, as is with our previous releases, from list styles, notice blocks and a diverse number of other elements. </p>\r\n\r\n<p class="notice">If you are using the TinyMCE editor for HTML typography, go to <strong>Extensions &rarr; Plugin Manager &rarr; TinyMCE 2.0 &rarr; Set Code Clean-up on Save to Never</strong>.</p>\r\n\r\n<div class="rt-demo-grid-6 title5">\r\n	<div class="module-title">\r\n		<h3 class="title">&lt;h1&gt; Heading Styles</h3>\r\n	</div>	\r\n	<h1>H1. Heading 1</h1>\r\n	<h2>H2. Heading 2</h2>\r\n	<h3>H3. Heading 3</h3>\r\n	<h4>H4. Heading 4</h4>\r\n	<h5>H5. Heading 5</h5>\r\n	<h1 class="rt-pagetitle">H1. Component Page Title</h1>\r\n	<h1 class="title nomarginbottom">H1. Component Content Title</h1>\r\n</div>\r\n\r\n<div class="rt-demo-grid-6 floatright title5">\r\n	<div class="module-title">\r\n		<h3 class="title">&lt;ul&gt; List Styles</h3>\r\n	</div>	\r\n	<ul>\r\n		<li><em>This is an example of a standard list style.</em> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh.</li>\r\n		<li><em>This is an example of a standard list style.</em> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh.</li>\r\n	</ul>\r\n	<br /><br />\r\n	<ul class="dots">\r\n	    <li>To use this style create a list in the following format: <strong>&lt;ul class="</strong><em class="normal">dots</em><strong>"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt; (HTML)</strong>.</li>\r\n	    <li>To use this style create a list in the following format: <strong>&#91;list class=" dots"&#93;&#91;li&#93;....&#91;/li&#93;&#91;li....&#91;/li&#93;&#91;/list&#93; (ROKCANDY)</strong>.</li>\r\n	</ul>\r\n</div>\r\n<div class="clear"></div>\r\n\r\n<div class="title5 largepaddingbottom"><div class="module-title"><div class="title">&nbsp;</div></div></div>\r\n\r\n<div class="rt-demo-grid-6 title5">\r\n	<div class="module-title">\r\n		<h3 class="title">&lt;p&gt; DropCap Styles</h3>\r\n	</div>	\r\n	<p class="dropcap">Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibu. Pellentesque vel enim urna, sit amet blandit ipsum. Maecenas quis sem sit amet nunc pretium mattis. Sed dapibus semper est, sed pretium erat.</p>\r\n\r\n	<p>Use the following format: <strong>&lt;p class="dropcap"&gt;...&lt;/p&gt; (HTML)</strong> or <strong>&#91;dropcap class="dropcap"&#93;...&#91;/dropcap&#93; (ROKCANDY)</strong>. You can use any letter, symbol or number.</p>\r\n\r\n	<p class="dropcap2">Praesent rutrum sapien ac felis. Use this format: <strong>&lt;p class="dropcap2"&gt;...&lt;/p&gt; (HTML)</strong> or <strong>&#91;dropcap class="dropcap2"&#93; ... &#91;/dropcap&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p class="dropcap3">Praesent rutrum sapien ac felis. Use this format: <strong>&lt;p class="dropcap3"&gt;...&lt;/p&gt; (HTML)</strong> or <strong>&#91;dropcap class="dropcap3"&#93; ... &#91;/dropcap&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p class="dropcap4">Praesent rutrum sapien ac felis. Use this format: <strong>&lt;p class="dropcap4"&gt;...&lt;/p&gt; (HTML)</strong> or <strong>&#91;dropcap class="dropcap4"&#93; ... &#91;/dropcap&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p class="dropcap5 nomarginbottom">Praesent rutrum sapien ac felis. Use this format: <strong>&lt;p class="dropcap5"&gt;...&lt;/p&gt; (HTML)</strong> or <strong>&#91;dropcap class="dropcap5"&#93; ... &#91;/dropcap&#93; (ROKCANDY)</strong></p>\r\n</div>\r\n\r\n<div class="rt-demo-grid-6 floatright title5">\r\n	<div class="module-title">\r\n		<h3 class="title">&lt;blockquote&gt;  Styles</h3>\r\n	</div>	\r\n	\r\n	<blockquote><p>To replicate, use the following formatting: <strong>&lt;blockquote&gt;&lt;p&gt;....&lt;/p&gt;&lt;/blockquote&gt; (HTML)</strong> or <strong>&#91;blockquote class="default"&#93;...&#91;/blockquote&#93; (ROKCANDY)</strong>.</p></blockquote>\r\n	<br />\r\n	<blockquote class="alignleft"><p>Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis.</p></blockquote>\r\n\r\n	<p>To replicate, use the following formatting: <strong>&lt;blockquote class=&quot;alignleft&quot;&gt;&lt;p&gt;....&lt;/p&gt;&lt;/blockquote&gt; (HTML)</strong> or <strong>&#91;blockquote class="alignleft"&#93;...&#91;/blockquote&#93; (ROKCANDY)</strong>.</p>\r\n\r\n	<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris metus tortor.</p>\r\n	<br />\r\n	<blockquote class="alignright nomarginbottom"><p>Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis.</p></blockquote>\r\n\r\n	<p>To replicate, use the following formatting: <strong>&lt;blockquote class=&quot;alignright&quot;&gt;&lt;p&gt;....&lt;/p&gt;&lt;/blockquote&gt; (HTML)</strong> or <strong>&#91;blockquote class="alignright"&#93;...&#91;/blockquote&#93; (ROKCANDY)</strong>.</p>\r\n\r\n	<p class="nomarginbottom">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Mauris metus tortor.</p>\r\n</div>\r\n<div class="clear"></div>\r\n\r\n<div class="title5 largepaddingbottom"><div class="module-title"><div class="title">&nbsp;</div></div></div>\r\n\r\n<div class="rt-demo-grid-6 title5">\r\n	<div class="module-title">\r\n		<h3 class="title">&lt;pre&gt; Code Styles</h3>\r\n	</div>	\r\n<pre class="lines">This is a sample <strong>&lt;pre class=&quot;lines&quot;&gt;...&lt;/pre&gt; (HTML)</strong> or,\r\n<strong>&#91;pre2 class="{lines}"&#93; ... &#91;/pre2&#93; (ROKCANDY)</strong> tag:\r\n\r\ndiv.modulebox-black div.bx1 {\r\n  background: url(../images/box_bl.png) 0 100% repeat;\r\n}\r\n\r\ndiv.modulebox-black div.bx2 {\r\n  background: url(../images/box_tr.png) 100% 0 repeat;\r\n}\r\n</pre>\r\n\r\n<pre class="nomarginbottom">This is a sample <strong>&lt;pre&gt;...&lt;/pre&gt; (HTML)</strong> or, \r\n<strong>&#91;pre class="{lines}"&#93; ... &#91;/pre&#93; (ROKCANDY)</strong> tag:\r\n\r\ndiv.modulebox-black div.bx1 {\r\n  background: url(../images/box_bl.png) 0 100% repeat;\r\n}\r\n\r\ndiv.modulebox-black div.bx2 {\r\n  background: url(../images/box_tr.png) 100% 0 repeat;\r\n}\r\n</pre>\r\n</div>\r\n\r\n<div class="rt-demo-grid-6 floatright title5">\r\n	<div class="module-title">\r\n		<h3 class="title">&lt;p&gt; Notice Styles</h3>\r\n	</div>	\r\n	<p class="approved">This is a <a href="javascript:void(0);">sample</a> of the <em>Approved</em> style. To replicate, use the following syntax: <em>&lt;p class="approved"&gt;....&lt;/p&gt;</em> (HTML) or <em>&#91;notice class="approved"&#93; <em class="normal">...</em> &#91;/notice&#93;</em> (ROKCANDY).</p>\r\n\r\n	<p class="attention">This is a <a href="javascript:void(0);">sample</a> of the <em>Attention</em> style. To replicate, use the following syntax: <em>&lt;p class="attention"&gt;....&lt;/p&gt;</em> (HTML) or <em>&#91;notice class="attention"&#93; <em class="normal">...</em> &#91;/notice&#93;</em> (ROKCANDY).</p>\r\n\r\n	<p class="notice">This is a <a href="javascript:void(0);">sample</a> of the <em>Notice</em> style. To replicate, use the following syntax: <em>&lt;p class="notice"&gt;....&lt;/p&gt;</em> (HTML) or <em>&#91;notice class="notice"&#93; <em class="normal">...</em> &#91;/notice&#93;</em> (ROKCANDY).</p>\r\n\r\n	<p class="alert nomarginbottom">This is a <a href="javascript:void(0);">sample</a> of the <em>Alert</em> style. To replicate, use the following syntax: <em>&lt;p class="alert"&gt;....&lt;/p&gt;</em> (HTML) or <em>&#91;notice class="alert"&#93; <em class="normal">...</em> &#91;/notice&#93;</em> (ROKCANDY).</p>\r\n</div>\r\n<div class="clear"></div>\r\n\r\n<div class="title5 largepaddingbottom"><div class="module-title"><div class="title">&nbsp;</div></div></div>\r\n\r\n<div class="rt-demo-grid-6 title5">\r\n	<div class="module-title">\r\n		<h3 class="title">&lt;span&gt; Text Icon Styles</h3>\r\n	</div>	\r\n	<p>To replicate, the following format: <strong>&lt;span class="text-icon iconname"&gt;...&lt;/span&gt; (HTML)</strong> or <strong>&#91;icon class=&quot;icon name&quot;&#93;...&#91;/icon&#93; (ROKCANDY)</strong>. The class names are listed below, such as "<strong>text-icon email</strong>".</p>\r\n\r\n	<div class="rt-demo-grid-3 nomarginleft nomarginright">\r\n		<span class="text-icon email">Text with an email icon</span><br /><br />\r\n		<span class="text-icon phone">Text with a phone icon</span><br /><br />\r\n		<span class="text-icon quote">Text with a quote icon</span><br /><br />\r\n		<span class="text-icon cart">Text with a cart icon</span><br /><br />\r\n		<span class="text-icon rss">Text with a rss icon</span><br /><br />\r\n		<span class="text-icon tags">Text with a tags icon</span><br /><br />\r\n		<span class="text-icon write">Text with a write icon</span><br /><br />\r\n		<span class="text-icon info">Text with an info icon</span><br /><br />\r\n		<span class="text-icon sound">Text with a sound icon</span><br /><br />\r\n		<span class="text-icon rightarrow">Text with a rightarrow icon</span><br /><br />\r\n		<span class="text-icon leftarrow">Text with a leftarrow icon</span><br /><br />\r\n		<span class="text-icon circlearrow">Text with a circlearrow icon</span><br /><br />\r\n		<span class="text-icon downarrow">Text with a downarrow icon</span><br /><br />\r\n		<span class="text-icon uparrow">Text with an uparrow icon</span><br /><br />\r\n		<span class="text-icon person">Text with a person icon</span><br /><br />\r\n		<span class="text-icon calendar">Text with a calendar icon</span><br /><br />\r\n		<span class="text-icon doc">Text with a doc icon</span>\r\n	</div>\r\n	<div class="rt-demo-grid-3 nomarginright">\r\n		<span class="text-icon bulb">Text with a bulb icon</span><br /><br />\r\n		<span class="text-icon twitter">Text with a twitter icon</span><br /><br />\r\n		<span class="text-icon youtube">Text with a youtube icon</span><br /><br />\r\n		<span class="text-icon skype">Text with a skype icon</span><br /><br />\r\n		<span class="text-icon facebook">Text with a facebook icon</span><br /><br />\r\n		<span class="text-icon like">Text with a like icon</span><br /><br />\r\n		<span class="text-icon video">Text with a video icon</span><br /><br />\r\n		<span class="text-icon dropbox">Text with a dropbox icon</span><br /><br />\r\n		<span class="text-icon vimeo">Text with a vimeo icon</span><br /><br />\r\n		<span class="text-icon paypal">Text with a paypal icon</span>\r\n	</div>\r\n</div>\r\n\r\n<div class="rt-demo-grid-6 floatright title5">\r\n	<div class="module-title">\r\n		<h3 class="title">&lt;em&gt; Emphasis Styles</h3>\r\n	</div>	\r\n	\r\n	<p>This is a emphasis tag that allows you to <em class="italic">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;italic&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;emphasis&#93;...&#91;/emphasis&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p>This is a emphasis tag that allows you to <em class="bold">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;bold&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;emphasisbold&#93;...&#91;/emphasisbold&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p>This is a emphasis tag that allows you to <em class="bold2">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;bold2&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;emphasisbold2&#93;...&#91;/emphasisbold2&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p>This is a emphasis tag that allows you to <em class="highlight">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;highlight&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;highlight class=&quot;default&quot;&#93;...&#91;/highlight&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p>This is a emphasis tag that allows you to <em class="highlight white">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;highlight white&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;highlight class=&quot;white&quot;&#93;...&#91;/highlight&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p>This is a emphasis tag that allows you to <em class="highlight black">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;highlight black&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;highlight class=&quot;black&quot;&#93;...&#91;/highlight&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p>This is a emphasis tag that allows you to <em class="highlight green">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;highlight green&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;highlight class=&quot;green&quot;&#93;...&#91;/highlight&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p>This is a emphasis tag that allows you to <em class="highlight yellow">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;highlight yellow&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;highlight class=&quot;yellow&quot;&#93;...&#91;/highlight&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p>This is a emphasis tag that allows you to <em class="highlight blue">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;highlight blue&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;highlight class=&quot;blue&quot;&#93;...&#91;/highlight&#93; (ROKCANDY)</strong></p>\r\n\r\n	<p class="nomarginbottom">This is a emphasis tag that allows you to <em class="highlight red">highlight words or phrases</em>. Use the following format: <strong>&lt;em class=&quot;highlight red&quot;&gt;...&lt;/em&gt; (HTML)</strong> or <strong>&#91;highlight class=&quot;red&quot;&#93;...&#91;/highlight&#93; (ROKCANDY)</strong></p>\r\n</div>\r\n<div class="clear"></div>\r\n\r\n<div class="title5 largepaddingbottom"><div class="module-title"><div class="title">&nbsp;</div></div></div>\r\n\r\n<div class="title5">\r\n	<div class="module-title">\r\n		<h3 class="title">&lt;ul&gt; List Styles (Icons)</h3>\r\n	</div>	\r\n</div>\r\n\r\n<p>To replicate, use the following format: <strong>&lt;ul class="list-icon icon_name"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt; (HTML)</strong> or <strong>&#91;list class="list-icon icon_name"&#93;&#91;li&#93;....&#91;/li&#93;&#91;li....&#91;/li&#93;&#91;/list&#93; (ROKCANDY)</strong>. The icon names are listed below, such as "<strong>cart</strong>".</p>\r\n\r\n<div class="rt-demo-grid-3">\r\n  <ul class="list-icon email">\r\n    <li>A list item using the <strong>list-icon email</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon email</strong> class.</li>  </ul>\r\n  <br />\r\n  <ul class="list-icon phone">\r\n    <li>A list item using the <strong>list-icon phone</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon phone</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class="list-icon quote">\r\n    <li>A list item using the <strong>list-icon quote</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon quote</strong> class.</li>  </ul>\r\n  <br />\r\n  <ul class="list-icon twitter">\r\n    <li>A list item using the <strong>list-icon twitter</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon twitter</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class="list-icon youtube">\r\n    <li>A list item using the <strong>list-icon youtube</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon youtube</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class="list-icon facebook">\r\n    <li>A list item using the <strong>list-icon facebook</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon facebook</strong> class.</li>  </ul>\r\n  <br />\r\n  <ul class="list-icon cart nomarginbottom">\r\n    <li>A list item using the <strong>list-icon cart</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon cart</strong> class.</li>  </ul>\r\n</div>\r\n<div class="rt-demo-grid-3">\r\n  <ul class="list-icon tags">\r\n    <li>A list item using the <strong>list-icon tags</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon tags</strong> class.</li>  </ul>\r\n  <br />\r\n  <ul class="list-icon write">\r\n    <li>A list item using the <strong>list-icon write</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon write</strong> class.</li>  </ul>\r\n  <br />\r\n  <ul class="list-icon info">\r\n    <li>A list item using the <strong>list-icon info</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon info</strong> class.</li>  </ul>\r\n  <br />\r\n  <ul class="list-icon sound">\r\n    <li>A list item using the <strong>list-icon sound</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon sound</strong> class.</li>  </ul>\r\n  <br />\r\n  <ul class="list-icon rightarrow">\r\n    <li>A list item using the <strong>list-icon rightarrow</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon rightarrow</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class="list-icon skype">\r\n    <li>A list item using the <strong>list-icon skype</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon skype</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class="list-icon rss nomarginbottom">\r\n    <li>A list item using the <strong>list-icon rss</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon rss</strong> class.</li>\r\n  </ul>\r\n</div>\r\n<div class="rt-demo-grid-3">\r\n  <ul class="list-icon leftarrow">\r\n    <li>A list item using the <strong>list-icon leftarrow</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon leftarrow</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class="list-icon circlearrow">\r\n    <li>A list item using the <strong>list-icon circlearrow</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon circlearrow</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class="list-icon dropbox">\r\n    <li>A list item using the <strong>list-icon dropbox</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon dropbox</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n<ul class="list-icon vimeo">\r\n    <li>A list item using the <strong>list-icon vimeo</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon vimeo</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class="list-icon downarrow">\r\n    <li>A list item using the <strong>list-icon downarrow</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon downarrow</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class="list-icon video">\r\n    <li>A list item using the <strong>list-icon video</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon video</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class="list-icon like nomarginbottom">\r\n    <li>A list item using the <strong>list-icon like</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon like</strong> class.</li>\r\n  </ul>\r\n</div>\r\n<div class="rt-demo-grid-3">\r\n  <ul class="list-icon uparrow">\r\n    <li>A list item using the <strong>list-icon uparrow</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon uparrow</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class="list-icon person">\r\n    <li>A list item using the <strong>list-icon person</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon person</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class="list-icon calendar">\r\n    <li>A list item using the <strong>list-icon calendar</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon calendar</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class="list-icon bulb">\r\n    <li>A list item using the <strong>list-icon bulb</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon bulb</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n<ul class="list-icon paypal">\r\n    <li>A list item using the <strong>list-icon paypal</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon paypal</strong> class.</li>\r\n  </ul>\r\n  <br />\r\n  <ul class="list-icon doc nomarginbottom">\r\n    <li>A list item using the <strong>list-icon doc</strong> class.</li>\r\n    <li>A list item using the <strong>list-icon doc</strong> class.</li>\r\n  </ul>\r\n</div>\r\n\r\n<div class="clear"></div>\r\n\r\n<div class="title5 largepaddingbottom"><div class="module-title"><div class="title">&nbsp;</div></div></div>\r\n\r\n<div class="title5">\r\n	<div class="module-title">\r\n		<h3 class="title">&lt;ul&gt; List Styles (CSS3)</h3>\r\n	</div>	\r\n</div>\r\n\r\n<p>These list styles are based on the latest CSS3 techniques and are designed to work in modern browsers (will not display properly in IE6-IE8).</p>\r\n\r\n<p>To replicate, use the following format: <strong>&lt;ul class="class name"&gt;&lt;li&gt;....&lt;/li&gt;&lt;li&gt;....&lt;/li&gt;...&lt;/ul&gt; (HTML)</strong> or <strong>&#91;list class=&quot;class name&quot;&#93;&#91;li&#93;....&#91;/li&#93;&#91;li....&#91;/li&#93;&#91;/list&#93; (ROKCANDY)</strong>. The class names are listed below, such as "<strong>checkmark red</strong>".</p>\r\n\r\n<div class="rt-demo-grid-3">\r\n	<ul class="checkmark">\r\n	<li>Checkmark</li>\r\n	<li>Checkmark</li>\r\n	</ul>\r\n\r\n	<ul class="circle-checkmark">\r\n	<li>Circle-Checkmark</li>\r\n	<li>Circle-Checkmark</li>\r\n	</ul>\r\n\r\n	<ul class="square-checkmark">\r\n	<li>Square-Checkmark</li>\r\n	<li>Square-Checkmark</li>\r\n	</ul>\r\n\r\n	<ul class="checkmark green">\r\n	<li>Checkmark Green</li>\r\n	<li>Checkmark Green</li>\r\n	</ul>\r\n\r\n	<ul class="checkmark yellow">\r\n	<li>Checkmark Yellow</li>\r\n	<li>Checkmark Yellow</li>\r\n	</ul>\r\n\r\n	<ul class="checkmark red nomarginbottom">\r\n	<li>Checkmark Red</li>\r\n	<li>Checkmark Red</li>\r\n	</ul>\r\n</div>\r\n<div class="rt-demo-grid-3">\r\n	<ul class="checkmark blue">\r\n	<li>Checkmark Blue</li>\r\n	<li>Checkmark Blue</li>\r\n	</ul>\r\n\r\n	<ul class="checkmark white">\r\n	<li>Checkmark White</li>\r\n	<li>Checkmark White</li>\r\n	</ul>\r\n\r\n	<ul class="triangle-small">\r\n	<li>Triangle-Small</li>\r\n	<li>Triangle-Small</li>\r\n	</ul>\r\n\r\n	<ul class="triangle">\r\n	<li>Triangle</li>\r\n	<li>Triangle</li>\r\n	</ul>\r\n\r\n	<ul class="triangle-large">\r\n	<li>Triangle-Large</li>\r\n	<li>Triangle-Large</li>\r\n	</ul>\r\n\r\n	<ul class="triangle green nomarginbottom">\r\n	<li>Triangle Green</li>\r\n	<li>Triangle Green</li>\r\n	</ul>\r\n</div>\r\n<div class="rt-demo-grid-3">\r\n	<ul class="triangle yellow">\r\n	<li>Triangle Yellow</li>\r\n	<li>Triangle Yellow</li>\r\n	</ul>\r\n\r\n	<ul class="triangle red">\r\n	<li>Triangle Red</li>\r\n	<li>Triangle Red</li>\r\n	</ul>\r\n\r\n	<ul class="triangle blue">\r\n	<li>Triangle Blue</li>\r\n	<li>Triangle Blue</li>\r\n	</ul>\r\n\r\n	<ul class="triangle white">\r\n	<li>Triangle White</li>\r\n	<li>Triangle White</li>\r\n	</ul>\r\n\r\n	<ul class="circle-small">\r\n	<li>Circle-Small</li>\r\n	<li>Circle-Small</li>\r\n	</ul>\r\n\r\n	<ul class="circle nomarginbottom">\r\n	<li>Circle</li>\r\n	<li>Circle</li>\r\n	</ul>\r\n</div>\r\n<div class="rt-demo-grid-3">\r\n	<ul class="circle-large">\r\n	<li>Circle-Large</li>\r\n	<li>Circle-Large</li>\r\n	</ul>\r\n\r\n	<ul class="circle green">\r\n	<li>Circle Green</li>\r\n	<li>Circle Green</li>\r\n	</ul>\r\n\r\n	<ul class="circle yellow">\r\n	<li>Circle Yellow</li>\r\n	<li>Circle Yellow</li>\r\n	</ul>\r\n\r\n	<ul class="circle red">\r\n	<li>Circle Red</li>\r\n	<li>Circle Red</li>\r\n	</ul>\r\n\r\n	<ul class="circle blue">\r\n	<li>Circle Blue</li>\r\n	<li>Circle Blue</li>\r\n	</ul>\r\n\r\n	<ul class="circle white nomarginbottom">\r\n	<li>Circle White</li>\r\n	<li>Circle White</li>\r\n	</ul>\r\n</div>\r\n\r\n<div class="clear"></div>\r\n\r\n<div class="title5 largepaddingbottom"><div class="module-title"><div class="title">&nbsp;</div></div></div>\r\n\r\n<div class="title5">\r\n	<div class="module-title">\r\n		<h3 class="title">&lt;span&gt; Inset Styles</h3>\r\n	</div>	\r\n</div>\r\n\r\n<p>\r\n  Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.\r\n  <span class="inset-right nomarginbottom"><span class="inset-right-title">Inset Right Title</span>You will need to use the following formatting: <strong>&lt;span class=&quot;inset-right&quot;&gt; &lt;span class=&quot;inset-right-title&quot;&gt; .... &lt;/span&gt; <em class="normal"> ... some content ... </em>&lt;/strong&gt; (HTML)</strong> or <strong>&#91;inset side="right" title="Inset Right Title"&#93; ... some content ...&#91;/inset&#93; (ROKCANDY)</strong></span>\r\n  Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed euismod magna a nibh.\r\n</p>\r\n\r\n<p>\r\n  Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.\r\n  <span class="inset-left nomarginbottom"><span class="inset-left-title">Inset Left Title</span>You will need to use the following formatting: <strong>&lt;span class=&quot;inset-left&quot;&gt; &lt;span class=&quot;inset-left-title&quot;&gt; .... &lt;/span&gt; <em class="normal"> ... some content ... </em>&lt;/strong&gt; (HTML)</strong> or <strong>&#91;inset side="left" title="Inset Left Title"&#93; ... some content ...&#91;/inset&#93; (ROKCANDY)</strong></span>\r\n  Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Sed euismod magna a nibh.</p>\r\n\r\n<p>Sed euismod magna a nibh. Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque.</p> \r\n<p class="nomarginbottom">Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.Praesent rutrum sapien ac felis. Phasellus elementum dolor quis turpis. Vestibulum nec mi vitae pede tincidunt nonummy. Vestibulum facilisis mollis neque. Sed orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.\r\n</p>\r\n\r\n<div class="clear"></div>', '', 1, 0, 0, 11, '2012-01-30 21:50:53', 367, '', '2012-01-31 17:44:08', 42, 0, '0000-00-00 00:00:00', '2012-01-30 21:50:53', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, 7, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(5, 45, 'Menu Options', 'menu-options', '', '<div class="module-title nomarginbottom"><h2 class="title medmargintop">Fusion with MegaMenu</h2><div class="clear"></div></div>\r\n\r\n<p><strong>Fusion Menu</strong> is a menu theme of the <strong>RokNavMenu</strong> extension, the addon that drives all RocketTheme template menus. It is primarily a javascript enhanced CSS dropdown menu, that combines standard suckerfish type functionality with animations, transitions and other advanced effects powered by Mootools.</p>\r\n\r\n<img class="rt-image" src="images/stories/demo/menu-options/fusionmenu-screenshot.jpg" alt="FusionMenu" width="585" height="260" />\r\n\r\n<div class="module-title nomarginbottom"><h2 class="title medmargintop"><span>SplitMenu</span></h2><div class="clear"></div></div>\r\n\r\n<p>A static menu system that displays 1st and 2nd level items in the main horizontal menu and further children in the Sidebar.</p>\r\n\r\n<img class="rt-image" src="images/stories/demo/menu-options/splitmenu-screenshot.jpg" alt="SplitMenu" width="585" height="260" />\r\n\r\n<p class="notice">All Menu Items can be edited from <strong>Admin &rarr; Menu &rarr; <em>Menu Name</em> &rarr; <em>Menu Item</em></strong>.</p>\r\n\r\n<div class="module-title nomarginbottom"><h2 class="title medmargintop">How to create Child Menu Items</h2><div class="clear"></div></div>\r\n\r\n<p>Go to <strong>Admin &rarr; Menu &rarr; <em>A Menu</em> &rarr; <em>A Menu Item</em> &rarr; Select a <em>Parent Item</em></strong>, and it will appear as a child of it.</p>\r\n\r\n<p>\r\n	<img src="images/stories/demo/menu-options/tutmenu1.jpg" alt="Image" width="280" height="215" class="rt-image floatleft" />\r\n	<img src="images/stories/demo/menu-options/tutmenu2.jpg" alt="Image" width="280" height="215" class="rt-image floatleft nomarginright" />	\r\n</p>\r\n\r\n<p>\r\n	<img src="images/stories/demo/menu-options/tutmenu3.jpg" alt="Image" width="280" height="215" class="rt-image floatleft" />\r\n	<img src="images/stories/demo/menu-options/tutmenu4.jpg" alt="Image" width="280" height="215" class="rt-image floatleft nomarginright" />	\r\n</p>', '', 1, 0, 0, 11, '2012-01-30 21:51:01', 367, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-01-30 21:51:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 6, '', '', 1, 12, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(6, 46, 'Tutorials and Guides', 'tutorials-and-guides', '', '<div class="module-title">\r\n	<h1 class="title"><span>Tutorials</span> and Guides</h1>\r\n</div>\r\n\r\n<h4>Learn How to Install &amp; Configure Clarion</h4>\r\n\r\n<div class="rt-demo-grid-3 nomarginleft largemarginright largepaddingright rt-center">\r\n	<img class="rt-image" src="images/stories/demo/tutorials/installation.jpg" alt="Installation" width="190" height="80" />\r\n	<div class="module-title nomarginbottom">\r\n		<h3 class="title"><span>Installation</span></h3>\r\n	</div>		\r\n	<p>An overview of template files and instructions for installing and activating the template.</p>\r\n	<a href="index.php?option=com_content&amp;view=article&amp;id=7&amp;Itemid=123" class="readon"><span>Read More</span></a>\r\n</div>\r\n\r\n<div class="rt-demo-grid-3 nomarginright largemarginleft rt-center">\r\n	<img class="rt-image" src="images/stories/demo/tutorials/logoediting.jpg" alt="K2" width="190" height="80" />\r\n	<div class="module-title nomarginbottom">\r\n		<h3 class="title"><span>Logo</span> Editing</h3>\r\n	</div>		\r\n	<p>An overview for customizing your logo with your organization or company name and logo.</p>\r\n	<a href="index.php?option=com_content&amp;view=article&amp;id=8&amp;Itemid=124" class="readon"><span>Read More</span></a>\r\n</div>\r\n\r\n<div class="clear"></div><br />\r\n\r\n<p class="notice">Go to <strong>Extensions → Template Manager → <em>(J! 1.5) rt_clarion_j15 or (J! 2.5) rt_clarion</em></strong>. Mouseover the labels to view a description of each template parameter.</p>', '', 1, 0, 0, 11, '2012-01-30 21:51:09', 367, '', '2012-01-31 17:07:52', 42, 0, '0000-00-00 00:00:00', '2012-01-30 21:51:09', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, 5, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(7, 47, 'Installation Instructions', 'installation-instructions', '', '<div class="module-title">\r\n	<h1 class="title"><span>Installation</span> Instruction</h1>\r\n</div>\r\n\r\n<p>The following is a guide that covers how to set up your new Clarion template on your Joomla! site. Here you can find an overview of the files included in the Clarion release and instructions on installing and activating the template in your Joomla! install.</p>\r\n\r\n<p class="notice"><strong>Note:</strong> The <strong>Bundle</strong> Template is only necessary if the Gantry Library is not installed at <strong>/components/com_gantry (J! 1.5)</strong> or <strong>/libraries/gantry (J! 2.5)</strong>.</p>\r\n\r\n<br />\r\n\r\n<h3>Step 1 - Installation</h3>\r\n\r\n<ul>\r\n  <li><strong>(J! 1.5)</strong> Install from <strong>Admin &rarr; Extensions &rarr; Install/Uninstall &rarr; Choose File &rarr; Select file &rarr; Upload File &amp; Install</strong></li>\r\n  <li><strong>(J! 2.5)</strong> Install from <strong>Admin &rarr; Extensions &rarr; Extensions Manager &rarr; Choose File &rarr; Select file &rarr; Upload File &amp; Install</strong></li>  \r\n</ul>\r\n\r\n<p class="rt-relative">\r\n  <img width="275" height="160" class="rt-image floatleft" alt="Image" src="images/stories/demo/general/install1-j15.jpg" />\r\n  <img width="275" height="160" class="rt-image" alt="Image" src="images/stories/demo/general/install1-j17.jpg" />\r\n</p>\r\n\r\n<div class="clear"></div>\r\n\r\n<h3>Step 1 - Template Default</h3>\r\n\r\n<ul>\r\n  <li><strong>(J! 1.5)</strong> Make the template default at <strong>Admin &rarr; Extensions &rarr; Template Manager &rarr; rt_clarion_j15 &rarr; Default</strong></li>\r\n  <li><strong>(J! 2.5)</strong> Make the template default at <strong>Admin &rarr; Extensions &rarr; Template Manager &rarr; rt_clarion &rarr; Make Default</strong></li> \r\n</ul>\r\n\r\n<p class="rt-relative">\r\n  <img width="275" height="172" class="rt-image floatleft" alt="Image" src="images/stories/demo/general/install2-j15.jpg" />\r\n  <img width="275" height="172" class="rt-image" alt="Image" src="images/stories/demo/general/install2-j17.jpg" />\r\n</p>\r\n\r\n<div class="clear"></div>\r\n\r\n<div class="module-title"><h2 class="title">RocketLauncher Instructions</h2><div class="clear"></div></div>\r\n\r\n<p>We always recommend installing a RocketLauncher first to trial and understand the template more efficiently. It must be installed as <strong>new</strong>, and <strong>not</strong> over an existing Joomla install.</p>\r\n\r\n<h3>Step 1 - Upload</h3>\r\n\r\n<ul class="medmarginbottom">\r\n  <li><strong>Download</strong> the RocketLauncher</li>\r\n  <li><strong>Unzip</strong></li>\r\n  <li><strong>Upload</strong> the created folder to your server</li>\r\n</ul>\r\n\r\n<p class="notice"><strong>Note:</strong> You can upload all the files via FTP, or use cPanel or SSH to upload the zip and unzip directly onto the server. Enquire with your hosting provider.</p>\r\n\r\n<h3>Step 2 - Installation</h3>\r\n\r\n<ul>\r\n  <li>Go to <a href="#">www.yoursite.com/<em>*folder name*</em></a></li>\r\n  <li>Follow the Installation instructions</li>\r\n  <li>Ensure you click <em class="bold2">Install Sample Data</em> during installation</li>\r\n  <li><strong>(J! 1.5)</strong> Delete the <strong>/installation</strong> directory on your server</li>\r\n  <li><strong>(J! 2.5)</strong> Remove the installation folder in the Installation interface</li>\r\n</ul>', '', 1, 0, 0, 11, '2012-01-30 21:51:17', 367, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-01-30 21:51:17', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 4, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(8, 48, 'Logo Editing', 'logo-editing', '', '<div class="module-title">\r\n	<h1 class="title"><span>Logo</span> Editing</h1>\r\n</div>\r\n\r\n<p>The following is a step by step guide to customising your Clarion logo image by replacing the logo text with your own organization or company''s name and logo.</p>\r\n\r\n<p class="notice">Gantry sets the dimensions of the logo, so CSS modification is unnecessary.</p>\r\n\r\n<h3>Step 1 - Open the File</h3>\r\n\r\n<img src="images/stories/demo/logo/logo1.jpg" alt="Logo" width="220" height="90" class="rt-image floatleft" />\r\n\r\n<ul style="margin-left: 240px;">\r\n	<li>Open the <strong>logo-source.png</strong> file in Adobe&reg; Fireworks.</li>\r\n</ul>\r\n\r\n<ul style="margin-left: 240px;">\r\n	<li>In the right column, find <strong>Layers</strong>. Select the <strong>Web layers</strong> directory and click the eye icon to the left of the logo slice (the green object). This will make the slice invisible so you can edit the file.</li>\r\n</ul>\r\n\r\n<div class="clear"></div><br />\r\n\r\n<h3 class="nomargintop">Step 2 - Text/Slogan/Icon Editing</h3>\r\n\r\n<ul>\r\n	<li>Double click on the logo text. Now you can edit the text of logo to your choosing. Edit the icon as desired.</li>\r\n</ul>\r\n	<img src="images/stories/demo/logo/logo2.jpg" alt="Logo" width="220" height="90" class="rt-image floatleft" />\r\n	<img src="images/stories/demo/logo/logo3.jpg" alt="Logo" width="220" height="90" class="rt-image floatleft" />\r\n	<div class="clear"></div>\r\n	<br />\r\n	<img src="images/stories/demo/logo/logo4.jpg" alt="Logo" width="220" height="90" class="rt-image floatleft" />\r\n	<img src="images/stories/demo/logo/logo5.jpg" alt="Logo" width="220" height="90" class="rt-image floatleft" />	\r\n\r\n<div class="clear"></div><br />\r\n\r\n<img src="images/stories/demo/logo/logo6.jpg" alt="Logo" width="220" height="90" class="rt-image floatleft largemarginbottom" />\r\n\r\n<h3 class="nomargintop">Step 3 - Slice Modification</h3>\r\n\r\n<ul style="margin-left: 240px;">\r\n	<li>Reactivate the Slice in the Web Layers column, this will place a green rectangle over the logo image. Change the size of the slice (or move it) to match the new size if applicable.</li>\r\n</ul>\r\n<div class="clear"></div>\r\n\r\n<div class="clear"></div><br />\r\n\r\n<img src="images/stories/demo/logo/logo7.jpg" alt="Logo" width="220" height="90"  class="rt-image floatleft largemarginbottom" />\r\n\r\n<h3 class="nomargintop">Step 4 - Export</h3>\r\n\r\n<ul style="margin-left: 240px;">\r\n	<li>Now you will want to export the logo. Right click on the image slice and select <strong>Exported Selected Slices...</strong> from the contextual menu. Export it to your computer.</li>\r\n</ul>\r\n<div class="clear"></div>', '', 1, 0, 0, 11, '2012-01-30 21:51:26', 367, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-01-30 21:51:26', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 3, '', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(9, 49, 'Preset Styles', 'preset-styles', '', '<p class="attention">Access the Style Control settings from: <strong>Admin → Extensions → Template Manager → <em>(J! 1.5) rt_clarion_j15</em> or <em>(J! 2.5) rt_clarion</em> → Settings</strong></p>\r\n\r\n<p>Simple configure the options, then save and Gantry will automatically load the modified preset to your site.</p>\r\n\r\n<div class="module-title"><h2 class="title">Style Setting</h2><div class="clear"></div></div>\r\n\r\n<ul>\r\n	<li><strong>Body Style:</strong> Light - Dark; Determine the body shade/style</li>\r\n	<li><strong>Background Style:</strong> <em>wavy-lines-light, wavy-lines-dark, diagonal-lines-light, diagonal-lines-dark, cube-light, cube-dark , diamond-light, diamond-dark, carbon-light, carbon-dark, noise-light, noise-dark, paper-light, paper-dark, plaid-light, plaid-dark, rubber-ligh, rubber-dark, squares-light, squares-dark, textile-light, textile-dark, triangles-light, triangles-dark, elegant-light, elegant-dark, grunge-light, grunge-dark, dustnscratches-light, dustnscratches-dark, fibers-light, or fibers-dark</em>; Set which background style set you wish to load</li>\r\n	<li><strong>Load Transition:</strong> On - Off; Enable or disable the page loading transition animation effects</li>\r\n	<li><strong>Web Fonts:</strong> <em>On - Off, Google Font Directory</em>; WebFonts allow you to use 3rd party WebFonts from providers such as Google. You must SAVE then APPLY before the new fonts will show up in the Font Family dropdown.</li>\r\n	<li><strong>Font Settings</strong>: Select a font family from the available options and also choose a default font size\r\n		<ul>\r\n			<li><strong>Font Family:</strong> Clarion, Geneva, Optima, Helvetica, Trebuchet, Lucida, Georgia, Palatino, or <strong>Various Google Fonts</strong> <em>(dropdown)</em></li>\r\n			<li><strong>Font Size:</strong> Default, Extra Large, Large, Small, Extra Small <em>(dropdown)</em></li>\r\n		</ul>\r\n	</li>\r\n</ul>\r\n\r\n<div class="module-title"><h2 class="title">Assigning a Style to a Specific Page</h2><div class="clear"></div></div>\r\n\r\n<p>With Gantry, the ability to assign a certain style to an individual page has never been easier and/or more efficient. Just follow these simple steps:</p>\r\n\r\n<ul>\r\n	<li><strong>(J! 1.5)</strong> Go to <strong>Extensions → Template Manager → rt_clarion_j15 &rarr; Menu Items &rarr; <em>*Menu Item*</em></strong></li>\r\n	<li><strong>(J! 2.5)</strong> Go to <strong>Extensions → Template Manager → rt_clarion &rarr; Assignments &rarr; <em>*Menu Item*</em></strong><br /><br /></li>	\r\n\r\n	<li><strong>(J! 1.5)</strong> Select your preset from <strong>Presets → Style Presets</strong>, configure and save.</li>\r\n	<li><strong>(J! 2.5)</strong> Select your preset from <strong>Show Presets</strong>, configure and save.</li>\r\n</ul>\r\n\r\n<a href="http://gantry-framework.org/documentation/joomla/configure/per-menu-item-configuration" class="readon"><span>Gantry Framework: Per Menu Item Controls</span></a>', '', 1, 0, 0, 11, '2012-01-30 21:51:38', 367, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-01-30 21:51:38', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 2, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `title_alias`, `introtext`, `fulltext`, `state`, `sectionid`, `mask`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `parentid`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(10, 50, 'Sample Content', 'sample-content', '', '<img src="images/stories/demo/general/rockettheme-logo.jpg" alt="RocketTheme" width="250" height=170" class="rt-image floatleft" />\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede. Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p><br />\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi. Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>\r\n\r\n<p>Mauris lobortis. Aliquam lacinia purus. Pellentesque magna. Mauris euismod metus nec tortor. Phasellus elementum, quam a euismod imperdiet, ligula felis faucibus enim, eu malesuada nunc felis sed turpis. Morbi convallis luctus tortor. Integer bibendum lacinia velit. Suspendisse mi lorem, porttitor ut, interdum et, lobortis a, lectus. Phasellus vitae est at massa luctus iaculis. In tincidunt.</p>\r\n\r\n<p>Nullam eget neque. Nullam imperdiet venenatis ligula. Integer a leo. Nunc consectetur. Maecenas sem. Proin vulputate, massa vel volutpat laoreet, purus erat pretium ligula, eget varius arcu nibh sed libero. Fusce ante. Nullam interdum aliquet metus. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. </p>\r\n\r\n<a class="readon smallmargintop" target="_blank" href="http://www.rockettheme.com/"><span>Read More</span></a>', '', 1, 0, 0, 12, '2012-01-30 21:53:10', 367, '', '2012-01-31 00:27:39', 42, 0, '0000-00-00 00:00:00', '2012-01-30 21:53:10', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"1","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"1","link_author":"","show_create_date":"1","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"1","show_print_icon":"1","show_email_icon":"1","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 8, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(11, 52, 'Sample Content 1', 'sample-content-1', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede. Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus. Sed venenatis. Donec nec dolor vitae mauris dapibus ullamcorper. Etiam iaculis mollis tortor.</p>\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi. Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>', '', 1, 0, 0, 12, '2012-01-30 21:54:29', 367, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-01-30 21:54:29', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 7, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(12, 53, 'Sample Content 2', 'sample-content-2', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede. Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus. Sed venenatis. Donec nec dolor vitae mauris dapibus ullamcorper. Etiam iaculis mollis tortor.</p>\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi. Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>', '', 1, 0, 0, 12, '2012-01-30 21:54:39', 367, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-01-30 21:54:39', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 6, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(13, 54, 'Sample Content 3', 'sample-content-3', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede. Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus. Sed venenatis. Donec nec dolor vitae mauris dapibus ullamcorper. Etiam iaculis mollis tortor.</p>\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi. Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>', '', 1, 0, 0, 12, '2012-01-30 21:54:49', 367, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-01-30 21:54:49', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(14, 55, 'Sample Content 4', 'sample-content-4', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede. Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus. Sed venenatis. Donec nec dolor vitae mauris dapibus ullamcorper. Etiam iaculis mollis tortor.</p>\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi. Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>', '', 1, 0, 0, 12, '2012-01-30 21:54:57', 367, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-01-30 21:54:57', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(15, 56, 'Sample Content 5', 'sample-content-5', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede. Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus. Sed venenatis. Donec nec dolor vitae mauris dapibus ullamcorper. Etiam iaculis mollis tortor.</p>\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi. Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>', '', 1, 0, 0, 12, '2012-01-30 21:55:04', 367, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-01-30 21:55:04', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(16, 57, 'Sample Content 6', 'sample-content-6', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede. Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus. Sed venenatis. Donec nec dolor vitae mauris dapibus ullamcorper. Etiam iaculis mollis tortor.</p>\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi. Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>', '', 1, 0, 0, 12, '2012-01-30 21:55:12', 367, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-01-30 21:55:12', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(17, 58, 'Sample Content 7 ', 'sample-content-7', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede. Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus. Sed venenatis. Donec nec dolor vitae mauris dapibus ullamcorper. Etiam iaculis mollis tortor.</p>\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi. Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>', '', 1, 0, 0, 12, '2012-01-30 21:55:24', 367, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-01-30 21:55:24', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(18, 59, 'Sample Content 8', 'sample-content-8', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede. Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus. Sed venenatis. Donec nec dolor vitae mauris dapibus ullamcorper. Etiam iaculis mollis tortor.</p>\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi. Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consectetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>', '', 1, 0, 0, 12, '2012-01-30 21:55:33', 367, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2012-01-30 21:55:33', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(19, 60, 'Frontpage Article', 'frontpage-article', '', '<img class="rt-image floatright medmarginbottom"  alt="image" src="images/stories/demo/frontpage/fp-mainbody-1.jpg" width="320" height="210" />\r\n<div class="title5 floatleft"><div class="module-title"><h2 class="title">Professional Template</h2></div></div>\r\n<p>Built on the <strong>Gantry Framework</strong>, Clarion has a range of powerful, flexible and intuitive features and functions.</p>\r\n<p>The administrative interface offers a user friendly control panel for intricately customizing the <strong>template layouts</strong>.</p>\r\n<a href="index.php?option=com_content&amp;view=article&amp;id=25&amp;Itemid=107" class="nobold"><span>View All Features +</span></a>', '', 1, 0, 0, 11, '2012-01-30 21:56:21', 367, '', '2012-01-31 23:33:12', 42, 0, '0000-00-00 00:00:00', '2012-01-30 21:56:21', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(21, 63, 'RokGallery', 'rokgallery', '', '<div class="rt-demo-grid-3">\r\n	<div class="rt-center rt-upper">\r\n		<img class="rt-image medmarginbottom medmargintop" src="images/stories/demo/frontpage/fp-roktabs-1.jpg" alt="RocketTheme" width="100" height="85" />\r\n		<strong>Gallery</strong>\r\n	</div>\r\n</div>\r\n<div class="rt-demo-grid-5 nomarginright">\r\n	<h3 class="medmarginbottom medmargintop">RokGallery Styled Template</h3>\r\n	<p>RokGallery is an advanced photo gallery solution for Joomla, that rests on a custom tagging architecture.It supports a native application style slice editor (non-destructive) to individually control and edit uploaded images/slices.</p>\r\n	<p><a href="index.php?option=com_content&amp;view=article&amp;id=3&amp;Itemid=112" class="readon"><span>More Information</span></a></p>\r\n</div>\r\n<div class="clear"></div>', '', 1, 0, 0, 13, '2012-01-30 22:01:01', 367, '', '2012-01-31 16:52:08', 42, 0, '0000-00-00 00:00:00', '2012-01-30 22:01:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(22, 64, 'RokTabs', 'roktabs', '', '<div class="rt-demo-grid-3">\r\n	<div class="rt-center rt-upper">\r\n		<img class="rt-image medmarginbottom medmargintop" src="images/stories/demo/frontpage/fp-roktabs-2.jpg" alt="RocketTheme" width="100" height="85" />\r\n		<strong>Tabs</strong>\r\n	</div>\r\n</div>\r\n<div class="rt-demo-grid-5 nomarginright">\r\n	<h3 class="medmarginbottom medmargintop">Tabbed Content Modules</h3>\r\n	<p> RokTabs is a tabbed content module, standalone and sporting its own themes (light and dark). Content is transitions, either by fade or scroll, and is powered by mootools. The module can be fully automated, switching based on time or manually by user interaction.</p>\r\n	<p><a href="index.php?option=com_content&amp;view=article&amp;id=3&amp;Itemid=112" class="readon"><span>More Information</span></a></p>\r\n</div>\r\n<div class="clear"></div>', '', 1, 0, 0, 13, '2012-01-30 22:01:08', 367, '', '2012-01-31 16:52:13', 42, 0, '0000-00-00 00:00:00', '2012-01-30 22:01:08', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(23, 65, 'RokNewsPager', 'roknewspager', '', '<div class="rt-demo-grid-3">\r\n	<div class="rt-center rt-upper">\r\n		<img class="rt-image medmarginbottom medmargintop" src="images/stories/demo/frontpage/fp-roktabs-3.jpg" alt="RocketTheme" width="100" height="85" />\r\n		<strong>Accordion</strong>\r\n	</div>\r\n</div>\r\n<div class="rt-demo-grid-5 nomarginright">\r\n	<h3 class="medmarginbottom medmargintop">Paged Content Module</h3>\r\n	<p>RokNewsPager is an article previewer and rotator. It displays content articles, in a summarised form and rotates through a series of pages displaying articles in a contracted list format. Included are a multitude of parameters to customize how your news is displayed.</p>\r\n	<p><a href="index.php?option=com_content&amp;view=article&amp;id=3&amp;Itemid=112" class="readon"><span>More Information</span></a></p>\r\n</div>\r\n<div class="clear"></div>', '', 1, 0, 0, 13, '2012-01-30 22:01:15', 367, '', '2012-01-31 16:52:18', 42, 0, '0000-00-00 00:00:00', '2012-01-30 22:01:15', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(24, 66, 'RokTwittie', 'roktwittie', '', '<div class="rt-demo-grid-3">\r\n	<div class="rt-center rt-upper">\r\n		<img class="rt-image medmarginbottom medmargintop" src="images/stories/demo/frontpage/fp-roktabs-4.jpg" alt="RocketTheme" width="100" height="85" />\r\n		<strong>Tweet</strong>\r\n	</div>\r\n</div>\r\n<div class="rt-demo-grid-5 nomarginright">\r\n	<h3 class="medmarginbottom medmargintop">Twitter Display Module</h3>\r\n	<p>RokTwittie is a module that integrates Twitter into your Joomla site. Display tweets of any username, or even by search terms, as well as your profile information and various other elements from Twitter itself. RokTwittie is the perfect way to integrate Twitter.</p>\r\n	<p><a href="index.php?option=com_content&amp;view=article&amp;id=3&amp;Itemid=112" class="readon"><span>More Information</span></a></p>\r\n</div>\r\n<div class="clear"></div>', '', 1, 0, 0, 13, '2012-01-30 22:01:24', 367, '', '2012-01-31 16:52:23', 42, 0, '0000-00-00 00:00:00', '2012-01-30 22:01:24', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(25, 67, 'Template Features', 'template-features', '', '<div class="module-title">\r\n	<h1 class="title"><span>Clarion</span> Template Features</h1>\r\n</div>	\r\n<h4>A Professional Business Template</h4>\r\n<p>Clarion, the February 2012 template release, is a subtle theme, primed for business use or as a platform for extensive individual customization. Clarion continues the chain of impressive, revolutionary, yet functional RocketTheme templates. It combines incredible styling with refined and powerful code to help your website achieve its maximum potential.</p>\r\n\r\n<div class="rt-center largemarginbottom largepaddingtop">\r\n	<img src="images/stories/demo/general/template-features/template-features-big.png" alt="Clarion" width="909" height="370" />\r\n</div><br />\r\n\r\n<div class="rt-demo-grid-12">\r\n\r\n\r\n	<div class="rt-demo-grid-3 nomarginleft">\r\n		<ul class="checkmark blue nomarginbottom">\r\n			<li><strong>12 Preset Styles</strong><br />Choose one of the included preset styles by specifying it in the template manager</li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class="rt-demo-grid-3">\r\n		<ul class="checkmark blue nomarginbottom">\r\n			<li class="nomarginbottom"><strong>78 Module Positions</strong><br />To get you started right, Clarion is utilized with plenty of available modules</li>\r\n		</ul>	\r\n	</div>\r\n\r\n	<div class="rt-demo-grid-3">\r\n		<ul class="checkmark blue nomarginbottom">\r\n			<li class="nomarginbottom"><strong>K2 Compatibility Styling</strong><br />Clarion provides styled support for K2 to visually integrate the component</li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class="rt-demo-grid-3 nomarginright">\r\n		<ul class="checkmark blue nomarginbottom">\r\n			<li class="nomarginbottom"><strong>RokExtensions Styling</strong><br />There is compatibility styling for some major RocketTheme extensions in this template</li>\r\n		</ul>	\r\n	</div>	\r\n\r\n</div>\r\n\r\n<div class="clear"></div>\r\n\r\n<div class="module-title rt-center largemargintop largepaddingtop nomarginbottom">\r\n	<h3 class="title"><span>Interested?</span> Want to Use Clarion for Your Website?</h3>\r\n	<a target="_blank" href="http://www.rockettheme.com/joomla-templates/clarion" class="readon largemargintop"><span>Download Clarion Now</span></a>\r\n</div>\r\n\r\n<div class="clear"></div>\r\n\r\n<div class="title5 largepaddingbottom"><div class="module-title"><div class="title">&nbsp;</div></div></div>\r\n\r\n\r\n<div class="rt-demo-grid-4 rt-center nomarginright">\r\n	<div class="module-title  nomarginbottom">\r\n		<h3 class="title"><span>Styles</span> Variation</h3>\r\n	</div>\r\n	<em>Multiple Preset Styles</em>\r\n	<a href="index.php?option=com_content&amp;view=article&amp;id=9&amp;Itemid=127"><img width="280" height="100" class="rt-image largemargintop" src="images/stories/demo/general/template-features/feature-1.png" alt="Clarion" /></a>\r\n</div>\r\n\r\n<div class="rt-demo-grid-4 rt-center nomarginright">\r\n	<div class="module-title  nomarginbottom">\r\n		<h3 class="title"><span>Modules</span> Layout</h3>\r\n	</div>\r\n	<em>Versatile &amp; Flexible Layout</em>\r\n	<a href="index.php?option=com_content&amp;view=article&amp;id=1&amp;Itemid=108"><img width="280" height="100" class="rt-image largemargintop" src="images/stories/demo/general/template-features/feature-2.png" alt="Clarion" /></a>\r\n</div>\r\n\r\n<div class="rt-demo-grid-4 rt-center nomarginright">\r\n	<div class="module-title  nomarginbottom">\r\n		<h3 class="title"><span>Module</span> Variations</h3>\r\n	</div>\r\n	<em>Fashion &amp; Style the Module</em>\r\n	<a href="index.php?option=com_content&amp;view=article&amp;id=2&amp;Itemid=109"><img width="280" height="100" class="rt-image largemargintop" src="images/stories/demo/general/template-features/feature-3.png" alt="Clarion" /></a>\r\n</div>\r\n\r\n<div class="clear"></div><br />\r\n\r\n<div class="rt-demo-grid-4 rt-center nomarginright">\r\n	<div class="module-title  nomarginbottom">\r\n		<h3 class="title"><span>Menu</span> Options</h3>\r\n	</div>\r\n	<em>Integrated Powerful Menu System</em>\r\n	<a href="index.php?option=com_content&amp;view=article&amp;id=5&amp;Itemid=111"><img width="280" height="100" class="rt-image largemargintop" src="images/stories/demo/general/template-features/feature-4.png" alt="Clarion" /></a>\r\n</div>\r\n\r\n<div class="rt-demo-grid-4 rt-center nomarginright">\r\n	<div class="module-title  nomarginbottom">\r\n		<h3 class="title"><span>Typography</span></h3>\r\n	</div>\r\n	<em>Make the Content Sexier</em>\r\n	<a href="index.php?option=com_content&amp;view=article&amp;id=4&amp;Itemid=110"><img width="280" height="100" class="rt-image largemargintop" src="images/stories/demo/general/template-features/feature-5.png" alt="Clarion" /></a>\r\n</div>\r\n\r\n<div class="rt-demo-grid-4 rt-center nomarginright">\r\n	<div class="module-title  nomarginbottom">\r\n		<h3 class="title"><span>Styled</span> Extensions</h3>\r\n	</div>\r\n	<em>RocketTheme Extensions Styled</em>\r\n	<a href="index.php?option=com_content&amp;view=article&amp;id=3&amp;Itemid=112"><img width="280" height="100" class="rt-image largemargintop" src="images/stories/demo/general/template-features/feature-6.png" alt="Clarion" /></a>\r\n</div>\r\n\r\n<div class="clear"></div><br />\r\n\r\n<div class="rt-demo-grid-4 rt-center nomarginright">\r\n	<div class="module-title  nomarginbottom">\r\n		<h3 class="title"><span>K2</span> Styled</h3>\r\n	</div>\r\n	<em>Visually K2 Integration</em>\r\n	<a href="index.php?option=com_content&amp;view=article&amp;id=3&amp;Itemid=112"><img width="280" height="100" class="rt-image largemargintop" src="images/stories/demo/general/template-features/feature-7.png" alt="Clarion" /></a>\r\n</div>\r\n\r\n<div class="rt-demo-grid-4 rt-center nomarginright">\r\n	<div class="module-title  nomarginbottom">\r\n		<h3 class="title"><span>Tutorials</span> &amp; Guides</h3>\r\n	</div>\r\n	<em>Learn the Template Configuration</em>\r\n	<a href="index.php?option=com_content&amp;view=article&amp;id=6&amp;Itemid=122"><img width="280" height="100" class="rt-image largemargintop" src="images/stories/demo/general/template-features/feature-8.png" alt="Clarion" /></a>\r\n</div>\r\n\r\n<div class="rt-demo-grid-4 rt-center nomarginright">\r\n	<div class="module-title  nomarginbottom">\r\n		<h3 class="title"><span>Joomla!</span> Stuff</h3>\r\n	</div>\r\n	<em>Styled for Regular Joomla! Stuffs</em>\r\n	<a href="index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=148"><img width="280" height="100" class="rt-image largemargintop" src="images/stories/demo/general/template-features/feature-9.png" alt="Clarion" /></a>\r\n</div>\r\n\r\n<div class="clear"></div>\r\n\r\n<div class="title5 largepaddingbottom"><div class="module-title"><div class="title">&nbsp;</div></div></div>\r\n\r\n<div class="rt-demo-grid-8 nomarginright">\r\n	<div class="module-title">\r\n		<h1 class="title"><span>Gantry Framework</span> Features</h1>\r\n	</div>\r\n	<div class="rt-demo-grid-4 nomarginright nomarginleft">\r\n		<ul class="checkmark blue nomarginbottom">\r\n			<li><strong>960 Grid System</strong><br />CSS grid framework for constructing web content based on a width of 960 pixels</li>\r\n			<li class="nomarginbottom"><strong>Per-menu-item Configuration</strong><br />Powerful feature in Gantry to control configuration on a per-menu-item basis</li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class="rt-demo-grid-4 nomarginright">\r\n		<ul class="checkmark blue nomarginbottom">\r\n			<li><strong>iPhone / Android Compatible</strong><br />iPhone, iPod Touch, iPad, and Android custom theme support</li>	\r\n			<li class="nomarginbottom"><strong>Grid RTL Support</strong><br />Built in RTL support which will automatically order the layout to support RTL.</li>\r\n		</ul>	\r\n	</div>	\r\n\r\n	<a href="images/stories/demo/general/template-features/rtl-layout.jpg" rel="rokbox[371 700]" title="RTL Layout">\r\n	<img width="300" height="240" class="floatleft nomarginright largemargintop" src="images/stories/demo/general/template-features/feature-11.png" alt="RTL Layout" /></a>\r\n\r\n	<img style="margin-right: -3px;" width="263" height="200" class="floatright largemargintop" src="images/stories/demo/general/template-features/feature-12.png" alt="iPhone/Android Compatible" />\r\n</div>\r\n\r\n<div class="rt-demo-grid-4 title5 nomarginleft nomarginright largemargintop largepaddingtop">\r\n	<img width="300" height="392" src="images/stories/demo/general/template-features/feature-13.png" alt="Clarion" />\r\n</div>\r\n\r\n<div class="clear"></div>', '', 1, 0, 0, 11, '2012-01-30 22:01:35', 367, '', '2012-01-31 16:57:55', 42, 0, '0000-00-00 00:00:00', '2012-01-30 22:01:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"0","link_titles":"0","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, 0, '', '', 1, 16, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');

-- --------------------------------------------------------

--
-- Table structure for table `#__content_frontpage`
--

DROP TABLE IF EXISTS `#__content_frontpage`;
CREATE TABLE IF NOT EXISTS `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
);

--
-- Dumping data for table `#__content_frontpage`
--

INSERT INTO `#__content_frontpage` (`content_id`, `ordering`) VALUES
(19, 1);

-- --------------------------------------------------------

--
-- Table structure for table `#__content_rating`
--

DROP TABLE IF EXISTS `#__content_rating`;
CREATE TABLE IF NOT EXISTS `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(10) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(10) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
);

-- --------------------------------------------------------

--
-- Table structure for table `#__extensions`
--

DROP TABLE IF EXISTS `#__extensions`;
CREATE TABLE IF NOT EXISTS `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  `access` int(10) unsigned NOT NULL DEFAULT '1',
  `protected` tinyint(3) NOT NULL DEFAULT '0',
  `manifest_cache` text NOT NULL,
  `params` text NOT NULL,
  `custom_data` text NOT NULL,
  `system_data` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT '0',
  `state` int(11) DEFAULT '0',
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
);

--
-- Dumping data for table `#__extensions`
--

INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(1, 'com_mailto', 'component', 'com_mailto', '', 0, 1, 1, 1, '{"legacy":false,"name":"com_mailto","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MAILTO_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(2, 'com_wrapper', 'component', 'com_wrapper', '', 0, 1, 1, 1, '{"legacy":false,"name":"com_wrapper","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_WRAPPER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(3, 'com_admin', 'component', 'com_admin', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_admin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_ADMIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(4, 'com_banners', 'component', 'com_banners', '', 1, 1, 1, 0, '{"legacy":false,"name":"com_banners","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_BANNERS_XML_DESCRIPTION","group":""}', '{"purchase_type":"3","track_impressions":"0","track_clicks":"0","metakey_prefix":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(5, 'com_cache', 'component', 'com_cache', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_cache","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CACHE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(6, 'com_categories', 'component', 'com_categories', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_categories","type":"component","creationDate":"December 2007","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CATEGORIES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(7, 'com_checkin', 'component', 'com_checkin', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_checkin","type":"component","creationDate":"Unknown","author":"Joomla! Project","copyright":"(C) 2005 - 2008 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CHECKIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(8, 'com_contact', 'component', 'com_contact', '', 1, 1, 1, 0, '{"legacy":false,"name":"com_contact","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CONTACT_XML_DESCRIPTION","group":""}', '{"show_contact_category":"hide","show_contact_list":"0","presentation_style":"sliders","show_name":"1","show_position":"1","show_email":"0","show_street_address":"1","show_suburb":"1","show_state":"1","show_postcode":"1","show_country":"1","show_telephone":"1","show_mobile":"1","show_fax":"1","show_webpage":"1","show_misc":"1","show_image":"1","image":"","allow_vcard":"0","show_articles":"0","show_profile":"0","show_links":"0","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","contact_icons":"0","icon_address":"","icon_email":"","icon_telephone":"","icon_mobile":"","icon_fax":"","icon_misc":"","show_headings":"1","show_position_headings":"1","show_email_headings":"0","show_telephone_headings":"1","show_mobile_headings":"0","show_fax_headings":"0","allow_vcard_headings":"0","show_suburb_headings":"1","show_state_headings":"1","show_country_headings":"1","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"1","custom_reply":"0","redirect":"","show_category_crumb":"0","metakey":"","metadesc":"","robots":"","author":"","rights":"","xreference":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(9, 'com_cpanel', 'component', 'com_cpanel', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_cpanel","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CPANEL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10, 'com_installer', 'component', 'com_installer', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_installer","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_INSTALLER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(11, 'com_languages', 'component', 'com_languages', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_languages","type":"component","creationDate":"2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_LANGUAGES_XML_DESCRIPTION","group":""}', '{"administrator":"en-GB","site":"en-GB"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(12, 'com_login', 'component', 'com_login', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_login","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(13, 'com_media', 'component', 'com_media', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_media","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MEDIA_XML_DESCRIPTION","group":""}', '{"upload_extensions":"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS","upload_maxsize":"10","file_path":"images","image_path":"images","restrict_uploads":"1","allowed_media_usergroup":"3","check_mime":"1","image_extensions":"bmp,gif,jpg,png","ignore_extensions":"","upload_mime":"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip","upload_mime_illegal":"text\\/html","enable_flash":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(14, 'com_menus', 'component', 'com_menus', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_menus","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MENUS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(15, 'com_messages', 'component', 'com_messages', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_messages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MESSAGES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(16, 'com_modules', 'component', 'com_modules', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_modules","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_MODULES_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(17, 'com_newsfeeds', 'component', 'com_newsfeeds', '', 1, 1, 1, 0, '{"legacy":false,"name":"com_newsfeeds","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_NEWSFEEDS_XML_DESCRIPTION","group":""}', '{"show_feed_image":"1","show_feed_description":"1","show_item_description":"1","feed_word_count":"0","show_headings":"1","show_name":"1","show_articles":"0","show_link":"1","show_description":"1","show_description_image":"1","display_num":"","show_pagination_limit":"1","show_pagination":"1","show_pagination_results":"1","show_cat_items":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(18, 'com_plugins', 'component', 'com_plugins', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_plugins","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_PLUGINS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(19, 'com_search', 'component', 'com_search', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_search","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_SEARCH_XML_DESCRIPTION","group":""}', '{"enabled":"0","show_date":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(20, 'com_templates', 'component', 'com_templates', '', 1, 1, 1, 1, '{"legacy":false,"name":"com_templates","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_TEMPLATES_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(21, 'com_weblinks', 'component', 'com_weblinks', '', 1, 1, 1, 0, '{"legacy":false,"name":"com_weblinks","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_WEBLINKS_XML_DESCRIPTION","group":""}', '{"show_comp_description":"1","comp_description":"","show_link_hits":"1","show_link_description":"1","show_other_cats":"0","show_headings":"0","show_numbers":"0","show_report":"1","count_clicks":"1","target":"0","link_icons":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(22, 'com_content', 'component', 'com_content', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_content","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CONTENT_XML_DESCRIPTION","group":""}', '{"article_layout":"_:default","show_title":"0","link_titles":"0","show_intro":"1","show_category":"0","link_category":"1","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_readmore":"1","show_readmore_title":"1","readmore_limit":"100","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"0","urls_position":"0","show_publishing_options":"1","show_article_options":"1","show_urls_images_frontend":"0","show_urls_images_backend":"1","targeta":0,"targetb":0,"targetc":0,"float_intro":"left","float_fulltext":"left","category_layout":"_:blog","show_category_title":"0","show_description":"0","show_description_image":"0","maxLevel":"1","show_empty_categories":"0","show_no_articles":"1","show_subcat_desc":"1","show_cat_num_articles":"0","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_num_articles_cat":"1","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"0","show_subcategory_content":"0","show_pagination_limit":"1","filter_field":"hide","show_headings":"1","list_show_date":"0","date_format":"","list_show_hits":"1","list_show_author":"1","orderby_pri":"order","orderby_sec":"rdate","order_date":"published","show_pagination":"2","show_pagination_results":"1","show_feed_link":"1","feed_summary":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(23, 'com_config', 'component', 'com_config', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_config","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_CONFIG_XML_DESCRIPTION","group":""}', '{"filters":{"1":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"6":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"7":{"filter_type":"NONE","filter_tags":"","filter_attributes":""},"2":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"3":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"4":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"5":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"8":{"filter_type":"NONE","filter_tags":"","filter_attributes":""}}}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(24, 'com_redirect', 'component', 'com_redirect', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_redirect","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_REDIRECT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(25, 'com_users', 'component', 'com_users', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_users","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_USERS_XML_DESCRIPTION","group":""}', '{"allowUserRegistration":"0","new_usertype":"2","guest_usergroup":"1","useractivation":"1","mail_to_admin":"0","captcha":"","frontend_userparams":"1","site_language":"0","mailSubjectPrefix":"","mailBodySuffix":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(27, 'com_finder', 'component', 'com_finder', '', 1, 1, 0, 0, '{"legacy":false,"name":"com_finder","type":"component","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_FINDER_XML_DESCRIPTION","group":""}', '{"show_description":"1","description_length":255,"allow_empty_query":"0","show_url":"1","show_advanced":"1","expand_advanced":"0","show_date_filters":"0","highlight_terms":"1","opensearch_name":"","opensearch_description":"","batch_size":"50","memory_table_limit":30000,"title_multiplier":"1.7","text_multiplier":"0.7","meta_multiplier":"1.2","path_multiplier":"2.0","misc_multiplier":"0.3","stemmer":"snowball"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(100, 'PHPMailer', 'library', 'phpmailer', '', 0, 1, 1, 1, '{"legacy":false,"name":"PHPMailer","type":"library","creationDate":"2001","author":"PHPMailer","copyright":"(c) 2001-2003, Brent R. Matzelle, (c) 2004-2009, Andy Prevost. All Rights Reserved., (c) 2010-2011, Jim Jagielski. All Rights Reserved.","authorEmail":"jimjag@gmail.com","authorUrl":"https:\\/\\/code.google.com\\/a\\/apache-extras.org\\/p\\/phpmailer\\/","version":"5.2","description":"LIB_PHPMAILER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(101, 'SimplePie', 'library', 'simplepie', '', 0, 1, 1, 1, '{"legacy":false,"name":"SimplePie","type":"library","creationDate":"2004","author":"SimplePie","copyright":"Copyright (c) 2004-2009, Ryan Parman and Geoffrey Sneddon","authorEmail":"","authorUrl":"http:\\/\\/simplepie.org\\/","version":"1.2","description":"LIB_SIMPLEPIE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(102, 'phputf8', 'library', 'phputf8', '', 0, 1, 1, 1, '{"legacy":false,"name":"phputf8","type":"library","creationDate":"2006","author":"Harry Fuecks","copyright":"Copyright various authors","authorEmail":"hfuecks@gmail.com","authorUrl":"http:\\/\\/sourceforge.net\\/projects\\/phputf8","version":"0.5","description":"LIB_PHPUTF8_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(103, 'Joomla! Platform', 'library', 'joomla', '', 0, 1, 1, 1, '{"legacy":false,"name":"Joomla! Platform","type":"library","creationDate":"2008","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"http:\\/\\/www.joomla.org","version":"11.4","description":"LIB_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(200, 'mod_articles_archive', 'module', 'mod_articles_archive', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_articles_archive","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters.\\n\\t\\tAll rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(201, 'mod_articles_latest', 'module', 'mod_articles_latest', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_articles_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LATEST_NEWS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(202, 'mod_articles_popular', 'module', 'mod_articles_popular', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_articles_popular","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(203, 'mod_banners', 'module', 'mod_banners', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_banners","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_BANNERS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(204, 'mod_breadcrumbs', 'module', 'mod_breadcrumbs', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_breadcrumbs","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_BREADCRUMBS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(205, 'mod_custom', 'module', 'mod_custom', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(206, 'mod_feed', 'module', 'mod_feed', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_FEED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(207, 'mod_footer', 'module', 'mod_footer', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_footer","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_FOOTER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(208, 'mod_login', 'module', 'mod_login', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_login","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(209, 'mod_menu', 'module', 'mod_menu', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_menu","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_MENU_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(210, 'mod_articles_news', 'module', 'mod_articles_news', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_articles_news","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_ARTICLES_NEWS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(211, 'mod_random_image', 'module', 'mod_random_image', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_random_image","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_RANDOM_IMAGE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(212, 'mod_related_items', 'module', 'mod_related_items', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_related_items","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_RELATED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(213, 'mod_search', 'module', 'mod_search', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_search","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_SEARCH_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(214, 'mod_stats', 'module', 'mod_stats', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_stats","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_STATS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(215, 'mod_syndicate', 'module', 'mod_syndicate', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_syndicate","type":"module","creationDate":"May 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_SYNDICATE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(216, 'mod_users_latest', 'module', 'mod_users_latest', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_users_latest","type":"module","creationDate":"December 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_USERS_LATEST_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(217, 'mod_weblinks', 'module', 'mod_weblinks', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_weblinks","type":"module","creationDate":"July 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_WEBLINKS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(218, 'mod_whosonline', 'module', 'mod_whosonline', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_whosonline","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_WHOSONLINE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(219, 'mod_wrapper', 'module', 'mod_wrapper', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_wrapper","type":"module","creationDate":"October 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_WRAPPER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(220, 'mod_articles_category', 'module', 'mod_articles_category', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_articles_category","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(221, 'mod_articles_categories', 'module', 'mod_articles_categories', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_articles_categories","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(222, 'mod_languages', 'module', 'mod_languages', '', 0, 1, 1, 1, '{"legacy":false,"name":"mod_languages","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LANGUAGES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(223, 'mod_finder', 'module', 'mod_finder', '', 0, 1, 0, 0, '{"legacy":false,"name":"mod_finder","type":"module","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_FINDER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(300, 'mod_custom', 'module', 'mod_custom', '', 1, 1, 1, 1, '{"legacy":false,"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(301, 'mod_feed', 'module', 'mod_feed', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_FEED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(302, 'mod_latest', 'module', 'mod_latest', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LATEST_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(303, 'mod_logged', 'module', 'mod_logged', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_logged","type":"module","creationDate":"January 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LOGGED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(304, 'mod_login', 'module', 'mod_login', '', 1, 1, 1, 1, '{"legacy":false,"name":"mod_login","type":"module","creationDate":"March 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(305, 'mod_menu', 'module', 'mod_menu', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_menu","type":"module","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_MENU_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(307, 'mod_popular', 'module', 'mod_popular', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_popular","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(308, 'mod_quickicon', 'module', 'mod_quickicon', '', 1, 1, 1, 1, '{"legacy":false,"name":"mod_quickicon","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_QUICKICON_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(309, 'mod_status', 'module', 'mod_status', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_status","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_STATUS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(310, 'mod_submenu', 'module', 'mod_submenu', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_submenu","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_SUBMENU_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(311, 'mod_title', 'module', 'mod_title', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_title","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_TITLE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(312, 'mod_toolbar', 'module', 'mod_toolbar', '', 1, 1, 1, 1, '{"legacy":false,"name":"mod_toolbar","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_TOOLBAR_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(313, 'mod_multilangstatus', 'module', 'mod_multilangstatus', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_multilangstatus","type":"module","creationDate":"September 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_MULTILANGSTATUS_XML_DESCRIPTION","group":""}', '{"cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(400, 'plg_authentication_gmail', 'plugin', 'gmail', 'authentication', 0, 0, 1, 0, '{"legacy":false,"name":"plg_authentication_gmail","type":"plugin","creationDate":"February 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_GMAIL_XML_DESCRIPTION","group":""}', '{"applysuffix":"0","suffix":"","verifypeer":"1","user_blacklist":""}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(401, 'plg_authentication_joomla', 'plugin', 'joomla', 'authentication', 0, 1, 1, 1, '{"legacy":false,"name":"plg_authentication_joomla","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_AUTH_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(402, 'plg_authentication_ldap', 'plugin', 'ldap', 'authentication', 0, 0, 1, 0, '{"legacy":false,"name":"plg_authentication_ldap","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_LDAP_XML_DESCRIPTION","group":""}', '{"host":"","port":"389","use_ldapV3":"0","negotiate_tls":"0","no_referrals":"0","auth_method":"bind","base_dn":"","search_string":"","users_dn":"","username":"admin","password":"bobby7","ldap_fullname":"fullName","ldap_email":"mail","ldap_uid":"uid"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(404, 'plg_content_emailcloak', 'plugin', 'emailcloak', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"plg_content_emailcloak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION","group":""}', '{"mode":"1"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(405, 'plg_content_geshi', 'plugin', 'geshi', 'content', 0, 0, 1, 0, '{"legacy":false,"name":"plg_content_geshi","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"","authorUrl":"qbnz.com\\/highlighter","version":"2.5.0","description":"PLG_CONTENT_GESHI_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(406, 'plg_content_loadmodule', 'plugin', 'loadmodule', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"plg_content_loadmodule","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_LOADMODULE_XML_DESCRIPTION","group":""}', '{"style":"xhtml"}', '', '', 0, '2011-09-18 15:22:50', 0, 0),
(407, 'plg_content_pagebreak', 'plugin', 'pagebreak', 'content', 0, 1, 1, 1, '{"legacy":false,"name":"plg_content_pagebreak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION","group":""}', '{"title":"1","multipage_toc":"1","showall":"1"}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(408, 'plg_content_pagenavigation', 'plugin', 'pagenavigation', 'content', 0, 1, 1, 1, '{"legacy":false,"name":"plg_content_pagenavigation","type":"plugin","creationDate":"January 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_PAGENAVIGATION_XML_DESCRIPTION","group":""}', '{"position":"1"}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(409, 'plg_content_vote', 'plugin', 'vote', 'content', 0, 1, 1, 1, '{"legacy":false,"name":"plg_content_vote","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_VOTE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(410, 'plg_editors_codemirror', 'plugin', 'codemirror', 'editors', 0, 1, 1, 1, '{"legacy":false,"name":"plg_editors_codemirror","type":"plugin","creationDate":"28 March 2011","author":"Marijn Haverbeke","copyright":"","authorEmail":"N\\/A","authorUrl":"","version":"1.0","description":"PLG_CODEMIRROR_XML_DESCRIPTION","group":""}', '{"linenumbers":"0","tabmode":"indent"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(411, 'plg_editors_none', 'plugin', 'none', 'editors', 0, 1, 1, 1, '{"legacy":false,"name":"plg_editors_none","type":"plugin","creationDate":"August 2004","author":"Unknown","copyright":"","authorEmail":"N\\/A","authorUrl":"","version":"2.5.0","description":"PLG_NONE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(412, 'plg_editors_tinymce', 'plugin', 'tinymce', 'editors', 0, 1, 1, 1, '{"legacy":false,"name":"plg_editors_tinymce","type":"plugin","creationDate":"2005-2012","author":"Moxiecode Systems AB","copyright":"Moxiecode Systems AB","authorEmail":"N\\/A","authorUrl":"tinymce.moxiecode.com\\/","version":"3.5.4.1","description":"PLG_TINY_XML_DESCRIPTION","group":""}', '{"mode":"1","skin":"0","compressed":"0","cleanup_startup":"0","cleanup_save":"2","entity_encoding":"raw","lang_mode":"0","lang_code":"en","text_direction":"ltr","content_css":"1","content_css_custom":"","relative_urls":"1","newlines":"0","invalid_elements":"script,applet,iframe","extended_elements":"","toolbar":"top","toolbar_align":"left","html_height":"550","html_width":"750","element_path":"1","fonts":"1","paste":"1","searchreplace":"1","insertdate":"1","format_date":"%Y-%m-%d","inserttime":"1","format_time":"%H:%M:%S","colors":"1","table":"1","smilies":"1","media":"1","hr":"1","directionality":"1","fullscreen":"1","style":"1","layer":"1","xhtmlxtras":"1","visualchars":"1","nonbreaking":"1","template":"1","blockquote":"1","wordcount":"1","advimage":"1","advlink":"1","autosave":"1","contextmenu":"1","inlinepopups":"1","safari":"0","custom_plugin":"","custom_button":""}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(413, 'plg_editors-xtd_article', 'plugin', 'article', 'editors-xtd', 0, 1, 1, 1, '{"legacy":false,"name":"plg_editors-xtd_article","type":"plugin","creationDate":"October 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_ARTICLE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(414, 'plg_editors-xtd_image', 'plugin', 'image', 'editors-xtd', 0, 1, 1, 0, '{"legacy":false,"name":"plg_editors-xtd_image","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_IMAGE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(415, 'plg_editors-xtd_pagebreak', 'plugin', 'pagebreak', 'editors-xtd', 0, 1, 1, 0, '{"legacy":false,"name":"plg_editors-xtd_pagebreak","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(416, 'plg_editors-xtd_readmore', 'plugin', 'readmore', 'editors-xtd', 0, 1, 1, 0, '{"legacy":false,"name":"plg_editors-xtd_readmore","type":"plugin","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_READMORE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(417, 'plg_search_categories', 'plugin', 'categories', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_categories","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(418, 'plg_search_contacts', 'plugin', 'contacts', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_contacts","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_CONTACTS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(419, 'plg_search_content', 'plugin', 'content', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_content","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_CONTENT_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(420, 'plg_search_newsfeeds', 'plugin', 'newsfeeds', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_newsfeeds","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(421, 'plg_search_weblinks', 'plugin', 'weblinks', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_weblinks","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEARCH_WEBLINKS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(422, 'plg_system_languagefilter', 'plugin', 'languagefilter', 'system', 0, 0, 1, 1, '{"legacy":false,"name":"plg_system_languagefilter","type":"plugin","creationDate":"July 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(423, 'plg_system_p3p', 'plugin', 'p3p', 'system', 0, 1, 1, 1, '{"legacy":false,"name":"plg_system_p3p","type":"plugin","creationDate":"September 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_P3P_XML_DESCRIPTION","group":""}', '{"headers":"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(424, 'plg_system_cache', 'plugin', 'cache', 'system', 0, 0, 1, 1, '{"legacy":false,"name":"plg_system_cache","type":"plugin","creationDate":"February 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CACHE_XML_DESCRIPTION","group":""}', '{"browsercache":"0","cachetime":"15"}', '', '', 0, '0000-00-00 00:00:00', 9, 0),
(425, 'plg_system_debug', 'plugin', 'debug', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"plg_system_debug","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_DEBUG_XML_DESCRIPTION","group":""}', '{"profile":"1","queries":"1","memory":"1","language_files":"1","language_strings":"1","strip-first":"1","strip-prefix":"","strip-suffix":""}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(426, 'plg_system_log', 'plugin', 'log', 'system', 0, 1, 1, 1, '{"legacy":false,"name":"plg_system_log","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_LOG_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(427, 'plg_system_redirect', 'plugin', 'redirect', 'system', 0, 1, 1, 1, '{"legacy":false,"name":"plg_system_redirect","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_REDIRECT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(428, 'plg_system_remember', 'plugin', 'remember', 'system', 0, 1, 1, 1, '{"legacy":false,"name":"plg_system_remember","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_REMEMBER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(429, 'plg_system_sef', 'plugin', 'sef', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"plg_system_sef","type":"plugin","creationDate":"December 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SEF_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 8, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(430, 'plg_system_logout', 'plugin', 'logout', 'system', 0, 1, 1, 1, '{"legacy":false,"name":"plg_system_logout","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(431, 'plg_user_contactcreator', 'plugin', 'contactcreator', 'user', 0, 0, 1, 1, '{"legacy":false,"name":"plg_user_contactcreator","type":"plugin","creationDate":"August 2009","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTACTCREATOR_XML_DESCRIPTION","group":""}', '{"autowebpage":"","category":"34","autopublish":"0"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(432, 'plg_user_joomla', 'plugin', 'joomla', 'user', 0, 1, 1, 0, '{"legacy":false,"name":"plg_user_joomla","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2009 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_USER_JOOMLA_XML_DESCRIPTION","group":""}', '{"autoregister":"1"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(433, 'plg_user_profile', 'plugin', 'profile', 'user', 0, 0, 1, 1, '{"legacy":false,"name":"plg_user_profile","type":"plugin","creationDate":"January 2008","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_USER_PROFILE_XML_DESCRIPTION","group":""}', '{"register-require_address1":"1","register-require_address2":"1","register-require_city":"1","register-require_region":"1","register-require_country":"1","register-require_postal_code":"1","register-require_phone":"1","register-require_website":"1","register-require_favoritebook":"1","register-require_aboutme":"1","register-require_tos":"1","register-require_dob":"1","profile-require_address1":"1","profile-require_address2":"1","profile-require_city":"1","profile-require_region":"1","profile-require_country":"1","profile-require_postal_code":"1","profile-require_phone":"1","profile-require_website":"1","profile-require_favoritebook":"1","profile-require_aboutme":"1","profile-require_tos":"1","profile-require_dob":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(434, 'plg_extension_joomla', 'plugin', 'joomla', 'extension', 0, 1, 1, 1, '{"legacy":false,"name":"plg_extension_joomla","type":"plugin","creationDate":"May 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(435, 'plg_content_joomla', 'plugin', 'joomla', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"plg_content_joomla","type":"plugin","creationDate":"November 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTENT_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(436, 'plg_system_languagecode', 'plugin', 'languagecode', 'system', 0, 0, 1, 0, '{"legacy":false,"name":"plg_system_languagecode","type":"plugin","creationDate":"November 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 10, 0),
(437, 'plg_quickicon_joomlaupdate', 'plugin', 'joomlaupdate', 'quickicon', 0, 1, 1, 1, '{"legacy":false,"name":"plg_quickicon_joomlaupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(438, 'plg_quickicon_extensionupdate', 'plugin', 'extensionupdate', 'quickicon', 0, 1, 1, 1, '{"legacy":false,"name":"plg_quickicon_extensionupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(439, 'plg_captcha_recaptcha', 'plugin', 'recaptcha', 'captcha', 0, 1, 1, 0, '{"legacy":false,"name":"plg_captcha_recaptcha","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION","group":""}', '{"public_key":"","private_key":"","theme":"clean"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(440, 'plg_system_highlight', 'plugin', 'highlight', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"plg_system_highlight","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(441, 'plg_content_finder', 'plugin', 'finder', 'content', 0, 0, 1, 0, '{"legacy":false,"name":"plg_content_finder","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTENT_FINDER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(442, 'plg_finder_categories', 'plugin', 'categories', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_categories","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_CATEGORIES_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(443, 'plg_finder_contacts', 'plugin', 'contacts', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_contacts","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_CONTACTS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(444, 'plg_finder_content', 'plugin', 'content', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_content","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_CONTENT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(445, 'plg_finder_newsfeeds', 'plugin', 'newsfeeds', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_newsfeeds","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(446, 'plg_finder_weblinks', 'plugin', 'weblinks', 'finder', 0, 1, 1, 0, '{"legacy":false,"name":"plg_finder_weblinks","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_FINDER_WEBLINKS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(500, 'atomic', 'template', 'atomic', '', 0, 1, 1, 0, '{"legacy":false,"name":"atomic","type":"template","creationDate":"10\\/10\\/09","author":"Ron Severdia","copyright":"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.","authorEmail":"contact@kontentdesign.com","authorUrl":"http:\\/\\/www.kontentdesign.com","version":"2.5.0","description":"TPL_ATOMIC_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(502, 'bluestork', 'template', 'bluestork', '', 1, 1, 1, 0, '{"legacy":false,"name":"bluestork","type":"template","creationDate":"07\\/02\\/09","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"TPL_BLUESTORK_XML_DESCRIPTION","group":""}', '{"useRoundedCorners":"1","showSiteName":"0","textBig":"0","highContrast":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(503, 'beez_20', 'template', 'beez_20', '', 0, 1, 1, 0, '{"legacy":false,"name":"beez_20","type":"template","creationDate":"25 November 2009","author":"Angie Radtke","copyright":"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.","authorEmail":"a.radtke@derauftritt.de","authorUrl":"http:\\/\\/www.der-auftritt.de","version":"2.5.0","description":"TPL_BEEZ2_XML_DESCRIPTION","group":""}', '{"wrapperSmall":"53","wrapperLarge":"72","sitetitle":"","sitedescription":"","navposition":"center","templatecolor":"nature"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(504, 'hathor', 'template', 'hathor', '', 1, 1, 1, 0, '{"legacy":false,"name":"hathor","type":"template","creationDate":"May 2010","author":"Andrea Tarr","copyright":"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.","authorEmail":"hathor@tarrconsulting.com","authorUrl":"http:\\/\\/www.tarrconsulting.com","version":"2.5.0","description":"TPL_HATHOR_XML_DESCRIPTION","group":""}', '{"showSiteName":"0","colourChoice":"0","boldText":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(505, 'beez5', 'template', 'beez5', '', 0, 1, 1, 0, '{"legacy":false,"name":"beez5","type":"template","creationDate":"21 May 2010","author":"Angie Radtke","copyright":"Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.","authorEmail":"a.radtke@derauftritt.de","authorUrl":"http:\\/\\/www.der-auftritt.de","version":"2.5.0","description":"TPL_BEEZ5_XML_DESCRIPTION","group":""}', '{"wrapperSmall":"53","wrapperLarge":"72","sitetitle":"","sitedescription":"","navposition":"center","html5":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(600, 'English (United Kingdom)', 'language', 'en-GB', '', 0, 1, 1, 1, '{"legacy":false,"name":"English (United Kingdom)","type":"language","creationDate":"2008-03-15","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.5","description":"en-GB site language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(601, 'English (United Kingdom)', 'language', 'en-GB', '', 1, 1, 1, 1, '{"legacy":false,"name":"English (United Kingdom)","type":"language","creationDate":"2008-03-15","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.5","description":"en-GB administrator language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(700, 'files_joomla', 'file', 'joomla', '', 0, 1, 1, 1, '{"legacy":false,"name":"files_joomla","type":"file","creationDate":"September 2012","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.7","description":"FILES_JOOMLA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(800, 'PKG_JOOMLA', 'package', 'pkg_joomla', '', 0, 1, 1, 1, '{"legacy":false,"name":"PKG_JOOMLA","type":"package","creationDate":"2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"http:\\/\\/www.joomla.org","version":"2.5.0","description":"PKG_JOOMLA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10003, 'System - Gantry', 'plugin', 'gantry', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"System - Gantry","type":"plugin","creationDate":"September 18, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"4.0.5","description":"Gantry System Plugin for Joomla","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(10005, 'RokTabs', 'module', 'mod_roktabs', '', 0, 1, 1, 0, '{"legacy":false,"name":"RokTabs","type":"module","creationDate":"March 13, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.8","description":"RokTabs is a news module designed to show section articles in a pleasing format. Brought to you by\\n        RocketTheme\\n    ","group":""}', '{"style":"light","content_type":"joomla","catid":"","show_front":"1","spacer_content_parameters":"","itemsOrdering":"","strip_tags":"a,i,br,img","show_readmore":"1","readmore":"Read more...","spacer_animation":"","width":"500","tabs_count":"3","duration":"600","transition_type":"scrolling","transition_fx":"Quad.easeInOut","linksMargins":"0","navscrolling":"1","spacer_tabs_details":"","tabs_position":"top","tabs_event":"click","tabs_title":"content","tabs_incremental":"Tab ","tabs_hideh6":"1","tabs_prefixed":"0","tabs_showicons":"0","tabs_iconside":"left","tabs_iconpath":"__module__\\/images","tabs_icon":"icon_home.gif, icon_security.gif, icon_comment.gif, icon_world.gif, icon_note.gif","spacer_autoplay":"","autoplay":"0","autoplay_delay":"2000","spacer_spacer":"","moduleclass_sfx":"","cache":"0","module_cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10009, 'RokCandy', 'component', 'com_rokcandy', '', 1, 1, 0, 0, '{"legacy":false,"name":"RokCandy","type":"component","creationDate":"September 3, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.4","description":"\\n\\t\\tRokCandy is a simple yet powerful macro system for Joomla 1.6.  It provides the ability to create and categorize macros that can be used throughout your site.\\n\\t","group":""}', '{"forcecache":"0","adminenabled":"0","editenabled":"0","contentPlugin":"0","disabled":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10010, 'Button - RokCandy', 'plugin', 'rokcandy', 'editors-xtd', 0, 1, 1, 0, '{"legacy":false,"name":"Button - RokCandy","type":"plugin","creationDate":"September 3, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.4","description":"This is an Editor Button to allow selection of RokCandy macros","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(10011, 'System - RokCandy', 'plugin', 'rokcandy', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"System - RokCandy","type":"plugin","creationDate":"September 3, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.4","description":"This is the RokCandy system plugin that performs the macro replacement","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 50, 0),
(10013, 'System - RokBox', 'plugin', 'rokbox', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"System - RokBox","type":"plugin","creationDate":"September 3, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.3","description":"RokBox System Plugin","group":""}', '{"theme":"light","custom-theme":"sample","custom-legacy":"0","width":"640","height":"460","transition":"Quad.easeOut","duration":"200","chase":"40","effect":"quicksilver","frame-border":"20","content-padding":"0","arrows-height":"35","captions":"1","captionsDelay":"800","scrolling":"0","keyEvents":"1","overlay_background":"#000000","overlay_opacity":"0.85","overlay_duration":"200","overlay_transition":"Quad.easeInOut","autoplay":"true","ytautoplay":"0","ythighquality":"0","controller":"false","bgcolor":"#f3f3f3","vimeoColor":"00adef","vimeoPortrait":"0","vimeoTitle":"0","vimeoFullScreen":"1","vimeoByline":"0"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(10014, 'Content - RokBox', 'plugin', 'rokbox', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"Content - RokBox","type":"plugin","creationDate":"September 3, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.3","description":"To be used with a RokBox enabled RocketTheme Joomla! template.  Syntax is {rokbox}link{\\/rokbox}.  If you want the image to be part of an ''album'', you can use the syntax {rokbox album=|albumname|}link{\\/rokbox}.  To provide text descriptions, please use the syntax {rokbox title=|your description|}link{\\/rokbox}. To specify a thumbnail, use the syntax {rokbox thumb=|thumbnail_link.jpg|}link{\\/rokbox}. If you want to use a text link, you can specify the text using syntax: {rokbox text=|your link text here|}link{\\/rokbox}. You can also use album, title, thumb and text in the same tag.","group":""}', '{"remote_sizes":"0","thumb_ext":"_thumb","thumb_class":"album","thumb_custom":"0","thumb_dir":"cache","thumb_width":"150","thumb_height":"100","thumb_quality":"90"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(10017, 'System - RokExtender', 'plugin', 'rokextender', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"System - RokExtender","type":"plugin","creationDate":"August 13, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.1","description":"System - Gantry","group":""}', '{"registered":"\\/modules\\/mod_roknavmenu\\/lib\\/RokNavMenuEvents.php"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(10018, 'RokNavMenu', 'module', 'mod_roknavmenu', '', 0, 1, 1, 0, '{"legacy":false,"name":"RokNavMenu","type":"module","creationDate":"September 14, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.16","description":"RocketTheme Customizable Navigation Menu","group":""}', '{"limit_levels":"0","startLevel":"0","endLevel":"0","showAllChildren":"0","window_open":"","filteringspacer2":"","theme":"default","custom_layout":"default.php","custom_formatter":"default.php","cache":"1","cache_time":"900","cachemode":"itemid"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10020, 'RokTwittie', 'module', 'mod_roktwittie', '', 0, 1, 1, 0, '{"legacy":false,"name":"RokTwittie","type":"module","creationDate":"September 3, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.8","description":"RokTwittie is a Twitter module that lets you display up to 140 tweets, display tweets through oAuth authentication and display Twitter search results. RokTwittie supports many settings like multiple users to display, merged tweets and comes with a light and dark built-in styles.","group":""}', '{"@status":"","use_oauth":"0","consumer_key":"","consumer_secret":"","@signin":"","moduleclass_sfx":"","load_css":"1","enable_cache":"1","timeout_connect":"3","timeout_response":"6","enable_cache_time":"5","usernames":"rockettheme","inactive_opacity":"0.5","show_default_avatar":"1","header_style":"dark","include_rts":"1","enable_statuses":"1","status_external":"1","show_feed":"1","show_follow_updates":"1","show_bio":"1","show_web":"1","show_location":"1","show_updates":"1","show_followers":"1","show_following":"1","show_following_icons":"1","following_icons_count":"10","show_viewall":"1","enable_usernames":"1","enable_usernames_avatar":"1","usernames_avatar_size":"48","usernames_count_size":"4","usernames_count_merged":"1","enable_usernames_externals":"1","enable_usernames_source":"1","enable_usernames_user":"1","enable_search":"1","search":"@rockettheme","enable_search_avatar":"1","search_avatar_size":"48","search_count_size":"4","enable_search_externals":"1","enable_search_source":"1","enable_search_user":"1","oauth_token":"","oauth_token_secret":"","cache":"0","module_cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10022, 'Editor - RokPad', 'plugin', 'rokpad', 'editors', 0, 1, 1, 0, '{"legacy":false,"name":"Editor - RokPad","type":"plugin","creationDate":"September 17, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"2.0.4","description":"\\n        <div class=\\"rokpad-description\\">\\n        <img src=\\"..\\/plugins\\/editors\\/rokpad\\/assets\\/admin\\/images\\/rokpad.jpg\\" class=\\"img-padding\\" \\/><h1>RokPad<\\/h1>\\n        <h2>The Power of Desktop Text Editor in a Joomla!<\\/h2>\\n        <p>Ever wished you could use a powerful desktop text editor such as Textmate, SublimeText, or UltraEdit directly on a Joomla! web site?  Now with RokPad we provide many features and capabilities that traditionally would only be found in a powerful desktop editor.  RokPad provides advanced functions such as an Ajax saving action, syntax highlighting, configurable themes, multiple cursors and selections, shortcut keys, multiple language support, and many other incredible features.<\\/p>\\n\\n        <h2>Key Features:<\\/h2>\\n        <ul class=\\"features\\">\\n\\t\\t\\t<li>Code Highlighter built on the great ACE Editor<\\/li>\\n\\t        <li>Support for CSS, HTML, JavaScript, JSON, LESS, Markdown, PHP, SQL, Plain Text, Textile, XML and more...<\\/li>\\n\\t        <li>Ajax save and Automatic Save options. You''ll never loose your content again, nor wait until the page has finished reloading after a save!<\\/li>\\n\\t        <li>Save, Undo, Redo, Goto line, Advanced Search and Search &amp; Replace, Full Screen. Settings like Themes, Font Size, Code Folding, Wrap Mode, Invisible Characters, Print Margin, Highlight of selected word<\\/li>\\n\\t        <li>26 Themes to choose from<\\/li>\\n\\t        <li>Resizable Editor by dragging the Statusbar<\\/li>\\n\\t        <li>Keyboard shortcuts<\\/li>\\n\\t        <li>Brackets match<\\/li>\\n\\t        <li>Multiple cursors and selections<\\/li>\\n\\t        <li>Vertical Selection<\\/li>\\n\\t        <li>Ability to insert at multiple locations xtd-buttons shortcodes, all at once.<\\/li>\\n\\t        <li>Shortcodes and Universal Tag Insertion<\\/li>\\n\\t        <li>Drag &amp; Drop of text from external applications such as other Browser Tabs\\/windows or Native Applications (Supported on Firefox, Chrome, IE10 and Safari)<\\/li>\\n\\t        <li>Import local files by Drag &amp; Drop directly from your desktop! (Supported on Firefox, Chrome, IE10 and Safari 6+)<\\/li>\\n\\t        <li>And much more!<\\/li>\\n        <\\/ul>\\n        <\\/div>\\n        ","group":""}', '{"spacer_parser_type":"","rokpad-parser":"xhtmlmixed","rokpad-tidylevel":"XHTML 1.0 Transitional","rokpad-show-formatter":"1","spacer_editor_parameters":"","rokpad-height":"350","rokpad-passdelay":"200","rokpad-passtime":"50","rokpad-linenumberdelay":"200","rokpad-linenumbertime":"50","rokpad-continuous":"500","rokpad-matchparens":"1","rokpad-history":"50","rokpad-history-delay":"800","rokpad-lineHandler":"1","rokpad-textwrapperHandler":"1","rokpad-indentunit":"2","rokpad-tabmode":"indent","rokpad-loadindent":"1"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(10025, 'RokGallery', 'component', 'com_rokgallery', '', 1, 1, 0, 0, '{"legacy":false,"name":"RokGallery","type":"component","creationDate":"September 3, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"2.17","description":"A Gallery component for Joomla 1.6 from RocketTheme.","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10026, 'RokGallery Module', 'module', 'mod_rokgallery', '', 0, 1, 1, 0, '{"legacy":false,"name":"RokGallery Module","type":"module","creationDate":"September 3, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"2.17","description":"A module to allow you to display galleries from the RokGallery component in a module position.","group":""}', '{"link":"0","default_menuitem":"0","title":"false","caption":"false","sort_by":"gallery_ordering","sort_direction":"ASC","limit_count":"10","style":"light","layout":"grid","columns":"1","arrows":"onhover","navigation":"thumbnails","animation_type":"random","animation_duration":"500","autoplay_enabled":"0","autoplay_delay":"7","showcase_arrows":"onhover","showcase_image_position":"left","showcase_imgpadding":"0","showcase_fixedheight":"0","showcase_animatedheight":"1","showcase_animation_type":"random","showcase_captionsanimation":"crossfade","showcase_animation_duration":"500","showcase_autoplay_enabled":"0","showcase_autoplay_delay":"7","cache":"0","module_cache":"1","cache_time":"900","moduleclass_sfx":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10027, 'Button - RokGallery', 'plugin', 'rokgallery', 'editors-xtd', 0, 1, 1, 0, '{"legacy":false,"name":"Button - RokGallery","type":"plugin","creationDate":"September 3, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"2.17","description":"This is an Editor Button to allow selection of RokGallery Slices","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 50, 0),
(10028, 'System - RokGallery', 'plugin', 'rokgallery', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"System - RokGallery","type":"plugin","creationDate":"September 3, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"2.17","description":"A system level support plugin for RokGallery.","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 50, 0),
(10029, 'Gantry', 'component', 'com_gantry', '', 1, 1, 1, 0, '{"legacy":false,"name":"Gantry","type":"component","creationDate":"September 18, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"4.0.5","description":"Gantry Starting Template for Joomla! v4.0.5","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10030, 'rt_clarion', 'template', 'rt_clarion', '', 0, 1, 1, 0, '{"legacy":false,"name":"rt_clarion","type":"template","creationDate":" October 3, 2012","author":"RocketTheme, LLC","copyright":"Copyright 2005-2012 - RocketTheme.com","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.4-SNAPSHOT","description":"clarion","group":""}', '{"master":"true"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10032, 'RokCommon', 'library', 'lib_rokcommon', '', 0, 1, 1, 0, '{"legacy":false,"name":"RokCommon","type":"library","creationDate":"July 31, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"2.6.5","description":"RokCommon Shared Library","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10033, 'System - RokCommon', 'plugin', 'rokcommon', 'system', 0, 1, 1, 0, '{"legacy":false,"name":"System - RokCommon","type":"plugin","creationDate":"July 31, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"2.6.5","description":"RokCommon System Plugin","group":""}', '{"developmentMode":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10034, 'com_joomlaupdate', 'component', 'com_joomlaupdate', '', 1, 1, 1, 0, '{"legacy":false,"name":"com_joomlaupdate","type":"component","creationDate":"February 2012","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_JOOMLAUPDATE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10035, 'mod_version', 'module', 'mod_version', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_version","type":"module","creationDate":"January 2012","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_VERSION_XML_DESCRIPTION","group":""}', '{"format":"short","product":"1","cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10037, 'Gantry', 'library', 'lib_gantry', '', 0, 1, 1, 0, '{"legacy":false,"name":"Gantry","type":"library","creationDate":"September 18, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"4.0.5","description":"Gantry Starting Template for Joomla! v4.0.5","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10038, 'gantry', 'component', 'com_gantry', '', 0, 1, 0, 0, 'false', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10040, 'System - RokBooster', 'plugin', 'rokbooster', 'system', 0, 0, 1, 0, '{"legacy":false,"name":"System - RokBooster","type":"plugin","creationDate":"August 1, 2012","author":"RocketTheme, LLC","copyright":"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.","authorEmail":"support@rockettheme.com","authorUrl":"http:\\/\\/www.rockettheme.com","version":"1.0.2","description":"\\n        \\n        <div class=\\"booster-description\\">\\n        <img src=\\"..\\/plugins\\/system\\/rokbooster\\/assets\\/images\\/rokbooster.jpg\\" class=\\"img-padding\\" \\/><h1>RokBooster<\\/h1>\\n        <p>Increase the speed of your site by enabling the RokBooster plug-in.  This advanced extensions will <strong>compress<\\/strong> and <strong>combine<\\/strong> your <strong>CSS<\\/strong> and <strong>JavaScript<\\/strong> into as few files as possible each.  RokBooster can dramatically reduce the number of HTTP calls a browser has to make, and sending those compressed files GZipped means your pages will load faster with less load on your server.<\\/p>\\n\\n        <h2>Key Features:<\\/h2>\\n        <ul class=\\"features\\">\\n            <li>Combine and compress CSS and JavaScript into as few files as possible<\\/li>\\n            <li>GZip compression used to send CSS and JavaScript files<\\/li>\\n            <li>Compress Inline CSS and JavaScript<\\/li>\\n            <li>Customizable cache timeout<\\/li>\\n            <li>Background rendering, so initial file processing won''t slow your users down<\\/li>\\n            <li>Full page scan allows for non-header JavaScript and CSS to be included<\\/li>\\n            <li>Ability to ignore specific CSS and JavaScript files<\\/li>\\n        <\\/ul>\\n        <p class=\\"note\\"><strong>NOTE:<\\/strong> Clearing the Joomla cache will remove the RokBooster compressed cache files causing them to regenerate on the next page hit<\\/p>\\n        <\\/div>\\n        \\n    ","group":""}', '{"cache_time":"60","minify_css":"1","style_sort":"RokBooster_Compressor_Sort_ExternalOnTop","inline_css":"1","imported_css":"1","minify_js":"1","script_sort":"RokBooster_Compressor_Sort_ExternalOnTop","inline_js":"1","ignored_files":"","scan_method":"header","use_background_processing":"1","disable_for_ie":"1"}', '', '', 0, '0000-00-00 00:00:00', 100, 0);

-- --------------------------------------------------------

--
-- Table structure for table `#__menu`
--

DROP TABLE IF EXISTS `#__menu`;
CREATE TABLE IF NOT EXISTS `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__extensions.id',
  `ordering` int(11) NOT NULL DEFAULT '0' COMMENT 'The relative ordering of the menu item in the tree.',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__users.id',
  `checked_out_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The access level required to view the menu item.',
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`,`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_path` (`path`(255)),
  KEY `idx_language` (`language`)
);

--
-- Dumping data for table `#__menu`
--

INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `ordering`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(1, '', 'Menu_Item_Root', 'root', '', '', '', '', 1, 0, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, '', 0, '', 0, 211, 0, '*', 0),
(2, 'menu', 'com_banners', 'Banners', '', 'Banners', 'index.php?option=com_banners', 'component', 0, 1, 1, 4, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 159, 168, 0, '*', 1),
(3, 'menu', 'com_banners', 'Banners', '', 'Banners/Banners', 'index.php?option=com_banners', 'component', 0, 2, 2, 4, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 160, 161, 0, '*', 1),
(4, 'menu', 'com_banners_categories', 'Categories', '', 'Banners/Categories', 'index.php?option=com_categories&extension=com_banners', 'component', 0, 2, 2, 6, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-cat', 0, '', 162, 163, 0, '*', 1),
(5, 'menu', 'com_banners_clients', 'Clients', '', 'Banners/Clients', 'index.php?option=com_banners&view=clients', 'component', 0, 2, 2, 4, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-clients', 0, '', 164, 165, 0, '*', 1),
(6, 'menu', 'com_banners_tracks', 'Tracks', '', 'Banners/Tracks', 'index.php?option=com_banners&view=tracks', 'component', 0, 2, 2, 4, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-tracks', 0, '', 166, 167, 0, '*', 1),
(7, 'menu', 'com_contact', 'Contacts', '', 'Contacts', 'index.php?option=com_contact', 'component', 0, 1, 1, 8, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 169, 174, 0, '*', 1),
(8, 'menu', 'com_contact', 'Contacts', '', 'Contacts/Contacts', 'index.php?option=com_contact', 'component', 0, 7, 2, 8, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 170, 171, 0, '*', 1),
(9, 'menu', 'com_contact_categories', 'Categories', '', 'Contacts/Categories', 'index.php?option=com_categories&extension=com_contact', 'component', 0, 7, 2, 6, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact-cat', 0, '', 172, 173, 0, '*', 1),
(10, 'menu', 'com_messages', 'Messaging', '', 'Messaging', 'index.php?option=com_messages', 'component', 0, 1, 1, 15, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages', 0, '', 175, 180, 0, '*', 1),
(11, 'menu', 'com_messages_add', 'New Private Message', '', 'Messaging/New Private Message', 'index.php?option=com_messages&task=message.add', 'component', 0, 10, 2, 15, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-add', 0, '', 176, 177, 0, '*', 1),
(12, 'menu', 'com_messages_read', 'Read Private Message', '', 'Messaging/Read Private Message', 'index.php?option=com_messages', 'component', 0, 10, 2, 15, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-read', 0, '', 178, 179, 0, '*', 1),
(13, 'menu', 'com_newsfeeds', 'News Feeds', '', 'News Feeds', 'index.php?option=com_newsfeeds', 'component', 0, 1, 1, 17, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 181, 186, 0, '*', 1),
(14, 'menu', 'com_newsfeeds_feeds', 'Feeds', '', 'News Feeds/Feeds', 'index.php?option=com_newsfeeds', 'component', 0, 13, 2, 17, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 182, 183, 0, '*', 1),
(15, 'menu', 'com_newsfeeds_categories', 'Categories', '', 'News Feeds/Categories', 'index.php?option=com_categories&extension=com_newsfeeds', 'component', 0, 13, 2, 6, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds-cat', 0, '', 184, 185, 0, '*', 1),
(16, 'menu', 'com_redirect', 'Redirect', '', 'Redirect', 'index.php?option=com_redirect', 'component', 0, 1, 1, 24, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:redirect', 0, '', 197, 198, 0, '*', 1),
(17, 'menu', 'com_search', 'Basic Search', '', 'Basic Search', 'index.php?option=com_search', 'component', 0, 1, 1, 19, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:search', 0, '', 189, 190, 0, '*', 1),
(18, 'menu', 'com_weblinks', 'Weblinks', '', 'Weblinks', 'index.php?option=com_weblinks', 'component', 0, 1, 1, 21, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks', 0, '', 191, 196, 0, '*', 1),
(19, 'menu', 'com_weblinks_links', 'Links', '', 'Weblinks/Links', 'index.php?option=com_weblinks', 'component', 0, 18, 2, 21, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks', 0, '', 192, 193, 0, '*', 1),
(20, 'menu', 'com_weblinks_categories', 'Categories', '', 'Weblinks/Categories', 'index.php?option=com_categories&extension=com_weblinks', 'component', 0, 18, 2, 6, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks-cat', 0, '', 194, 195, 0, '*', 1),
(21, 'menu', 'com_finder', 'Smart Search', '', 'Smart Search', 'index.php?option=com_finder', 'component', 0, 1, 1, 27, 0, 0, '0000-00-00 00:00:00', 0, 0, 'class:finder', 0, '', 187, 188, 0, '*', 1),
(101, 'mainmenu', 'Home', 'home', '', 'home', 'index.php?option=com_content&view=featured', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 9, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"1","num_intro_articles":"3","num_columns":"3","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_pagination_results":"1","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Clarion - February 2012 Template Demo","show_page_heading":0,"page_heading":"","pageclass_sfx":"feb12-home","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"128","fusion_module_positions":"","splitmenu_item_subtext":""}', 1, 2, 1, '*', 0),
(103, 'main', 'RokCandy', 'rokcandy', '', 'rokcandy', 'index.php?option=com_rokcandy', 'component', 0, 1, 1, 10009, 0, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_rokcandy/assets/rokcandy-icon-16.png', 0, '', 199, 204, 0, '', 1),
(104, 'main', 'Macros', 'macros', '', 'rokcandy/macros', 'index.php?option=com_rokcandy', 'component', 0, 103, 2, 10009, 0, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_rokcandy/assets/rokcandy-icon-16.png', 0, '', 200, 201, 0, '', 1),
(105, 'main', 'Categories', 'categories', '', 'rokcandy/categories', 'index.php?option=com_categories&extension=com_rokcandy', 'component', 0, 103, 2, 10009, 0, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_rokcandy/assets/icon-16-category.png', 0, '', 202, 203, 0, '', 1),
(107, 'mainmenu', 'Template Info', 'template-info', '', 'template-info', 'index.php?option=com_content&view=article&id=25', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 3, 136, 0, '*', 0),
(108, 'mainmenu', 'Module Positions', 'module-positions', '', 'template-info/module-positions', 'index.php?option=com_content&view=article&id=1', 'component', 1, 107, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 8, '{"show_title":"0","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 4, 5, 0, '*', 0),
(109, 'mainmenu', 'Module Variations', 'module-variations', '', 'template-info/module-variations', 'index.php?option=com_content&view=article&id=2', 'component', 1, 107, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 6, 7, 0, '*', 0),
(110, 'mainmenu', 'Typography', 'typography', '', 'template-info/typography', 'index.php?option=com_content&view=article&id=4', 'component', 1, 107, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 8, 9, 0, '*', 0),
(111, 'mainmenu', 'Menu Options', 'menu-options', '', 'template-info/menu-options', 'index.php?option=com_content&view=article&id=5', 'component', 1, 107, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"2","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"360","fusion_column_widths":"180","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 10, 115, 0, '*', 0),
(112, 'mainmenu', 'Extensions', 'extensions', '', 'template-info/extensions', 'index.php?option=com_content&view=article&id=3', 'component', 1, 107, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"2","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"280","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 116, 133, 0, '*', 0),
(113, 'mainmenu', 'Gantry Framework', '2012-01-30-22-05-36', '', 'template-info/extensions/2012-01-30-22-05-36', 'http://www.gantry-framework.org/', 'url', 1, 112, 3, 0, 0, 0, '0000-00-00 00:00:00', 1, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 117, 118, 0, '*', 0),
(114, 'mainmenu', 'RokGallery', '2012-01-30-22-05-57', '', 'template-info/extensions/2012-01-30-22-05-57', 'http://www.rockettheme.com/extensions-joomla/rokgallery', 'url', 1, 112, 3, 0, 0, 0, '0000-00-00 00:00:00', 1, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 119, 120, 0, '*', 0),
(115, 'mainmenu', 'RokTwittie', '2012-01-30-22-06-16', '', 'template-info/extensions/2012-01-30-22-06-16', 'http://www.rockettheme.com/extensions-joomla/roktwittie', 'url', 1, 112, 3, 0, 0, 0, '0000-00-00 00:00:00', 1, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 121, 122, 0, '*', 0),
(116, 'mainmenu', 'RokTabs', '2012-01-30-22-06-33', '', 'template-info/extensions/2012-01-30-22-06-33', 'http://www.rockettheme.com/extensions-joomla/roktabs', 'url', 1, 112, 3, 0, 0, 0, '0000-00-00 00:00:00', 1, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 123, 124, 0, '*', 0),
(117, 'mainmenu', 'RokNewsPager', '2012-01-30-22-06-49', '', 'template-info/extensions/2012-01-30-22-06-49', 'http://www.rockettheme.com/extensions-joomla/roknewspager', 'url', 1, 112, 3, 0, 0, 0, '0000-00-00 00:00:00', 1, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 125, 126, 0, '*', 0),
(118, 'mainmenu', 'RokFeatureTable', '2012-01-30-22-07-09', '', 'template-info/extensions/2012-01-30-22-07-09', 'http://www.rockettheme.com/extensions-joomla/rokfeaturetable', 'url', 1, 112, 3, 0, 0, 0, '0000-00-00 00:00:00', 1, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 127, 128, 0, '*', 0),
(119, 'mainmenu', 'RokAjaxSearch', '2012-01-30-22-07-28', '', 'template-info/extensions/2012-01-30-22-07-28', 'http://www.rockettheme.com/extensions-joomla/rokajaxsearch', 'url', 1, 112, 3, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 129, 130, 0, '*', 0),
(120, 'mainmenu', 'RokMiniEvents', '2012-01-30-22-07-49', '', 'template-info/extensions/2012-01-30-22-07-49', 'http://www.rockettheme.com/extensions-joomla/rokminievents', 'url', 1, 112, 3, 0, 0, 0, '0000-00-00 00:00:00', 1, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 131, 132, 0, '*', 0),
(121, 'mainmenu', 'More Details', '2012-01-30-22-15-43', '', 'template-info/2012-01-30-22-15-43', 'http://www.rockettheme.com/joomla-templates/clarion', 'url', 1, 107, 2, 0, 0, 0, '0000-00-00 00:00:00', 1, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 134, 135, 0, '*', 0),
(122, 'mainmenu', 'Tutorials', 'tutorials', '', 'tutorials', 'index.php?option=com_content&view=article&id=6', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 137, 146, 0, '*', 0),
(123, 'mainmenu', 'Installation', 'installation', '', 'tutorials/installation', 'index.php?option=com_content&view=article&id=7', 'component', 1, 122, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 138, 139, 0, '*', 0),
(124, 'mainmenu', 'Logo Editing', 'logo-editing', '', 'tutorials/logo-editing', 'index.php?option=com_content&view=article&id=8', 'component', 1, 122, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 140, 141, 0, '*', 0),
(125, 'mainmenu', 'Forum Guides', '2012-01-30-22-17-24', '', 'tutorials/2012-01-30-22-17-24', 'http://www.rockettheme.com/forum/index.php?f=584&rb_v=viewforum', 'url', 1, 122, 2, 0, 0, 0, '0000-00-00 00:00:00', 1, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 142, 143, 0, '*', 0),
(126, 'mainmenu', 'Gantry Documentation', '2012-01-30-22-21-08', '', 'tutorials/2012-01-30-22-21-08', 'http://www.gantry-framework.org/documentation', 'url', 1, 122, 2, 0, 0, 0, '0000-00-00 00:00:00', 1, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 144, 145, 0, '*', 0),
(127, 'mainmenu', 'Styles', 'styles', '', 'styles', 'index.php?option=com_content&view=article&id=9', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"330","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"modules","fusion_modules":"141","fusion_module_positions":"preset-mod","splitmenu_item_subtext":""}', 147, 148, 0, '*', 0),
(140, 'mainmenu', 'Menu Examples', '2012-01-30-22-30-20', '', 'template-info/menu-options/2012-01-30-22-30-20', 'index.php?Itemid=', 'alias', 1, 111, 3, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"1","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 11, 106, 0, '*', 0),
(141, 'mainmenu', 'Child Item', '2012-01-30-22-31-08', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08', 'index.php?Itemid=', 'alias', 1, 140, 4, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 12, 101, 0, '*', 0),
(142, 'mainmenu', 'Menu Icons', '2012-01-30-22-31-32', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-32', 'index.php?Itemid=', 'alias', 1, 140, 4, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"icon-like.png","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 102, 103, 0, '*', 0),
(143, 'mainmenu', 'Module Menu', '2012-01-30-22-32-07', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-32-07', 'index.php?Itemid=', 'alias', 1, 140, 4, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"200","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"modulepos","fusion_modules":"17","fusion_module_positions":"menu-mod","splitmenu_item_subtext":""}', 104, 105, 0, '*', 0),
(144, 'mainmenu', 'Menu Types', '2012-01-30-22-33-34', '', 'template-info/menu-options/2012-01-30-22-33-34', 'index.php?Itemid=', 'alias', 1, 111, 3, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"1","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 107, 114, 0, '*', 0),
(145, 'mainmenu', 'SplitMenu', '2012-01-30-22-31-08', '', 'template-info/menu-options/2012-01-30-22-33-34/2012-01-30-22-31-08', 'index.php?option=com_content&view=article&id=5&Itemid=111&menu-type=splitmenu', 'url', 1, 144, 4, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 108, 109, 0, '*', 0),
(146, 'mainmenu', 'Fusion Menu', '2012-01-30-22-31-32', '', 'template-info/menu-options/2012-01-30-22-33-34/2012-01-30-22-31-32', 'index.php?option=com_content&view=article&id=5&Itemid=111&menu-type=fusionmenu', 'url', 1, 144, 4, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 110, 111, 0, '*', 0),
(147, 'mainmenu', 'No Menu', '2012-01-30-22-32-07', '', 'template-info/menu-options/2012-01-30-22-33-34/2012-01-30-22-32-07', 'index.php?option=com_content&view=article&id=5&Itemid=111&menu-type=nomenu', 'url', 1, 144, 4, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 112, 113, 0, '*', 0),
(148, 'mainmenu', 'J! Stuff', 'j-stuff', '', 'j-stuff', 'index.php?option=com_content&view=article&id=10', 'component', 1, 1, 1, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"1","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"1","link_author":"","show_create_date":"1","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"1","show_print_icon":"1","show_email_icon":"1","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"94","fusion_module_positions":"","splitmenu_item_subtext":""}', 149, 158, 0, '*', 0),
(149, 'mainmenu', 'Member Access', 'member-access', '', 'j-stuff/member-access', 'index.php?option=com_users&view=login', 'component', 1, 148, 2, 25, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"94","fusion_module_positions":"","splitmenu_item_subtext":""}', 150, 151, 0, '*', 0),
(150, 'mainmenu', 'Category Blog', 'category-blog', '', 'j-stuff/category-blog', 'index.php?option=com_content&view=category&layout=blog&id=12', 'component', 1, 148, 2, 22, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"1","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"94","fusion_module_positions":"","splitmenu_item_subtext":""}', 152, 153, 0, '*', 0),
(151, 'mainmenu', 'Web Links', 'web-links', '', 'j-stuff/web-links', 'index.php?option=com_weblinks&view=category&id=14', 'component', 1, 148, 2, 21, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_num_links":"","show_pagination_limit":"","show_headings":"","show_link_description":"","show_link_hits":"","show_pagination":"","show_pagination_results":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"94","fusion_module_positions":"","splitmenu_item_subtext":""}', 154, 155, 0, '*', 0),
(152, 'mainmenu', 'Contact Us', 'contact-us', '', 'j-stuff/contact-us', 'index.php?option=com_contact&view=contact&id=1', 'component', 1, 148, 2, 8, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"presentation_style":"","show_contact_category":"","show_contact_list":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"94","fusion_module_positions":"","splitmenu_item_subtext":""}', 156, 157, 0, '*', 0),
(153, 'mainmenu', 'Child Item', '2012-01-31-16-30-25', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-25', 'index.php?Itemid=', 'alias', 1, 141, 5, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"Single Column Example","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"130","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 13, 22, 0, '*', 0),
(154, 'mainmenu', 'Child Item', '2012-01-30-22-31-08', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-25/2012-01-30-22-31-08', 'index.php?Itemid=', 'alias', 1, 153, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 14, 15, 0, '*', 0),
(155, 'mainmenu', 'Child Item', '2012-01-31-16-32-24', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-25/2012-01-31-16-32-24', 'index.php?Itemid=', 'alias', 1, 153, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 16, 17, 0, '*', 0),
(156, 'mainmenu', 'Child Item', '2012-01-31-16-32-29', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-25/2012-01-31-16-32-29', 'index.php?Itemid=', 'alias', 1, 153, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 18, 19, 0, '*', 0),
(157, 'mainmenu', 'Child Item', '2012-01-31-16-32-34', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-25/2012-01-31-16-32-34', 'index.php?Itemid=', 'alias', 1, 153, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 20, 21, 0, '*', 0),
(158, 'mainmenu', 'Child Item', '2012-01-31-16-30-40', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-40', 'index.php?Itemid=', 'alias', 1, 141, 5, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"Dual Column Example","fusion_customimage":"","fusion_customclass":"","fusion_columns":"2","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"260","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 23, 40, 0, '*', 0),
(159, 'mainmenu', 'Child Item', '2012-01-30-22-31-08', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-40/2012-01-30-22-31-08', 'index.php?Itemid=', 'alias', 1, 158, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 24, 25, 0, '*', 0),
(160, 'mainmenu', 'Child Item', '2012-01-31-16-32-40', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-40/2012-01-31-16-32-40', 'index.php?Itemid=', 'alias', 1, 158, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 26, 27, 0, '*', 0),
(161, 'mainmenu', 'Child Item', '2012-01-31-16-32-45', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-40/2012-01-31-16-32-45', 'index.php?Itemid=', 'alias', 1, 158, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 28, 29, 0, '*', 0),
(162, 'mainmenu', 'Child Item', '2012-01-31-16-32-50', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-40/2012-01-31-16-32-50', 'index.php?Itemid=', 'alias', 1, 158, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 30, 31, 0, '*', 0),
(163, 'mainmenu', 'Child Item', '2012-01-31-16-32-55', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-40/2012-01-31-16-32-55', 'index.php?Itemid=', 'alias', 1, 158, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 32, 33, 0, '*', 0),
(164, 'mainmenu', 'Child Item', '2012-01-31-16-33-01', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-40/2012-01-31-16-33-01', 'index.php?Itemid=', 'alias', 1, 158, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 34, 35, 0, '*', 0),
(165, 'mainmenu', 'Child Item', '2012-01-31-16-33-05', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-40/2012-01-31-16-33-05', 'index.php?Itemid=', 'alias', 1, 158, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 36, 37, 0, '*', 0),
(166, 'mainmenu', 'Child Item', '2012-01-31-16-33-12', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-40/2012-01-31-16-33-12', 'index.php?Itemid=', 'alias', 1, 158, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 38, 39, 0, '*', 0),
(167, 'mainmenu', 'Child Item', '2012-01-31-16-30-33', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-33', 'index.php?Itemid=', 'alias', 1, 141, 5, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"Triple Column Example","fusion_customimage":"","fusion_customclass":"","fusion_columns":"3","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"300","fusion_column_widths":"100,100,100","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 41, 66, 0, '*', 0),
(168, 'mainmenu', 'Child Item', '2012-01-31-16-33-22', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-33/2012-01-31-16-33-22', 'index.php?Itemid=', 'alias', 1, 167, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 42, 43, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `ordering`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(169, 'mainmenu', 'Child Item', '2012-01-31-16-33-16', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-33/2012-01-31-16-33-16', 'index.php?Itemid=', 'alias', 1, 167, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 44, 45, 0, '*', 0),
(170, 'mainmenu', 'Child Item', '2012-01-31-16-33-35', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-33/2012-01-31-16-33-35', 'index.php?Itemid=', 'alias', 1, 167, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 46, 47, 0, '*', 0),
(171, 'mainmenu', 'Child Item', '2012-01-31-16-33-40', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-33/2012-01-31-16-33-40', 'index.php?Itemid=', 'alias', 1, 167, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 48, 49, 0, '*', 0),
(172, 'mainmenu', 'Child Item', '2012-01-31-16-33-45', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-33/2012-01-31-16-33-45', 'index.php?Itemid=', 'alias', 1, 167, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 50, 51, 0, '*', 0),
(173, 'mainmenu', 'Child Item', '2012-01-31-16-33-50', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-33/2012-01-31-16-33-50', 'index.php?Itemid=', 'alias', 1, 167, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 52, 53, 0, '*', 0),
(174, 'mainmenu', 'Child Item', '2012-01-31-16-33-55', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-33/2012-01-31-16-33-55', 'index.php?Itemid=', 'alias', 1, 167, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 54, 55, 0, '*', 0),
(175, 'mainmenu', 'Child Item', '2012-01-31-16-34-00', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-33/2012-01-31-16-34-00', 'index.php?Itemid=', 'alias', 1, 167, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 56, 57, 0, '*', 0),
(176, 'mainmenu', 'Child Item', '2012-01-31-16-34-04', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-33/2012-01-31-16-34-04', 'index.php?Itemid=', 'alias', 1, 167, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 58, 59, 0, '*', 0),
(177, 'mainmenu', 'Child Item', '2012-01-31-16-34-09', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-33/2012-01-31-16-34-09', 'index.php?Itemid=', 'alias', 1, 167, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 60, 61, 0, '*', 0),
(178, 'mainmenu', 'Child Item', '2012-01-31-16-34-14', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-33/2012-01-31-16-34-14', 'index.php?Itemid=', 'alias', 1, 167, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 62, 63, 0, '*', 0),
(179, 'mainmenu', 'Child Item', '2012-01-31-16-34-19', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-30-33/2012-01-31-16-34-19', 'index.php?Itemid=', 'alias', 1, 167, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 64, 65, 0, '*', 0),
(180, 'mainmenu', 'Child Item', '2012-01-31-16-29-56', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-29-56', 'index.php?Itemid=', 'alias', 1, 141, 5, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"Quad Column Example","fusion_customimage":"","fusion_customclass":"","fusion_columns":"4","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"400","fusion_column_widths":"100,100,100","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 67, 100, 0, '*', 0),
(181, 'mainmenu', 'Child Item', '2012-01-31-16-34-24', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-29-56/2012-01-31-16-34-24', 'index.php?Itemid=', 'alias', 1, 180, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 68, 69, 0, '*', 0),
(182, 'mainmenu', 'Child Item', '2012-01-31-16-34-29', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-29-56/2012-01-31-16-34-29', 'index.php?Itemid=', 'alias', 1, 180, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 70, 71, 0, '*', 0),
(183, 'mainmenu', 'Child Item', '2012-01-31-16-34-34', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-29-56/2012-01-31-16-34-34', 'index.php?Itemid=', 'alias', 1, 180, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 72, 73, 0, '*', 0),
(184, 'mainmenu', 'Child Item', '2012-01-31-16-34-39', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-29-56/2012-01-31-16-34-39', 'index.php?Itemid=', 'alias', 1, 180, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 74, 75, 0, '*', 0),
(185, 'mainmenu', 'Child Item', '2012-01-31-16-34-44', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-29-56/2012-01-31-16-34-44', 'index.php?Itemid=', 'alias', 1, 180, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 76, 77, 0, '*', 0),
(186, 'mainmenu', 'Child Item', '2012-01-31-16-34-48', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-29-56/2012-01-31-16-34-48', 'index.php?Itemid=', 'alias', 1, 180, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 78, 79, 0, '*', 0),
(187, 'mainmenu', 'Child Item', '2012-01-31-16-34-52', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-29-56/2012-01-31-16-34-52', 'index.php?Itemid=', 'alias', 1, 180, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 80, 81, 0, '*', 0),
(188, 'mainmenu', 'Child Item', '2012-01-31-16-34-56', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-29-56/2012-01-31-16-34-56', 'index.php?Itemid=', 'alias', 1, 180, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 82, 83, 0, '*', 0),
(189, 'mainmenu', 'Child Item', '2012-01-31-16-35-00', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-29-56/2012-01-31-16-35-00', 'index.php?Itemid=', 'alias', 1, 180, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 84, 85, 0, '*', 0),
(190, 'mainmenu', 'Child Item', '2012-01-31-16-35-04', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-29-56/2012-01-31-16-35-04', 'index.php?Itemid=', 'alias', 1, 180, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 86, 87, 0, '*', 0),
(191, 'mainmenu', 'Child Item', '2012-01-31-16-35-09', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-29-56/2012-01-31-16-35-09', 'index.php?Itemid=', 'alias', 1, 180, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 88, 89, 0, '*', 0),
(192, 'mainmenu', 'Child Item', '2012-01-31-16-35-13', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-29-56/2012-01-31-16-35-13', 'index.php?Itemid=', 'alias', 1, 180, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 90, 91, 0, '*', 0),
(193, 'mainmenu', 'Child Item', '2012-01-31-16-35-18', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-29-56/2012-01-31-16-35-18', 'index.php?Itemid=', 'alias', 1, 180, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 92, 93, 0, '*', 0),
(194, 'mainmenu', 'Child Item', '2012-01-31-16-35-22', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-29-56/2012-01-31-16-35-22', 'index.php?Itemid=', 'alias', 1, 180, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 94, 95, 0, '*', 0),
(195, 'mainmenu', 'Child Item', '2012-01-31-16-35-27', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-29-56/2012-01-31-16-35-27', 'index.php?Itemid=', 'alias', 1, 180, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 96, 97, 0, '*', 0),
(196, 'mainmenu', 'Child Item', '2012-01-31-16-35-33', '', 'template-info/menu-options/2012-01-30-22-30-20/2012-01-30-22-31-08/2012-01-31-16-29-56/2012-01-31-16-35-33', 'index.php?Itemid=', 'alias', 1, 180, 6, 0, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"111","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"fusion_item_subtext":"","fusion_customimage":"","fusion_customclass":"","fusion_columns":"1","fusion_distribution":"even","fusion_manual_distribution":"","fusion_dropdown_width":"","fusion_column_widths":"","fusion_children_group":"0","fusion_children_type":"menuitems","fusion_modules":"17","fusion_module_positions":"","splitmenu_item_subtext":""}', 98, 99, 0, '*', 0),
(197, 'main', 'RokGallery', 'rokgallery', '', 'rokgallery', 'index.php?option=com_rokgallery', 'component', 0, 1, 1, 10025, 0, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_rokgallery/assets/images/rokgallery_16x16.png', 0, '', 205, 206, 0, '', 1),
(199, 'main', 'com_joomlaupdate', 'com-joomlaupdate', '', 'com-joomlaupdate', 'index.php?option=com_joomlaupdate', 'component', 0, 1, 1, 10034, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 207, 208, 0, '', 1),
(200, 'main', 'com_gantry', 'com-gantry', '', 'com-gantry', 'index.php?option=com_gantry', 'component', 0, 1, 1, 10029, 0, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 209, 210, 0, '', 1);

-- --------------------------------------------------------

--
-- Table structure for table `#__menu_types`
--

DROP TABLE IF EXISTS `#__menu_types`;
CREATE TABLE IF NOT EXISTS `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
);

--
-- Dumping data for table `#__menu_types`
--

INSERT INTO `#__menu_types` (`id`, `menutype`, `title`, `description`) VALUES
(1, 'mainmenu', 'Main Menu', 'The main menu for the site');

-- --------------------------------------------------------

--
-- Table structure for table `#__messages`
--

DROP TABLE IF EXISTS `#__messages`;
CREATE TABLE IF NOT EXISTS `#__messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id_to` int(10) unsigned NOT NULL DEFAULT '0',
  `folder_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `priority` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
);

-- --------------------------------------------------------

--
-- Table structure for table `#__messages_cfg`
--

DROP TABLE IF EXISTS `#__messages_cfg`;
CREATE TABLE IF NOT EXISTS `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
);

-- --------------------------------------------------------

--
-- Table structure for table `#__modules`
--

DROP TABLE IF EXISTS `#__modules`;
CREATE TABLE IF NOT EXISTS `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `position` varchar(50) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
);

--
-- Dumping data for table `#__modules`
--

INSERT INTO `#__modules` (`id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(1, 'Main Menu', '', '', 1, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"mainmenu","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(2, 'Login', '', '', 1, 'login', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '', 1, '*'),
(3, 'Popular Articles', '', '', 3, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_popular', 3, 1, '{"count":"5","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(4, 'Recently Added Articles', '', '', 4, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_latest', 3, 1, '{"count":"5","ordering":"c_dsc","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(8, 'Toolbar', '', '', 1, 'toolbar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_toolbar', 3, 1, '', 1, '*'),
(9, 'Quick Icons', '', '', 1, 'icon', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_quickicon', 3, 1, '', 1, '*'),
(10, 'Logged-in Users', '', '', 2, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_logged', 3, 1, '{"count":"5","name":"1","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(12, 'Admin Menu', '', '', 1, 'menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 3, 1, '{"layout":"","moduleclass_sfx":"","shownew":"1","showhelp":"1","cache":"0"}', 1, '*'),
(13, 'Admin Submenu', '', '', 1, 'submenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_submenu', 3, 1, '', 1, '*'),
(14, 'User Status', '', '', 2, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_status', 3, 1, '', 1, '*'),
(15, 'Title', '', '', 1, 'title', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_title', 3, 1, '', 1, '*'),
(16, 'Member Access', '', '', 1, 'bottom-d', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '{"pretext":"","posttext":"","login":"","logout":"","greeting":"1","name":"0","usesecure":"0","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 0, '*'),
(17, 'Breadcrumbs', '', '', 1, 'breadcrumb', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_breadcrumbs', 1, 0, '{"showHere":"0","showHome":"1","homeText":"Home","showLast":"1","separator":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(79, 'Multilanguage status', '', '', 1, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_multilangstatus', 3, 1, '{"layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(84, 'FP Top B', '', '<a href="#"><img class="floatright" src="images/stories/demo/frontpage/fp-icons.png" alt="image" width="59" height="15" /></a>\r\n<span class="floatright">Follow Us:</span>', 0, 'top-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(85, 'FP Top A', '', '<span>A Professional Business Template</span>', 1, 'top-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(86, 'Template Info - Footer', '', '<div class="rt-demo-grid-8 nomarginright">\r\n	<ul class="list-icon write">\r\n    	<li><h3 class="nobold smallpaddingbottom">All the Features - in One Complete List</h3></li>\r\n 	</ul>\r\n\r\n	<div class="module-title">\r\n		<h3 class="title"><span>Clarion</span> Template</h3>\r\n	</div>\r\n\r\n	<div class="rt-demo-grid-4 nomarginright nomarginleft">\r\n		<ul class="circle green">\r\n			<li>10 Preset Styles</li>\r\n			<li>78 Module Positions</li>\r\n			<li>Powered by Gantry</li>\r\n			<li>Fusion with MegaMenu</li>\r\n			<li>SplitMenu</li>\r\n			<li>Custom Typography</li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class="rt-demo-grid-4 nomarginright">\r\n		<ul class="circle green">\r\n			<li>RokExtensions Styling</li>\r\n			<li>K2 Compatibility Styling</li>\r\n			<li>JavaScript Input Styling</li>\r\n			<li>RTL Layout Support</li>\r\n			<li>Major Browsers Support</li>\r\n			<li>W3C XHTML1.0 / CSS3 Valid</li>\r\n		</ul>	\r\n	</div>\r\n\r\n	<div class="clear"></div>\r\n\r\n	<div class="module-title">\r\n		<h3 class="title"><span>Gantry</span> Framework</h3>\r\n	</div>\r\n	<div class="rt-demo-grid-4 nomarginright nomarginleft">\r\n		<ul class="circle green nomarginbottom">\r\n			<li>960 Grid System - 6 Grids per Row</li>\r\n			<li>Per-menu-item Configuration</li>\r\n			<li>Source Ordered Mainbody</li>\r\n			<li>Extensive Administrator Interface</li>\r\n			<li>Image Smart Loading</li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class="rt-demo-grid-4 nomarginright">\r\n		<ul class="circle green nomarginbottom">\r\n			<li>iPhone / Android Compatible</li>\r\n			<li>Grid RTL Support</li>\r\n			<li>Built-in GZip and General Caching</li>\r\n			<li>Google Web Fonts Support</li>		\r\n			<li>Per Browser based CSS / JS control</li>\r\n		</ul>	\r\n	</div>\r\n\r\n	<div class="clear"></div>\r\n\r\n	<a class="readon smallmargintop" href="http://www.rockettheme.com/joomla-templates/clarion" target="_blank"><span>Download : Clarion Template</span></a>\r\n\r\n</div>\r\n\r\n<div class="rt-demo-grid-4 floatright nomarginleft nomarginright">\r\n	<ul class="list-icon info">\r\n    	<li><h3 class="nobold smallpaddingbottom">System Requirements</h3></li>\r\n 	</ul>\r\n\r\n 	<div class="title5 largepaddingbottom"><div class="module-title"><div class="title"></div></div></div>\r\n\r\n	<ul class="checkmark green">\r\n		<li><strong>Apache 2.x or Microsoft IIS 7</strong><br />\r\n			<em>Most widely deployed web server software which is required to run Joomla!</em></li>\r\n		<li><strong>PHP 5.3.x</strong><br />\r\n			<em>General-purpose server-side scripting language designed for web development.</em></li>\r\n		<li><strong>MySQL 5.0.4 or higher</strong><br />\r\n			<em>The most popular open-source database system that providing databases.</em></li>\r\n		<li><strong>Joomla! 1.5.x or Joomla! 2.5.x</strong><br />\r\n			<em>Please download the latest version of Joomla! at <a class="normalfont nobold" href="http://www.joomla.org" target="_blank">Joomla! Official Site</a>.</em></li>	\r\n		<li><strong>Gantry Framework</strong><br />\r\n			<em>Please ensure you are using the latest version of <a class="normalfont nobold" href="http://www.gantry-framework.org" target="_blank">Gantry Framework</a>.</em></li>\r\n		<li><strong>RokNavMenu Module</strong><br />\r\n			<em>Essential ingredient of <a class="normalfont nobold" href="index.php?option=com_content&amp;view=article&amp;id=5&amp;Itemid=111">powerful menu</a> system of RocketTheme templates.</em></li>\r\n	</ul>\r\n\r\n</div>', 1, 'footer-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(87, 'Mobile (iPhone/Android) Positions', '', '<p>Configure at <strong>Admin &rarr; Extensions &rarr; Template Manager &rarr; rt_clarion<em>(_j15)</em> &rarr; Mobile</strong>.</p>\r\n<p class="attention">You can load either dedicated mobile positions or standard module positions in Mobile view.</p>\r\n<img src="images/stories/demo/general/positions/position-mobile-1.jpg" width="424" height="322" class="rt-image nomarginbottom" alt="image"/>', 1, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"nomarginbottom nopaddingbottom","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(88, 'Gantry Grid Distribution', '', '<p>Configure at <strong>Admin → Extensions → Template Manager → rt_clarion<em>(_j15)</em> → Layouts</strong> the grid widths and allocated positions.</p>\r\n\r\n<img src="images/stories/demo/general/position-1.jpg" alt="image" width="412" height="68" class="rt-image" />\r\n<img src="images/stories/demo/general/position-2.jpg" alt="image" width="412" height="68" class="rt-image nomarginbottom" />', 13, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"nomarginbottom nopaddingbottom","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(89, 'Injected Gantry Features', '', '<img width="412" height="52" alt="Non-Standard Elements" src="images/stories/demo/general/thumb-non-standard-elements.jpg" class="rt-image" />\r\n\r\n<p>There are <strong>Features</strong> that are injected into a position when enabled in the <strong>Administrator</strong>, and are stacked vertically.</p> \r\n\r\n<p>These are the Logo, Date, Font Sizer, Login Panel, Popup Model, RocketTheme Branding, Copyright, Top Top Scroller, System Messages and Reset Settings.</p>', 14, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(90, 'Mainbody/Sidebar Layouts', '', '<p>Configure at <strong>Admin &rarr; Extensions &rarr; Template Manager &rarr; rt_clarion<em>(_j15)</em> &rarr; Layouts</strong> the varying Mainbody/Sidebar layout possibilities.</p>\r\n\r\n<div class="rt-demo-grid-4 nomarginleft">\r\n<img src="images/stories/demo/general/positions/position-config-mb2.jpg" width="290" height="70" class="rt-image" alt="image"/>\r\n</div>\r\n\r\n<div class="rt-demo-grid-4">\r\n<img src="images/stories/demo/general/positions/position-config-mb3.jpg" width="290" height="70" class="rt-image" alt="image"/>\r\n</div>\r\n\r\n<div class="rt-demo-grid-4 nomarginright">\r\n<img src="images/stories/demo/general/positions/position-config-mb4.jpg" width="290" height="70" class="rt-image" alt="image"/>\r\n</div>\r\n\r\n<div class="clear"></div>\r\n\r\n<p class="attention">Note: If no modules are assigned to the Sidebar positions, the Mainbody will become full width.</p>\r\n\r\n<div class="rt-demo-grid-4 nomarginleft">\r\n<img src="images/stories/demo/general/positions/position-sa-mb-sbc-1.jpg" width="290" height="148" class="rt-image" alt="image"/>\r\n<br />\r\n<img src="images/stories/demo/general/positions/position-mb-sa-1.jpg" width="290" height="148" class="rt-image" alt="image"/>\r\n<br />\r\n<img src="images/stories/demo/general/positions/position-sa-mb-1.jpg" width="290" height="148" class="rt-image nomarginbottom" alt="image"/>\r\n</div>\r\n\r\n<div class="rt-demo-grid-4">\r\n<img src="images/stories/demo/general/positions/position-sab-mb-sc-1.jpg" width="290" height="148" class="rt-image" alt="image"/>\r\n<br />\r\n<img src="images/stories/demo/general/positions/position-mb-sab-1.jpg" width="290" height="148" class="rt-image" alt="image"/>\r\n<br />\r\n<img src="images/stories/demo/general/positions/position-sab-mb-1.jpg" width="290" height="148" class="rt-image nomarginbottom" alt="image"/>\r\n</div>\r\n\r\n<div class="rt-demo-grid-4 nomarginright">\r\n<img src="images/stories/demo/general/positions/position-sabc-mb-1.jpg" width="290" height="148" class="rt-image" alt="image"/>\r\n<br />\r\n<img src="images/stories/demo/general/positions/position-mb-sabc-1.jpg" width="290" height="148" class="rt-image" alt="image"/>\r\n<br />\r\n<img src="images/stories/demo/general/positions/position-mb-1.jpg" width="290" height="148" class="rt-image nomarginbottom" alt="image"/>\r\n</div>', 0, 'mainbottom-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(91, 'Basic: Using Layouts in Clarion', '', '<a rel="rokbox[745 505]" title="Video Tutorial :: Using Gantry Layouts" href="http://www.gantry-framework.org/media/videos/module_widths.mov">\r\n<img class="rt-image floatleft" src="images/stories/demo/general/using-layouts.jpg" alt="Using Layouts" width="150" height="150" /></a>\r\n\r\n<p>To find out about <strong>Gantry Layouts</strong> and <strong>Module Widths</strong>, check out this screencast which covers basic concepts of configuring layout with a combination of module setting and the Gantry layout control.</p>\r\n\r\n<a class="readon smallmargintop" href="http://gantry-framework.org/documentation/joomla/configure/layouts" target="_blank"><span>View : Using Gantry Layouts</span></a>', 1, 'footer-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(92, 'Advanced: Adding Module Positions', '', '<a rel="rokbox[745 505]" title="Video Tutorial :: Module Positions" href="http://www.gantry-framework.org/media/videos/module_positions.mov">\r\n<img class="rt-image floatleft" src="images/stories/demo/general/module-positions.jpg" alt="Using Layouts" width="150" height="150" /></a>\r\n\r\n<p>Check out this quick screencast on <strong>Module Positions</strong> to get an overview of how module positions work within Gantry Framework. Click below button to learn how to <strong>add a new row of module positions</strong>.</p>\r\n\r\n<a class="readon smallmargintop" href="http://gantry-framework.org/documentation/joomla/customize/adding-module-positions" target="_blank"><span>Learn : Adding Module Positions</span></a>', 1, 'footer-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(93, 'Using a Suffix', '', '<p>Enter any available suffixes at <strong>Extensions &rarr; Module Manager &rarr; <em>Module</em> &rarr; Module Class Suffix</strong>.</p>\r\n<p class="notice nomarginbottom">You can compound multiple suffixes together such as: <strong><em>box1 title3</em></strong>.</p>', 12, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"nomarginbottom","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(94, 'Standard Variations: 26 Additional Module Class Suffixes', '', '<ul class="nomarginbottom rt-demo-grid-4 nomarginleft">\r\n	<li><strong>rt-center:</strong> centres the content of the module.</li>\r\n	<li><strong>shadow2-10</strong> adds varying shadows around the module.</li>\r\n	<li><strong>rounded, square, basic:</strong> changes the border style of the module.</li>\r\n</ul>\r\n<ul class="nomarginbottom rt-demo-grid-4 nomarginright nomarginleft">\r\n	<li><strong>standardcase, uppercase, lowercase:</strong> change the case of the module title.</li>	\r\n	<li><strong>nomargintop, nomarginright, nomarginbottom, nomarginleft, nomarginall:</strong> removes the various margins around the module.</li>\r\n</ul>\r\n<ul class="nomarginbottom rt-demo-grid-4 nomarginright">\r\n	<li><strong>nopaddingtop, nopaddingright, nopaddingbottom, nopaddingleft, nopaddingall:</strong> removes the various paddings around the module</li>\r\n</ul>', 1, 'bottom-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"nopaddingleft nopaddingright","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(95, 'Box5 Title4', '', '<p>An example module using the <strong>box1 title1</strong> module class suffix.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh.</p>\r\n<a href="#" class="readon"><span>More</span></a>', 11, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"box5 title4 shadow2","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(96, 'Box2 Title3', '', '<p>An example module using the <strong>box2 title3</strong> module class suffix.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh.</p>\r\n<a href="#" class="readon"><span>More</span></a>', 10, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"box2 title3","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(97, 'Box1 Title1', '', '<p>An example module using the <strong>box1 title1</strong> module class suffix.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec sit amet nibh.</p>\r\n<a href="#" class="readon"><span>More</span></a>', 9, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"box1 title1","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(98, 'Why Use RokCandy?', '', '<p><strong>RokCandy</strong> is the ideal solution for those with <strong>limited coding skills</strong> or those who implement our templates for their clients. It is <strong>free</strong> from the WYSIWYG editors horrific filtering habits and can be easily pre-configured for your <strong>personal needs</strong> or the needs of your client.</p>\r\n<a href="http://www.rockettheme.com/extensions-joomla/rokcandy" class="readon" target="_blank"><span>Download : RokCandy</span></a>', 1, 'footer-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(99, 'Video : Using Typography', '', '<a href="http://www.rockettheme.com/video/joomla15/using-typography-joomla15.mov" title="Video Tutorial :: Joomla Using Typography Video Tutorial" rel="rokbox[540 380]"><img class="rt-image floatleft" src="images/stories/demo/general/using-typography.jpg" alt="Using Typography" width="130" height="130" /></a>\r\n<p>Check out this quick screencast to learn how to use RokCandy to enhance your Joomla! content. The tags are very easy to learn and this guide shows you how to use all the styles.</p>\r\n<a href="http://www.rockettheme.com/video/joomla15/using-typography-joomla15.mov" title="Video Tutorial :: Joomla Using Typography Video Tutorial" rel="rokbox[540 380]" class="readon"><span>Watch : Using Typography</span></a>', 1, 'footer-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(100, 'Powered by RokNavMenu', '', '<img class="floatleft" src="images/stories/demo/menu-options/roknavmenu.png" width="80" height="80" />\r\n<p>RokNavMenu is an essential ingredient of the RocketTheme templates. It provides various functions which are above and beyond the default Joomla! menu system.</p>', 1, 'utility-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(101, 'Menu Options - RokNavMenu is Required', '', '<br /><p class="alert largemargintop">RokNavMenu is the core of all the powerful Clarion menu system. Please ensure you are using the latest version of RokNavMenu, available <a href="http://www.rockettheme.com/extensions-joomla/roknavmenu" target="_blank">here</a>.</p>', 1, 'utility-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(102, 'Set Menu Type', '', '<p>To find all the parameters for Fusion Menu and Splitmenu, such as transitions, duration and sublevel position, go to:</p>\r\n\r\n<ul class="checkmark green">\r\n	<li><strong>(J! 1.5) Extensions &rarr; Template Manager &rarr; rt_clarion_j15 &rarr; <br />Menu &rarr; Menu Control &rarr; <em>Set Menu Type</em></strong></li>\r\n	<li><strong>(J! 2.5) Extensions &rarr; Template Manager &rarr; rt_clarion &rarr; <br />Menu &rarr; Menu Control &rarr; <em>Set Menu Type</em></strong></li>\r\n</ul>\r\n\r\n<p class="attention">Descriptions of each template parameter can be seen when you mouseover the label of each option.</p>', 1, 'maintop-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(103, 'Menu Options - Set Menu Type Screenshots', '', '<img class="rt-image" src="images/stories/demo/menu-options/set-menu-1.jpg" alt="Set Menu" width="400" height="120" /><br /><br />\r\n<img class="rt-image" src="images/stories/demo/menu-options/set-menu-2.jpg" alt="Set Menu" width="400" height="120" />', 1, 'maintop-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(104, 'Fusion Menu', '', '<p>A Mootools enhanced CSS dropdown menu, with multi-columns, icons and more.</p>\r\n<a href="index.php?option=com_content&amp;view=article&amp;id=5&amp;Itemid=111&amp;menu-type=fusionmenu" class="readon"><span>FusionMenu</span></a>', 6, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(105, 'Split Menu', '', '<p>A static two level menu with 1st level items in the header area, and all others in the sidebar.</p>\r\n<a href="index.php?option=com_content&amp;view=article&amp;id=5&amp;Itemid=111&amp;menu-type=splitmenu" class="readon"><span>SplitMenu</span></a>', 7, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(106, 'No Menu', '', '<p>An option to disable the menu, allowing for normal module use of the navigation position.</p>', 8, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(107, 'Video Tutorials', '', '<ul class="circle blue largemarginbottom">\r\n	<li><a href="http://www.rockettheme.com/video/joomla15/installing-rocketlauncher-joomla15.mov" title="Video Tutorial :: Joomla RocketLauncher Installation Video Tutorial" rel="rokbox[503 356]">RocketLauncher</a></li>\r\n	<li><a href="http://www.rockettheme.com/video/joomla15/template-installation-joomla15.mov" title="Video Tutorial :: Joomla Template Installation Video Tutorial" rel="rokbox[800 620]">Template Installation</a></li>\r\n	<li><a href="http://www.rockettheme.com/video/joomla15/menu-configuration-joomla15.mov" title="Video Tutorial :: Joomla Menu Setup Video Tutorial" rel="rokbox[504 336]">Menu Setup</a></li>\r\n	<li><a href="http://www.rockettheme.com/video/joomla15/using-typography-joomla15.mov" title="Video Tutorial :: Joomla Using Typography Video Tutorial" rel="rokbox[540 380]">Using Typography</a></li>	\r\n	<li><a rel="rokbox[504 360]" title="Video Tutorial :: Joomla 1.5 Template Management" href="http://www.rockettheme.com/video/joomla15/template-manager-joomla15.mov">Template Management</a></li>\r\n	<li><a rel="rokbox[504 336]" title="Video Tutorial :: Joomla 1.5 Using Custom Modules" href="http://www.rockettheme.com/video/joomla15/custom-modules-joomla15.mov">Custom Modules</a></li>\r\n	<li><a rel="rokbox[504 336]" title="Video Tutorial :: Joomla 1.5 Using the Extensions Manager" href="http://www.rockettheme.com/video/joomla15/extensions-manager-joomla15.mov">Extensions Manager</a></li>\r\n	<li><a rel="rokbox[504 336](joomla15basic)" title="Video Tutorial :: Joomla 1.5 Menu Access Levels" href="http://www.rockettheme.com/video/joomla15/menu-access-levels-joomla15.mov">Menu Access</a></li>\r\n</ul>\r\n<a href="http://www.rockettheme.com/joomla-tutorials/video-tutorials" target="_blank" class="readon"><span>View All</span></a>', 4, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"nomarginbottom","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(108, 'Forum Guides', '', '<ul class="circle blue">\r\n	<li><a href="http://www.rockettheme.com/forum/index.php?f=586&amp;t=155603&amp;rb_v=viewtopic" target="_blank">Template FAQs</a></li>\r\n	<li><a href="http://www.rockettheme.com/forum/index.php?f=586&amp;t=155602&amp;rb_v=viewtopic" target="_blank">User Guide &amp; Support</a></li>\r\n	<li><a href="http://www.rockettheme.com/forum/index.php?f=586&amp;t=155601&amp;rb_v=viewtopic" target="_blank">Configuring K2</a></li>\r\n	<li><a href="http://www.rockettheme.com/forum/index.php?f=586&amp;t=155598&amp;rb_v=viewtopic" target="_blank">Mobile Theme Settings</a></li>\r\n	<li><a href="http://www.rockettheme.com/forum/index.php?f=586&amp;t=155600&amp;rb_v=viewtopic" target="_blank">Demo Content Info</a></li>\r\n	<li><a href="http://www.rockettheme.com/forum/index.php?f=586&amp;t=155589&amp;rb_v=viewtopic" target="_blank">Editing the Logo</a></li>\r\n	<li><a href="http://www.rockettheme.com/forum/index.php?f=586&amp;t=155592&amp;rb_v=viewtopic" target="_blank">Editing Template Text</a></li>\r\n	<li><a href="http://www.rockettheme.com/forum/index.php?f=586&amp;t=155596&amp;rb_v=viewtopic" target="_blank">Popup Module</a></li>\r\n	<li><a href="http://www.rockettheme.com/forum/index.php?f=586&amp;t=155594&amp;rb_v=viewtopic" target="_blank">RokBox Member Login</a></li>\r\n</ul>\r\n<a class="readon" target="_blank" href="http://www.rockettheme.com/forum/index.php?f=586&amp;amp;rb_v=viewforum"><span>View All</span></a>', 5, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"nomarginbottom","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(109, 'Subtext Line', '', '<img width="260" height="100" alt="Clarion" src="images/stories/demo/menu-options/subtext.jpg" class="rt-image">\r\n<p>The option that allows you to insert additional text to the Menu Item Title. There is separate styling for this, making it useful for adding brief descriptions to menu items.</p>', 1, 'footer-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(110, 'Menu Item Image', '', '<img width="260" height="100" alt="Clarion" src="images/stories/demo/menu-options/menuimage.jpg" class="rt-image">\r\n<p>RokNavMenu provides the option to display a small icon image for the menu item. The menu icon can be displayed both for the parent items and the child items.</p>', 1, 'footer-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(111, 'Multiple Columns', '', '<img width="260" height="100" alt="Clarion" src="images/stories/demo/menu-options/multiplecols.jpg" class="rt-image">\r\n<p>Who needs a single dropdown column when you can have as many as you want? Using the built-in configurable parameters, you can make incredible multi column dropdowns.</p>', 1, 'footer-c', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(112, 'Extensions - Footer', '', '<div class="rt-demo-grid-8 nomarginright">\r\n	<ul class="list-icon write">\r\n    	<li><h3 class="nobold smallpaddingbottom">All RocketTheme Extensions - in Extensions Club</h3></li>\r\n 	</ul>\r\n\r\n 	<p>Many of our extensions were developed to accompany RocketTheme templates but we have now created versions that are intended to work independently of our templates if you wish.</p>\r\n\r\n	<div class="module-title">\r\n		<h3 class="title"><span>Club</span> Extensions</h3>\r\n	</div>\r\n\r\n	<div class="rt-grid-2 largemarginright largepaddingright">\r\n		<ul class="circle green">\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/rokgallery" target="_blank">RokGallery</a></li>\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/rokstories" target="_blank">RokStories</a></li>\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/rokstock" target="_blank">RokStock</a></li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class="rt-grid-2 largemarginright largepaddingright">\r\n		<ul class="circle green">\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/roknewspager" target="_blank">RokNewsPager</a></li>\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/rokminievents" target="_blank">RokMiniEvents</a></li>\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/rokpad" target="_blank">RokPad</a></li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class="rt-grid-2">\r\n		<ul class="circle green">\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/rokweather" target="_blank">RokWeather</a></li>\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/roktwittie" target="_blank">RokTwittie</a></li>\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/rokfeaturetable" target="_blank">RokFeatureTable</a></li>\r\n		</ul>	\r\n	</div>\r\n\r\n	<div class="clear"></div>\r\n\r\n	<div class="module-title">\r\n		<h3 class="title"><span>Free</span> Extensions</h3>\r\n	</div>\r\n	<div class="rt-grid-2 largemarginright largepaddingright">\r\n		<ul class="circle green nomarginbottom">\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/roknavmenu" target="_blank">RokNavMenu</a></li>\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/rokbox" target="_blank">RokBox</a></li>\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/rokgzipper" target="_blank">RokGZipper</a></li>\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/rokajaxsearch" target="_blank">RokAjaxSearch</a></li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class="rt-grid-2 largemarginright largepaddingright">\r\n		<ul class="circle green nomarginbottom">\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/rokdownloads" target="_blank">RokDownloads</a></li>\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/roknewsflash" target="_blank">RokNewsFlash</a></li>\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/rokquickcart" target="_blank">RokQuickCart</a></li>\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/rokcandy" target="_blank">RokCandy</a></li>\r\n		</ul>\r\n	</div>\r\n\r\n	<div class="rt-grid-2">\r\n		<ul class="circle green nomarginbottom">\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/roktabs" target="_blank">RokTabs</a></li>\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/rokslideshow" target="_blank">RokSlideShow</a></li>		\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/rokbridge" target="_blank">RokBridge</a></li>\r\n			<li><a href="http://www.rockettheme.com/extensions-joomla/rokcomments" target="_blank">RokComments</a></li>\r\n		</ul>	\r\n	</div>\r\n</div>\r\n\r\n<div class="rt-demo-grid-4 floatright nomarginleft nomarginright">\r\n\r\n	<p class="alert">The 3rd party component K2 is NOT included in RocketLauncher. You will need to download them from <a href="http://getk2.org/" target="_blank">Get K2</a> and configure them on your site.</p>\r\n\r\n	<p>You can download the Clarion Extensions from:</p>\r\n\r\n	<ul class="normalfont nomarginbottom checkmark green">\r\n		<li><strong>Clarion Download Page:</strong> <strong><br />rt_clarion_j15-extensions.zip</strong> for J! 1.5 or <strong>rt_clarion-extensions.zip</strong> for J! 2.5. Unzip the file, it contains all the extensions used for Clarion.</li>\r\n		<li class="nomarginbottom"><strong>RocketTheme Extensions Page:</strong><br />Contains all individual extensions are available from the Extensions section of RokDownloads.</li>\r\n	</ul>\r\n\r\n	<a href="http://www.rockettheme.com/extensions-downloads/" target="_blank" class="readon largemargintop floatright"><span>Download : Clarion Extensions</span></a>\r\n\r\n</div>', 1, 'footer-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(113, 'Installation Process', '', '<p>Download and install the <strong>Bundle</strong> file if Gantry is not installed, use the Standard Template file if <a href="index.php?option=com_content&amp;view=article&amp;id=7&amp;Itemid=123">Gantry</a> is already present.</p>\r\n<a href="index.php?option=com_content&amp;view=article&amp;id=7&amp;Itemid=123" class="readon"><span>More Information</span></a>', 1, 'maintop-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(114, 'RocketLauncher - Demo Replica', '', '<p>Deploy a <a href="index.php?option=com_content&amp;view=article&amp;id=7&amp;Itemid=123">replica</a> of the this month''s demo with ease, using the readily available <strong>RocketLauncher</strong> package.</p><a href="index.php?option=com_content&amp;view=article&amp;id=7&amp;Itemid=123" class="readon"><span>More Information</span></a>', 1, 'maintop-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(115, 'Joomla! Documentation', '', '<p>Joomla.org is an invaluable resource for general instructions and information on how to use, configure and modify Joomla.</p>\r\n<a href="http://docs.joomla.org" class="readon" target="_blank"><span>Read More</span></a>', 1, 'footer-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(116, 'Gantry Support', '', '<p>More extensive details of the Gantry Framework, inclusive of both written and video tutorials, please visit the dedicated Gantry Site.</p>\r\n<a href="http://gantry-framework.org/" target="_blank" class="readon"><span>Read More</span></a>', 1, 'footer-c', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(117, 'Forum Guides', '', '<ul class="circle blue">\r\n	<li><a href="http://www.rockettheme.com/forum/index.php?f=586&amp;t=155603&amp;rb_v=viewtopic" target="_blank">Template FAQs</a></li>\r\n	<li><a href="http://www.rockettheme.com/forum/index.php?f=586&amp;t=155602&amp;rb_v=viewtopic" target="_blank">User Guide &amp; Support</a></li>\r\n	<li><a href="http://www.rockettheme.com/forum/index.php?f=586&amp;t=155601&amp;rb_v=viewtopic" target="_blank">Configuring K2</a></li>\r\n	<li><a href="http://www.rockettheme.com/forum/index.php?f=586&amp;t=155598&amp;rb_v=viewtopic" target="_blank">Mobile Theme Settings</a></li>\r\n	<li><a href="http://www.rockettheme.com/forum/index.php?f=586&amp;t=155600&amp;rb_v=viewtopic" target="_blank">Demo Content Info</a></li>\r\n	<li><a href="http://www.rockettheme.com/forum/index.php?f=586&amp;t=155589&amp;rb_v=viewtopic" target="_blank">Editing the Logo</a></li>\r\n	<li><a href="http://www.rockettheme.com/forum/index.php?f=586&amp;t=155592&amp;rb_v=viewtopic" target="_blank">Editing Template Text</a></li>\r\n	<li><a href="http://www.rockettheme.com/forum/index.php?f=586&amp;t=155596&amp;rb_v=viewtopic" target="_blank">Popup Module</a></li>\r\n	<li><a href="http://www.rockettheme.com/forum/index.php?f=586&amp;t=155594&amp;rb_v=viewtopic" target="_blank">RokBox Member Login</a></li>\r\n</ul>\r\n<a class="readon" target="_blank" href="http://www.rockettheme.com/forum/index.php?f=586&amp;amp;rb_v=viewforum"><span>View All</span></a>', 1, 'sidebar-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"nomarginbottom","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(118, 'System Requirements', '', '<ul class="checkmark green nomarginbottom">\r\n	<li><strong>Apache 2.x or Microsoft IIS 7</strong></li>\r\n	<li><strong>PHP 5.3.x</strong></li>\r\n	<li><strong>MySQL 5.0.4 or higher</strong></li>\r\n	<li><strong>Joomla! 1.5.x or Joomla! 2.5.x</strong></li>	\r\n	<li><strong>Gantry Framework</strong></li>\r\n	<li class="nomarginbottom"><strong>RokNavMenu Module</strong></li>\r\n</ul>', 2, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"box1","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(119, 'RocketLauncher Version', '', '<p class="medmarginbottom"><strong>RocketLauncher</strong> is a customized <strong>Joomla</strong> install, that installs a <strong>replica</strong> of the <strong>demo</strong> onto your Joomla! site.</p>\r\n<p class="alert nomarginbottom"><strong>Note</strong>: All sample content images will be replaced with blank versions in the RocketLauncher.</p>', 3, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(120, 'Essential Files', '', '<ul class="list-icon checkmark green normalfont nomarginbottom">\r\n	<li><strong>Gantry Framework</strong> <em><strong>(J! 1.5)</strong> rt_clarion_j15.tgz</em> or <em><strong>(J! 2.5)</strong> rt_clarion.zip</em> - Core framework for Clarion template.</li>\r\n	<li><strong>Template (Standalone)</strong> <em><strong>(J! 1.5)</strong> rt_clarion_j15.tgz</em> or <em><strong>(J! 2.5)</strong> rt_clarion.zip</em> - Standalone template file without the Gantry Framework.</li>\r\n	<li><strong>Template (Bundle)</strong> <em><strong>(J! 1.5)</strong> rt_clarion_j15-bundle.zip</em> or <em><strong>(J! 2.5)</strong> rt_clarion-bundle.zip</em> - Template plus the Gantry Framework.</li>\r\n	<li><strong>RokNavMenu</strong> <em><strong>(J! 1.5)</strong> rt_clarion_j15-extensions.zip(<strong>unzip first</strong>) or mod_roknavmenu.zip</em>; or <em><strong>(J! 2.5)</strong> rt_clarion-extensions.zip(<strong>unzip first</strong>) or mod_roknavmenu_j16.zip</em> - Required for the menu to work.</li>\r\n</ul>', 2, 'footer-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(121, 'Additional Files', '', '<ul class="list-icon checkmark green normalfont nomarginbottom">\r\n	<li><strong>Source PNG(s)</strong> <em>rt_clarion_j15-sources.zip</em> - Adobe® Fireworks PNG source file(s) and any applicable fonts.</li>\r\n	<li><strong>Source BG PNG(s)</strong> <em>rt_clarion_j15-sources-bg.zip</em> - Adobe® Fireworks PNG BG source file(s) — <em>Only distributed if the template has complex BGs.</em></li>\r\n	<li><strong>Extensions</strong> <em><strong>(J! 1.5)</strong> rt_clarion_j15-extensions.zip</em> or <em><strong>(J! 2.5)</strong> rt_clarion-extensions.zip</em> - All extensions for the template.</li>\r\n	<li><strong>RocketLauncher</strong> <em><strong>(J! 1.5)</strong> rt_clarion_j15-rocketlauncher.zip</em> or <em><strong>(J! 2.5)</strong> rt_clarion-rocketlauncher.zip</em> - Demo replica installer. RocketLauncher needs a fresh Joomla! installation.</li>\r\n</ul>', 2, 'footer-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(122, 'Adobe Fireworks', '', '<p>The most effective way to customize the logo is to use the included Source PNG file. When opened in Adobe Fireworks, this file contains all of the Layers in the design allowing you to tweak and change any of the image elements of the template design.</p>\r\n<p class="alert nomarginbottom">In order to utilize the Fireworks Source PNG included with the Clarion template release, you will need Adobe Fireworks. The 30-day free trial of this software as well as more information is available <a href="http://www.adobe.com/products/fireworks/" target="_blank"><strong>here at the Adobe website</strong></a>.</p>', 2, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(123, 'Editing Requirements', '', '<ul>\r\n	<li><strong>Adobe® Fireworks:</strong> CS5 is preferred, but CS3/4 will be sufficient.</li>\r\n	<li><strong>Logo Font:</strong> Download and install before proceeding to edit in Fireworks.</li>\r\n	<li><strong>Source File:</strong> Download the <strong>logo-source.png</strong> file from the rt_clarion_j15-sources.zip package.</li>\r\n</ul>', 2, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"box1","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(124, 'Uploading the Logo', '', '<div class="rt-demo-grid-2 floatleft largemarginright largepaddingright">\r\n	<img width="150" height="150" src="images/stories/demo/logo/logo-location.jpg" alt="Logo Location" class="rt-image" />\r\n</div>\r\n\r\n<div class="rt-grid-7 nomarginleft nomarginright">\r\n<ul class="medmarginbottom">\r\n	<li>Upload <strong>logo.png</strong> to the <strong style="word-break: break-all">(J! 1.5) /templates/rt_clarion_15/images/logo/*style*/</strong> or <br><strong style="word-break: break-all">(J! 2.5) /templates/rt_clarion/images/logo/*style*/</strong> directory</li>\r\n	<li>Clear your browser cache and refresh your site.</li>\r\n</ul>\r\n\r\n<p class="medmarginbottom">If you cannot see your new logo, ensure you have uploaded it to the right directory and the directory permissions are writeable. Enquire with your hosting provider.</p>\r\n\r\n<a target="_blank" href="http://www.rockettheme.com/joomla-templates/clarion" class="readon"><span>Download Sources Here</span></a>\r\n\r\n</div>\r\n\r\n<div class="rt-demo-grid-2 floatright">\r\n	<a href="http://demo.rockettheme.com/sep10/video/logo.mov" title="Video Tutorial :: Clarion Logo Editing Video Tutorial" rel="rokbox[504 306]"><img width="150" height="150" src="images/stories/demo/logo/logo-video.jpg" alt="Logo Location" class="rt-image" /></a>\r\n</div>', 2, 'footer-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(125, '12 Preset Styles - Preview Live', '', '<p class="notice">View all styles live by appending <strong>?presets=preset#</strong> or <strong>&amp;presets=preset#</strong> to the end of your URL such as <strong><a href="#">http://yoursite.com/index.php?presets=preset4</a></strong>.</p>\r\n\r\n<p>In sequential order, <strong>Preset 1 - Preset 12</strong>. Please click on the image to load a live example of each style variation.</p>\r\n\r\n<a href="index.php?option=com_content&amp;view=article&amp;id=9&amp;Itemid=127&amp;presets=preset1">\r\n	<img alt="Preset 1" src="images/stories/demo/styles/ss1.jpg" class="rt-image floatleft medmarginright" width="135" height="250" />\r\n</a>\r\n<a href="index.php?option=com_content&amp;view=article&amp;id=9&amp;Itemid=127&amp;presets=preset2">\r\n	<img alt="Preset 2" src="images/stories/demo/styles/ss2.jpg" class="rt-image floatleft medmarginright" width="135" height="250" />\r\n</a>\r\n<a href="index.php?option=com_content&amp;view=article&amp;id=9&amp;Itemid=127&amp;presets=preset3">\r\n	<img alt="Preset 3" src="images/stories/demo/styles/ss3.jpg" class="rt-image floatleft medmarginright" width="135" height="250" />\r\n</a>\r\n<a href="index.php?option=com_content&amp;view=article&amp;id=9&amp;Itemid=127&amp;presets=preset4">\r\n	<img alt="Preset 4" src="images/stories/demo/styles/ss4.jpg" class="rt-image floatleft medmarginright" width="135" height="250" />\r\n</a>\r\n<a href="index.php?option=com_content&amp;view=article&amp;id=9&amp;Itemid=127&amp;presets=preset5">\r\n	<img alt="Preset 5" src="images/stories/demo/styles/ss5.jpg" class="rt-image floatleft medmarginright" width="135" height="250" />\r\n</a>\r\n<a href="index.php?option=com_content&amp;view=article&amp;id=9&amp;Itemid=127&amp;presets=preset6">\r\n	<img alt="Preset 6" src="images/stories/demo/styles/ss6.jpg" class="rt-image floatleft nomarginright" width="135" height="250" />\r\n</a>\r\n<div class="clear"></div>\r\n<a href="index.php?option=com_content&amp;view=article&amp;id=9&amp;Itemid=127&amp;presets=preset7">\r\n	<img alt="Preset 7" src="images/stories/demo/styles/ss7.jpg" class="rt-image floatleft medmarginright" width="135" height="250" />\r\n</a>\r\n<a href="index.php?option=com_content&amp;view=article&amp;id=9&amp;Itemid=127&amp;presets=preset8">\r\n	<img alt="Preset 8" src="images/stories/demo/styles/ss8.jpg" class="rt-image floatleft medmarginright" width="135" height="250" />\r\n</a>\r\n<a href="index.php?option=com_content&amp;view=article&amp;id=9&amp;Itemid=127&amp;presets=preset9">\r\n	<img alt="Preset 9" src="images/stories/demo/styles/ss9.jpg" class="rt-image floatleft medmarginright" width="135" height="250" />\r\n</a>\r\n<a href="index.php?option=com_content&amp;view=article&amp;id=9&amp;Itemid=127&amp;presets=preset10">\r\n	<img alt="Preset 10" src="images/stories/demo/styles/ss10.jpg" class="rt-image floatleft medmarginright" width="135" height="250" />\r\n</a>\r\n<a href="index.php?option=com_content&amp;view=article&amp;id=9&amp;Itemid=127&amp;presets=preset11">\r\n	<img alt="Preset 11" src="images/stories/demo/styles/ss11.jpg" class="rt-image floatleft medmarginright" width="135" height="250" />\r\n</a>\r\n<a href="index.php?option=com_content&amp;view=article&amp;id=9&amp;Itemid=127&amp;presets=preset12">\r\n	<img alt="Preset 12" src="images/stories/demo/styles/ss12.jpg" class="rt-image floatleft nomarginright" width="135" height="250" />\r\n</a>\r\n<div class="clear"></div>', 1, 'feature-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*');
INSERT INTO `#__modules` (`id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(126, 'Creating your own Preset Style(s)', '', '<ul class="list-icon rightarrow">\r\n	<li>Go to <strong>Extensions → Template Manager → (J15) rt_clarion_j15 → Settings; or (J17) rt_clarion &rarr; Show Presets</strong></li>\r\n	<li>Configure the Settings</li>\r\n	<li>Click <strong>(J15) Save Custom Presets as New</strong>; <strong>(J17) Save Preset</strong></li>\r\n	<li>Follow the <strong>Preset Saver procedure</strong></li>\r\n</ul>\r\n\r\n<p class="notice">You can edit the prebuilt presets in the <strong>gantry.config.php</strong> file, or use the User Interface method outlined above.</p>', 1, 'bottom-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(127, 'Preset Bottom B', '', '<br /><br />\r\n<img class="rt-image floatleft medmarginright " alt="Image" src="images/stories/demo/general/style-1.jpg" height="134" width="200" />\r\n<img class="rt-image " alt="Image" src="images/stories/demo/general/style-2.jpg" height="134" width="200" />', 1, 'bottom-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(128, 'Contact Details', '', '<p class="medmarginbottom"><strong>Clarion</strong>, RocketTheme''s Joomla Template release for February 2012, with full 1.5 / 2.5 support.</p>\r\n\r\n<span class="text-icon info normalfont">9876 North West Boulevard</span>\r\n<br />\r\n<span class="text-icon normalfont  medpaddingbottom">Milwaukee, WI, 00000, USA</span>\r\n<br />\r\n<span class="text-icon normalfont phone">T +1 (555) 555-555-5555</span>\r\n<br />\r\n<span class="text-icon normalfont medpaddingbottom">F +1 (555) 555-555-5556</span>\r\n<br />\r\n<span class="text-icon email normalfont"><a class="nobold" href="#">noreply@rockettheme.com</a></span>', 0, 'bottom-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(129, 'Network with Us', '', '<p>Connect with us via a selection of popular social media, networks and other platforms.</p>\r\n\r\n<span class="text-icon facebook normalfont medpaddingbottom">/rockettheme</span>\r\n<br />\r\n<span class="text-icon twitter normalfont medpaddingbottom">@rockettheme</span>\r\n<br />\r\n<span class="text-icon rss normalfont medpaddingbottom">RSS Feed</span>\r\n<br />\r\n<span class="text-icon vimeo normalfont medpaddingbottom">Video Feed</span>', 1, 'bottom-c', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(130, 'Demo Information', '', '<p class="medmarginbottom">All demo content is for <strong>sample</strong> purposes only, intended to represent a live site. All content images are licensed from <a href="http://www.shutterstock.com/" target="_blank" class="nobold">shutterstock.com</a> for exclusive use on this demo only.</p>\r\n<span>Please download the <strong>RocketLauncher</strong> pack to install a copy of the base demo.</span>', 1, 'bottom-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(131, 'Module Variations', '', '<p class="medmarginbottom">36 module class <strong>suffixes</strong>, both structural and stylistic, to <strong>individualize</strong> your modules.</p>\r\n<a class="nobold" href="index.php?option=com_content&amp;view=article&amp;id=2&amp;Itemid=109"><span>Read More +</span></a>', 1, 'mainbottom-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(132, 'PNG Sources', '', '<p class="medmarginbottom"><strong>Customize</strong> the various image elements using the <strong>Adobe® Fireworks PNG</strong> sources. </p>\r\n<a class="nobold" href="index.php?option=com_content&amp;view=article&amp;id=8&amp;Itemid=124"><span>Read More +</span></a>', 1, 'mainbottom-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(133, 'Fusion Menu', '', '<p class="medmarginbottom">A javascript enhanced <strong>CSS</strong> based dropdown menu with <strong>MegaMenu</strong> features.</p>\r\n<a class="nobold" href="index.php?option=com_content&amp;view=article&amp;id=5&amp;Itemid=111"><span>Read More +</span></a>', 1, 'mainbottom-c', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(134, 'Demo Installer', '', '<p class="medmarginbottom"><strong>RocketLauncher</strong> is a modified Joomla package to install a <strong>demo</strong> onto your server.</p><a class="nobold" href="index.php?option=com_content&amp;view=article&amp;id=7&amp;Itemid=123"><span>Read More +</span></a>', 1, 'mainbottom-d', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(135, 'Latest Tweets', '', '', 0, 'sidebar-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_roktwittie', 1, 1, '{"use_oauth":"0","consumer_key":"","consumer_secret":"","moduleclass_sfx":"","load_css":"0","enable_cache":"1","timeout_connect":"3","timeout_response":"6","enable_cache_time":"5","usernames":"rockettheme","inactive_opacity":"0.5","show_default_avatar":"0","header_style":"light","include_rts":"1","enable_statuses":"0","status_external":"1","show_feed":"0","show_follow_updates":"0","show_bio":"0","show_web":"0","show_location":"0","show_updates":"0","show_followers":"0","show_following":"0","show_following_icons":"0","following_icons_count":"10","show_viewall":"0","enable_usernames":"0","enable_usernames_avatar":"1","usernames_avatar_size":"48","usernames_count_size":"4","usernames_count_merged":"1","enable_usernames_externals":"1","enable_usernames_source":"1","enable_usernames_user":"1","enable_search":"1","search":"@rockettheme","enable_search_avatar":"1","search_avatar_size":"48","search_count_size":"3","enable_search_externals":"1","enable_search_source":"1","enable_search_user":"1","oauth_token":"","oauth_token_secret":"","cache":"0","module_cache":"1","cache_time":"900"}', 0, '*'),
(136, 'FP RokTabs', '', '', 1, 'content-bottom-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_roktabs', 1, 0, '{"style":"base","content_type":"joomla","catid":["13"],"show_front":"1","itemsOrdering":"order","strip_tags":"a,i,br,img,div,input,select,button,span,strong,em,p,form,ul,li,label,h3","show_readmore":"0","readmore":"Read more...","width":"595","tabs_count":"4","duration":"600","transition_type":"scrolling","transition_fx":"Quad.easeInOut","linksMargins":"0","navscrolling":"1","tabs_position":"top","tabs_event":"click","tabs_title":"content","tabs_incremental":"Tab ","tabs_hideh6":"1","tabs_prefixed":"0","tabs_showicons":"0","tabs_iconside":"left","tabs_iconpath":"__module__\\/images","tabs_icon":"icon_home.gif,icon_security.gif,icon_comment.gif,icon_world.gif,icon_note.gif","autoplay":"0","autoplay_delay":"2000","moduleclass_sfx":"","cache":"0","module_cache":"1","cache_time":"900"}', 0, '*'),
(137, 'About the Theme', '', '<p><strong>Clarion</strong>, the February 2012 template release, is a subtle theme, primed for business use or as a platform for extensive individual customization.</p>\r\n<a href="index.php?option=com_content&amp;view=article&amp;id=25&amp;Itemid=107" class="readon"><span>Read More</span></a>', 1, 'feature-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"title5","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(138, 'FP RokGallery', '', '', 1, 'showcase-a', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_rokgallery', 1, 0, '{"gallery_id":"2","link":"none","default_menuitem":"101","title":"1","caption":"1","sort_by":"gallery_ordering","sort_direction":"ASC","limit_count":"10","style":"light","layout":"slideshow","columns":"1","arrows":"yes","navigation":"none","animation_type":"random","animation_duration":"500","autoplay_enabled":"0","autoplay_delay":"7","showcase_arrows":"onhover","showcase_image_position":"left","showcase_imgpadding":"0","showcase_fixedheight":"0","showcase_animatedheight":"1","showcase_animation_type":"random","showcase_captionsanimation":"crossfade","showcase_animation_duration":"500","showcase_autoplay_enabled":"0","showcase_autoplay_delay":"7","cache":"0","module_cache":"1","cache_time":"900","moduleclass_sfx":"nomarginall nopaddingall"}', 0, '*'),
(139, 'FP RokGallery Feature', '', '', 1, 'feature-b', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_rokgallery', 1, 0, '{"gallery_id":"1","link":"rokbox_full","default_menuitem":"101","title":"1","caption":"1","sort_by":"gallery_ordering","sort_direction":"ASC","limit_count":"3","style":"light","layout":"grid","columns":"3","arrows":"onhover","navigation":"none","animation_type":"random","animation_duration":"500","autoplay_enabled":"0","autoplay_delay":"7","showcase_arrows":"onhover","showcase_image_position":"left","showcase_imgpadding":"0","showcase_fixedheight":"0","showcase_animatedheight":"1","showcase_animation_type":"random","showcase_captionsanimation":"crossfade","showcase_animation_duration":"500","showcase_autoplay_enabled":"0","showcase_autoplay_delay":"7","cache":"0","module_cache":"1","cache_time":"900","moduleclass_sfx":""}', 0, '*'),
(140, 'Menu Module', '', '<p>This is an example of a module being displayed inside the menu <strong>dropdowns</strong>.</p>\r\n<p><a href="#" class="readon"><span>Read More</span></a></p>', 0, 'menu-mod', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(141, 'Preset Menu', '', '<div style="height: 3px">&nbsp;</div>\r\n<div class="menu-preset preset1">\r\n	<a class="floatleft nomarginright" href="?presets=preset1"><span></span></a>\r\n	<a class="nobold" href="?presets=preset1">Preset 1</a>\r\n</div>\r\n<div class="menu-preset preset2">\r\n	<a class="floatleft nomarginright" href="?presets=preset2"><span></span></a>\r\n	<a class="nobold" href="?presets=preset2">Preset 2</a>\r\n</div>\r\n<div class="menu-preset preset3">\r\n	<a class="floatleft nomarginright" href="?presets=preset3"><span></span></a>\r\n	<a class="nobold" href="?presets=preset3">Preset 3</a>\r\n</div>\r\n<div class="menu-preset preset4">\r\n	<a class="floatleft nomarginright" href="?presets=preset4"><span></span></a>\r\n	<a class="nobold" href="?presets=preset4">Preset 4</a>\r\n</div>\r\n<div class="menu-preset preset5">\r\n	<a class="floatleft nomarginright" href="?presets=preset5"><span></span></a>\r\n	<a class="nobold" href="?presets=preset5">Preset 5</a>\r\n</div>\r\n<div class="menu-preset preset6">\r\n	<a class="floatleft nomarginright" href="?presets=preset6"><span></span></a>\r\n	<a class="nobold" href="?presets=preset6">Preset 6</a>\r\n</div>\r\n<div class="menu-preset preset7">\r\n	<a class="floatleft nomarginright" href="?presets=preset7"><span></span></a>\r\n	<a class="nobold" href="?presets=preset7">Preset 7</a>\r\n</div>\r\n<div class="menu-preset preset8">\r\n	<a class="floatleft nomarginright" href="?presets=preset8"><span></span></a>\r\n	<a class="nobold" href="?presets=preset8">Preset 8</a>\r\n</div>\r\n<div class="menu-preset preset9">\r\n	<a class="floatleft nomarginright" href="?presets=preset9"><span></span></a>\r\n	<a class="nobold" href="?presets=preset9">Preset 9</a>\r\n</div>\r\n<div class="menu-preset preset10">\r\n	<a class="floatleft nomarginright" href="?presets=preset10"><span></span></a>\r\n	<a class="nobold" href="?presets=preset10">Preset 10</a>\r\n</div>\r\n<div class="menu-preset preset11">\r\n	<a class="floatleft nomarginright" href="?presets=preset11"><span></span></a>\r\n	<a class="nobold" href="?presets=preset11">Preset 11</a>\r\n</div>\r\n<div class="menu-preset preset12">\r\n	<a class="floatleft nomarginright" href="?presets=preset12"><span></span></a>\r\n	<a class="nobold" href="?presets=preset12">Preset 12</a>\r\n</div>', 1, 'preset-menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*');

-- --------------------------------------------------------

--
-- Table structure for table `#__modules_menu`
--

DROP TABLE IF EXISTS `#__modules_menu`;
CREATE TABLE IF NOT EXISTS `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleid`,`menuid`)
);

--
-- Dumping data for table `#__modules_menu`
--

INSERT INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES
(1, 150),
(2, 0),
(3, 0),
(4, 0),
(6, 0),
(7, 0),
(8, 0),
(9, 0),
(10, 0),
(12, 0),
(13, 0),
(14, 0),
(15, 0),
(16, 101),
(17, 148),
(17, 149),
(17, 150),
(17, 151),
(17, 152),
(79, 0),
(84, 0),
(85, 0),
(86, 107),
(87, 108),
(88, 108),
(89, 108),
(90, 108),
(91, 108),
(92, 108),
(93, 109),
(94, 109),
(95, 109),
(96, 109),
(97, 109),
(98, 110),
(99, 110),
(100, 111),
(101, 111),
(102, 111),
(103, 111),
(104, 111),
(105, 111),
(106, 111),
(107, 111),
(107, 122),
(107, 123),
(107, 127),
(107, 148),
(107, 152),
(108, 111),
(108, 123),
(108, 124),
(108, 127),
(108, 148),
(108, 149),
(108, 150),
(108, 151),
(108, 152),
(109, 111),
(110, 111),
(111, 111),
(112, 112),
(113, 122),
(114, 122),
(115, 122),
(115, 148),
(115, 149),
(115, 150),
(115, 151),
(115, 152),
(116, 122),
(116, 148),
(116, 149),
(116, 150),
(116, 151),
(116, 152),
(117, 122),
(118, 123),
(119, 123),
(120, 123),
(121, 123),
(122, 124),
(123, 124),
(124, 124),
(125, 127),
(126, 127),
(127, 127),
(128, 101),
(129, 101),
(130, 101),
(131, 101),
(132, 101),
(133, 101),
(134, 101),
(135, 101),
(136, 101),
(137, 101),
(138, 101),
(139, 101),
(140, 0),
(141, 101);

-- --------------------------------------------------------

--
-- Table structure for table `#__newsfeeds`
--

DROP TABLE IF EXISTS `#__newsfeeds`;
CREATE TABLE IF NOT EXISTS `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `link` varchar(200) NOT NULL DEFAULT '',
  `filename` varchar(200) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `numarticles` int(10) unsigned NOT NULL DEFAULT '1',
  `cache_time` int(10) unsigned NOT NULL DEFAULT '3600',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rtl` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
);

-- --------------------------------------------------------

--
-- Table structure for table `#__overrider`
--

DROP TABLE IF EXISTS `#__overrider`;
CREATE TABLE IF NOT EXISTS `#__overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) NOT NULL,
  `string` text NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
);

-- --------------------------------------------------------

--
-- Table structure for table `#__rokcandy`
--

DROP TABLE IF EXISTS `#__rokcandy`;
CREATE TABLE IF NOT EXISTS `#__rokcandy` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL,
  `macro` text NOT NULL,
  `html` text NOT NULL,
  `published` tinyint(1) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `ordering` int(11) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
);

--
-- Dumping data for table `#__rokcandy`
--

INSERT INTO `#__rokcandy` (`id`, `catid`, `macro`, `html`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`) VALUES
(20, 8, '[h1]{text}[/h1]', '<h1>{text}</h1>', 1, 0, '0000-00-00 00:00:00', 1, ''),
(21, 8, '[h2]{text}[/h2]', '<h2>{text}</h2>', 1, 0, '0000-00-00 00:00:00', 2, ''),
(22, 8, '[h3]{text}[/h3]', '<h3>{text}</h3>', 1, 0, '0000-00-00 00:00:00', 3, ''),
(23, 8, '[h4]{text}[/h4]', '<h4>{text}</h4>', 1, 0, '0000-00-00 00:00:00', 4, ''),
(24, 8, '[h5]{text}[/h5]', '<h5>{text}</h5>', 1, 0, '0000-00-00 00:00:00', 5, ''),
(25, 8, '[b]{text}[/b]', '<strong>{text}</strong>', 1, 0, '0000-00-00 00:00:00', 6, ''),
(26, 8, '[i]{text}[/i]', '<em>{text}</em>', 1, 0, '0000-00-00 00:00:00', 7, ''),
(27, 8, '[code]{text}[/code]', '<code>{text}</code>', 1, 0, '0000-00-00 00:00:00', 8, '');

-- --------------------------------------------------------

--
-- Table structure for table `#__rokcommon_configs`
--

DROP TABLE IF EXISTS `#__rokcommon_configs`;
CREATE TABLE IF NOT EXISTS `#__rokcommon_configs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `extension` varchar(45) NOT NULL DEFAULT '',
  `type` varchar(45) NOT NULL,
  `file` varchar(256) NOT NULL,
  `priority` int(10) NOT NULL DEFAULT '10',
  PRIMARY KEY (`id`)
);

--
-- Dumping data for table `#__rokcommon_configs`
--

INSERT INTO `#__rokcommon_configs` (`id`, `extension`, `type`, `file`, `priority`) VALUES
(1, 'rokgallery', 'container', '/components/com_rokgallery/container.xml', 10),
(2, 'rokgallery', 'library', '/components/com_rokgallery/lib', 10);

-- --------------------------------------------------------

--
-- Table structure for table `#__rokgallery_files`
--

DROP TABLE IF EXISTS `#__rokgallery_files`;
CREATE TABLE IF NOT EXISTS `#__rokgallery_files` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `filename` varchar(255) NOT NULL,
  `guid` char(36) NOT NULL,
  `md5` char(32) NOT NULL,
  `title` varchar(200) NOT NULL,
  `description` text,
  `license` varchar(255) DEFAULT NULL,
  `xsize` int(10) unsigned NOT NULL,
  `ysize` int(10) unsigned NOT NULL,
  `filesize` int(10) unsigned NOT NULL,
  `type` char(20) NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `slug` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `guid` (`guid`),
  UNIQUE KEY `#__files_sluggable_idx` (`slug`),
  KEY `#__rokgallery_files_published_idx` (`published`),
  KEY `#__rokgallery_files_md5_idx` (`md5`),
  KEY `#__rokgallery_files_guid_idx` (`guid`)
);

--
-- Dumping data for table `#__rokgallery_files`
--

INSERT INTO `#__rokgallery_files` (`id`, `filename`, `guid`, `md5`, `title`, `description`, `license`, `xsize`, `ysize`, `filesize`, `type`, `published`, `created_at`, `updated_at`, `slug`) VALUES
(5, 'feature3.jpg', '5d19d7c4-9f73-4495-d8f2-da2c31aba6f9', '55d66721fdae480c23809344ee497b59', 'Gantry Framework', 'Powerful core framework', NULL, 640, 420, 36729, 'jpg', 1, '2012-02-01 00:08:26', '2012-02-01 00:08:49', 'feature3'),
(6, 'feature2.jpg', '7e796ddd-dc44-4590-d222-9b5e40c74e67', '55d66721fdae480c23809344ee497b59', 'Fusion with MegaMenu', 'Highly customizable', NULL, 640, 420, 36729, 'jpg', 1, '2012-02-01 00:08:26', '2012-02-01 00:09:07', 'feature2'),
(7, 'feature1.jpg', '0022e732-171f-4258-8e32-ebf97b9828cf', '55d66721fdae480c23809344ee497b59', 'Integrated Addons', 'The template has styled support', NULL, 640, 420, 36729, 'jpg', 1, '2012-02-01 00:08:26', '2012-02-01 00:09:35', 'feature1'),
(8, 'showcase1.jpg', '28ec7a53-ba16-41be-b987-72217e6a6784', '4a84e1bb66e963d98a31de7da1a96263', 'Extensions Styling', 'Clarion has styled support for a variety of RocketTheme Addons, such as RokNewsPager, as well as K2, the advanced content extension.<br />\n\n<a href="index.php?option=com_content&amp;view=article&amp;id=3&amp;Itemid=112" class="readon medmargintop"><span>More Information</span></a>', NULL, 960, 360, 48263, 'jpg', 1, '2012-02-01 00:08:26', '2012-02-01 00:10:04', 'showcase1'),
(9, 'showcase2.jpg', 'cbc0066e-1889-496d-af72-969fff892fed', '4a84e1bb66e963d98a31de7da1a96263', 'Advanced Menus', 'Choose between two menu systems: Fusion with MegaMenu (CSS Dropdowns) or Triple Level Splitmenu in the template configuration.<br />\n\n<a href="index.php?option=com_content&amp;view=article&amp;id=5&amp;Itemid=111" class="readon medmargintop"><span>More Information</span></a>', NULL, 960, 360, 48263, 'jpg', 1, '2012-02-01 00:08:26', '2012-02-01 00:10:25', 'showcase2'),
(10, 'showcase3.jpg', '947b1da7-d5b9-4394-f1db-d386a455b1f3', '4a84e1bb66e963d98a31de7da1a96263', 'Powerful Framework', 'Gantry is the core framework of Clarion that offers advanced features such as its sophisticated adminsitrative template interface.<br />\n\n<a href="index.php?option=com_content&amp;view=article&amp;id=25&amp;Itemid=107" class="readon medmargintop"><span>More Information</span></a>', NULL, 960, 360, 48263, 'jpg', 1, '2012-02-01 00:08:26', '2012-02-01 00:10:53', 'showcase3');

-- --------------------------------------------------------

--
-- Table structure for table `#__rokgallery_files_index`
--

DROP TABLE IF EXISTS `#__rokgallery_files_index`;
CREATE TABLE IF NOT EXISTS `#__rokgallery_files_index` (
  `keyword` varchar(200) NOT NULL DEFAULT '',
  `field` varchar(50) NOT NULL DEFAULT '',
  `position` bigint(20) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`keyword`,`field`,`position`,`id`),
  KEY `#__rokgallery_files_index_id_idx` (`id`)
);

--
-- Dumping data for table `#__rokgallery_files_index`
--

INSERT INTO `#__rokgallery_files_index` (`keyword`, `field`, `position`, `id`) VALUES
('core', 'description', 1, 5),
('framework', 'description', 2, 5),
('framework', 'title', 1, 5),
('gantry', 'title', 0, 5),
('powerful', 'description', 0, 5),
('customizable', 'description', 1, 6),
('fusion', 'title', 0, 6),
('highly', 'description', 0, 6),
('megamenu', 'title', 2, 6),
('addons', 'title', 1, 7),
('integrated', 'title', 0, 7),
('styled', 'description', 3, 7),
('support', 'description', 4, 7),
('template', 'description', 1, 7),
('112', 'description', 39, 8),
('3', 'description', 36, 8),
('addons', 'description', 9, 8),
('advanced', 'description', 18, 8),
('article', 'description', 33, 8),
('br', 'description', 21, 8),
('clarion', 'description', 0, 8),
('class', 'description', 40, 8),
('com', 'description', 29, 8),
('content', 'description', 19, 8),
('content', 'description', 30, 8),
('extension', 'description', 20, 8),
('extensions', 'title', 0, 8),
('href', 'description', 25, 8),
('id', 'description', 35, 8),
('index', 'description', 26, 8),
('information', 'description', 45, 8),
('itemid', 'description', 38, 8),
('k2', 'description', 16, 8),
('medmargintop', 'description', 42, 8),
('option', 'description', 28, 8),
('php', 'description', 27, 8),
('readon', 'description', 41, 8),
('rockettheme', 'description', 8, 8),
('roknewspager', 'description', 12, 8),
('span', 'description', 43, 8),
('span', 'description', 46, 8),
('styled', 'description', 2, 8),
('styling', 'title', 1, 8),
('support', 'description', 3, 8),
('variety', 'description', 6, 8),
('view', 'description', 32, 8),
('111', 'description', 36, 9),
('5', 'description', 33, 9),
('advanced', 'title', 0, 9),
('article', 'description', 30, 9),
('between', 'description', 1, 9),
('br', 'description', 18, 9),
('choose', 'description', 0, 9),
('class', 'description', 37, 9),
('com', 'description', 26, 9),
('configuration', 'description', 17, 9),
('content', 'description', 27, 9),
('css', 'description', 8, 9),
('dropdowns', 'description', 9, 9),
('fusion', 'description', 5, 9),
('href', 'description', 22, 9),
('id', 'description', 32, 9),
('index', 'description', 23, 9),
('information', 'description', 42, 9),
('itemid', 'description', 35, 9),
('level', 'description', 12, 9),
('medmargintop', 'description', 39, 9),
('megamenu', 'description', 7, 9),
('menus', 'title', 1, 9),
('option', 'description', 25, 9),
('php', 'description', 24, 9),
('readon', 'description', 38, 9),
('span', 'description', 40, 9),
('span', 'description', 43, 9),
('splitmenu', 'description', 13, 9),
('systems', 'description', 4, 9),
('template', 'description', 16, 9),
('triple', 'description', 11, 9),
('view', 'description', 29, 9),
('107', 'description', 36, 10),
('25', 'description', 33, 10),
('adminsitrative', 'description', 15, 10),
('advanced', 'description', 9, 10),
('article', 'description', 30, 10),
('br', 'description', 18, 10),
('clarion', 'description', 6, 10),
('class', 'description', 37, 10),
('com', 'description', 26, 10),
('content', 'description', 27, 10),
('core', 'description', 3, 10),
('features', 'description', 10, 10),
('framework', 'description', 4, 10),
('framework', 'title', 1, 10),
('gantry', 'description', 0, 10),
('href', 'description', 22, 10),
('id', 'description', 32, 10),
('index', 'description', 23, 10),
('information', 'description', 42, 10),
('interface', 'description', 17, 10),
('itemid', 'description', 35, 10),
('its', 'description', 13, 10),
('medmargintop', 'description', 39, 10),
('offers', 'description', 8, 10),
('option', 'description', 25, 10),
('php', 'description', 24, 10),
('powerful', 'title', 0, 10),
('readon', 'description', 38, 10),
('sophisticated', 'description', 14, 10),
('span', 'description', 40, 10),
('span', 'description', 43, 10),
('template', 'description', 16, 10),
('view', 'description', 29, 10);

-- --------------------------------------------------------

--
-- Table structure for table `#__rokgallery_file_loves`
--

DROP TABLE IF EXISTS `#__rokgallery_file_loves`;
CREATE TABLE IF NOT EXISTS `#__rokgallery_file_loves` (
  `file_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kount` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`file_id`),
  UNIQUE KEY `file_id` (`file_id`)
);

-- --------------------------------------------------------

--
-- Table structure for table `#__rokgallery_file_tags`
--

DROP TABLE IF EXISTS `#__rokgallery_file_tags`;
CREATE TABLE IF NOT EXISTS `#__rokgallery_file_tags` (
  `file_id` int(10) unsigned NOT NULL DEFAULT '0',
  `tag` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`file_id`,`tag`),
  KEY `#__rokgallery_file_tags_file_id_idx` (`file_id`)
);

--
-- Dumping data for table `#__rokgallery_file_tags`
--

INSERT INTO `#__rokgallery_file_tags` (`file_id`, `tag`) VALUES
(5, 'feature'),
(6, 'feature'),
(7, 'feature'),
(8, 'frontpage'),
(9, 'frontpage'),
(10, 'frontpage');

-- --------------------------------------------------------

--
-- Table structure for table `#__rokgallery_file_views`
--

DROP TABLE IF EXISTS `#__rokgallery_file_views`;
CREATE TABLE IF NOT EXISTS `#__rokgallery_file_views` (
  `file_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kount` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`file_id`),
  UNIQUE KEY `file_id` (`file_id`)
);

-- --------------------------------------------------------

--
-- Table structure for table `#__rokgallery_filters`
--

DROP TABLE IF EXISTS `#__rokgallery_filters`;
CREATE TABLE IF NOT EXISTS `#__rokgallery_filters` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL,
  `query` text NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `rokgallery_profiles_name_idx` (`name`)
);

-- --------------------------------------------------------

--
-- Table structure for table `#__rokgallery_galleries`
--

DROP TABLE IF EXISTS `#__rokgallery_galleries`;
CREATE TABLE IF NOT EXISTS `#__rokgallery_galleries` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL,
  `filetags` longtext,
  `width` int(10) unsigned NOT NULL DEFAULT '910',
  `height` int(10) unsigned NOT NULL DEFAULT '500',
  `keep_aspect` tinyint(1) DEFAULT '0',
  `force_image_size` tinyint(1) DEFAULT '0',
  `thumb_xsize` int(10) unsigned NOT NULL DEFAULT '190',
  `thumb_ysize` int(10) unsigned NOT NULL DEFAULT '150',
  `thumb_background` varchar(12) DEFAULT NULL,
  `thumb_keep_aspect` tinyint(1) DEFAULT '0',
  `auto_publish` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `#__rokgallery_galleries_auto_publish_idx` (`auto_publish`)
);

--
-- Dumping data for table `#__rokgallery_galleries`
--

INSERT INTO `#__rokgallery_galleries` (`id`, `name`, `filetags`, `width`, `height`, `keep_aspect`, `force_image_size`, `thumb_xsize`, `thumb_ysize`, `thumb_background`, `thumb_keep_aspect`, `auto_publish`) VALUES
(1, 'FP RokGallery Feature', 'a:1:{i:0;s:7:"feature";}', 900, 500, 0, 1, 175, 120, 'transparent', 0, 1),
(2, 'FP RokGallery', 'a:1:{i:0;s:9:"frontpage";}', 960, 300, 0, 0, 190, 150, 'transparent', 0, 1);

-- --------------------------------------------------------

--
-- Table structure for table `#__rokgallery_jobs`
--

DROP TABLE IF EXISTS `#__rokgallery_jobs`;
CREATE TABLE IF NOT EXISTS `#__rokgallery_jobs` (
  `id` char(36) NOT NULL DEFAULT '',
  `type` varchar(255) NOT NULL,
  `properties` text,
  `state` varchar(255) NOT NULL,
  `status` text,
  `percent` bigint(20) unsigned DEFAULT NULL,
  `sm` text NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
);

-- --------------------------------------------------------

--
-- Table structure for table `#__rokgallery_profiles`
--

DROP TABLE IF EXISTS `#__rokgallery_profiles`;
CREATE TABLE IF NOT EXISTS `#__rokgallery_profiles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL,
  `profile` text NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `#__rokgallery_profiles_name_idx` (`name`)
);

-- --------------------------------------------------------

--
-- Table structure for table `#__rokgallery_schema_version`
--

DROP TABLE IF EXISTS `#__rokgallery_schema_version`;
CREATE TABLE IF NOT EXISTS `#__rokgallery_schema_version` (
  `version` int(11) DEFAULT NULL
);

--
-- Dumping data for table `#__rokgallery_schema_version`
--

INSERT INTO `#__rokgallery_schema_version` (`version`) VALUES
(2);

-- --------------------------------------------------------

--
-- Table structure for table `#__rokgallery_slices`
--

DROP TABLE IF EXISTS `#__rokgallery_slices`;
CREATE TABLE IF NOT EXISTS `#__rokgallery_slices` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `file_id` int(10) unsigned NOT NULL,
  `gallery_id` int(10) unsigned DEFAULT NULL,
  `guid` char(36) NOT NULL,
  `title` varchar(200) DEFAULT NULL,
  `caption` text,
  `link` text,
  `filesize` int(10) unsigned NOT NULL,
  `xsize` int(10) unsigned NOT NULL,
  `ysize` int(10) unsigned NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `admin_thumb` tinyint(1) NOT NULL DEFAULT '0',
  `manipulations` longtext,
  `palette` text,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `slug` varchar(255) DEFAULT NULL,
  `thumb_xsize` int(10) unsigned NOT NULL,
  `thumb_ysize` int(10) unsigned NOT NULL,
  `thumb_keep_aspect` tinyint(1) NOT NULL DEFAULT '1',
  `thumb_background` varchar(12) DEFAULT NULL,
  `ordering` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `guid` (`guid`),
  UNIQUE KEY `#__rokgallery_slices_sluggable_idx` (`slug`,`gallery_id`),
  KEY `rokgallery_slices_published_idx` (`published`),
  KEY `rokgallery_slices_guid_idx` (`guid`),
  KEY `file_id_idx` (`file_id`),
  KEY `gallery_id_idx` (`gallery_id`)
);

--
-- Dumping data for table `#__rokgallery_slices`
--

INSERT INTO `#__rokgallery_slices` (`id`, `file_id`, `gallery_id`, `guid`, `title`, `caption`, `link`, `filesize`, `xsize`, `ysize`, `published`, `admin_thumb`, `manipulations`, `palette`, `created_at`, `updated_at`, `slug`, `thumb_xsize`, `thumb_ysize`, `thumb_keep_aspect`, `thumb_background`, `ordering`) VALUES
(9, 5, NULL, 'c3d9cf93-e1f6-45e7-8daa-3b53c8d5bf35', 'Admin Thumbnail', 'Admin Thumbnail', NULL, 6644, 300, 180, 0, 1, 'a:2:{i:0;O:37:"RokGallery_Manipulation_Action_Resize":4:{s:7:"\0*\0type";s:6:"resize";s:5:"width";i:300;s:6:"height";i:197;s:8:"\0*\0setup";b:1;}i:1;O:35:"RokGallery_Manipulation_Action_Crop":6:{s:7:"\0*\0type";s:4:"crop";s:4:"left";i:0;s:3:"top";i:9;s:5:"width";i:300;s:6:"height";i:180;s:8:"\0*\0setup";b:1;}}', NULL, '2012-02-01 00:08:26', '2012-02-01 00:08:26', 'admin-thumbnail', 150, 150, 1, NULL, 5),
(10, 6, NULL, '3ce82127-f891-4dfc-84fa-d06c6076d1a8', 'Admin Thumbnail', 'Admin Thumbnail', NULL, 6644, 300, 180, 0, 1, 'a:2:{i:0;O:37:"RokGallery_Manipulation_Action_Resize":4:{s:7:"\0*\0type";s:6:"resize";s:5:"width";i:300;s:6:"height";i:197;s:8:"\0*\0setup";b:1;}i:1;O:35:"RokGallery_Manipulation_Action_Crop":6:{s:7:"\0*\0type";s:4:"crop";s:4:"left";i:0;s:3:"top";i:9;s:5:"width";i:300;s:6:"height";i:180;s:8:"\0*\0setup";b:1;}}', NULL, '2012-02-01 00:08:26', '2012-02-01 00:08:26', 'admin-thumbnail-1', 150, 150, 1, NULL, 4),
(11, 7, NULL, 'f5f655a2-e03b-4dca-f0f5-48bbd71c4a09', 'Admin Thumbnail', 'Admin Thumbnail', NULL, 6644, 300, 180, 0, 1, 'a:2:{i:0;O:37:"RokGallery_Manipulation_Action_Resize":4:{s:7:"\0*\0type";s:6:"resize";s:5:"width";i:300;s:6:"height";i:197;s:8:"\0*\0setup";b:1;}i:1;O:35:"RokGallery_Manipulation_Action_Crop":6:{s:7:"\0*\0type";s:4:"crop";s:4:"left";i:0;s:3:"top";i:9;s:5:"width";i:300;s:6:"height";i:180;s:8:"\0*\0setup";b:1;}}', NULL, '2012-02-01 00:08:26', '2012-02-01 00:08:26', 'admin-thumbnail-2', 150, 150, 1, NULL, 3),
(12, 8, NULL, '08dd40ae-93c5-400b-c16a-837308708dc0', 'Admin Thumbnail', 'Admin Thumbnail', NULL, 6425, 300, 180, 0, 1, 'a:2:{i:0;O:37:"RokGallery_Manipulation_Action_Resize":4:{s:7:"\0*\0type";s:6:"resize";s:5:"width";i:480;s:6:"height";i:180;s:8:"\0*\0setup";b:1;}i:1;O:35:"RokGallery_Manipulation_Action_Crop":6:{s:7:"\0*\0type";s:4:"crop";s:4:"left";i:90;s:3:"top";i:0;s:5:"width";i:300;s:6:"height";i:180;s:8:"\0*\0setup";b:1;}}', NULL, '2012-02-01 00:08:26', '2012-02-01 00:08:26', 'admin-thumbnail-3', 150, 150, 1, NULL, 2),
(13, 9, NULL, '0b5b1ae3-65e2-4aca-85cd-d7a3df048a41', 'Admin Thumbnail', 'Admin Thumbnail', NULL, 6425, 300, 180, 0, 1, 'a:2:{i:0;O:37:"RokGallery_Manipulation_Action_Resize":4:{s:7:"\0*\0type";s:6:"resize";s:5:"width";i:480;s:6:"height";i:180;s:8:"\0*\0setup";b:1;}i:1;O:35:"RokGallery_Manipulation_Action_Crop":6:{s:7:"\0*\0type";s:4:"crop";s:4:"left";i:90;s:3:"top";i:0;s:5:"width";i:300;s:6:"height";i:180;s:8:"\0*\0setup";b:1;}}', NULL, '2012-02-01 00:08:26', '2012-02-01 00:08:26', 'admin-thumbnail-4', 150, 150, 1, NULL, 1),
(14, 10, NULL, '396c306c-2b0e-4a7a-fe16-68088448c348', 'Admin Thumbnail', 'Admin Thumbnail', NULL, 6425, 300, 180, 0, 1, 'a:2:{i:0;O:37:"RokGallery_Manipulation_Action_Resize":4:{s:7:"\0*\0type";s:6:"resize";s:5:"width";i:480;s:6:"height";i:180;s:8:"\0*\0setup";b:1;}i:1;O:35:"RokGallery_Manipulation_Action_Crop":6:{s:7:"\0*\0type";s:4:"crop";s:4:"left";i:90;s:3:"top";i:0;s:5:"width";i:300;s:6:"height";i:180;s:8:"\0*\0setup";b:1;}}', NULL, '2012-02-01 00:08:26', '2012-02-01 00:08:26', 'admin-thumbnail-5', 150, 150, 1, NULL, 0),
(15, 5, 1, 'f406dec0-3953-40ba-fcf1-70e8605ab10a', 'Gantry Framework', 'Powerful core framework', NULL, 27722, 900, 500, 1, 0, 'a:2:{i:0;O:37:"RokGallery_Manipulation_Action_Resize":4:{s:7:"\0*\0type";s:6:"resize";s:5:"width";s:3:"900";s:6:"height";i:591;s:8:"\0*\0setup";b:1;}i:1;O:35:"RokGallery_Manipulation_Action_Crop":6:{s:7:"\0*\0type";s:4:"crop";s:4:"left";i:0;s:3:"top";i:46;s:5:"width";s:3:"900";s:6:"height";s:3:"500";s:8:"\0*\0setup";b:1;}}', NULL, '2012-02-01 00:08:48', '2012-02-01 00:08:49', 'feature3', 175, 120, 0, 'transparent', 2),
(16, 6, 1, 'b1f3274c-22ab-4ac5-d90d-751857219ba4', 'Fusion with MegaMenu', 'Highly customizable', NULL, 27722, 900, 500, 1, 0, 'a:2:{i:0;O:37:"RokGallery_Manipulation_Action_Resize":4:{s:7:"\0*\0type";s:6:"resize";s:5:"width";s:3:"900";s:6:"height";i:591;s:8:"\0*\0setup";b:1;}i:1;O:35:"RokGallery_Manipulation_Action_Crop":6:{s:7:"\0*\0type";s:4:"crop";s:4:"left";i:0;s:3:"top";i:46;s:5:"width";s:3:"900";s:6:"height";s:3:"500";s:8:"\0*\0setup";b:1;}}', NULL, '2012-02-01 00:09:06', '2012-02-01 00:09:07', 'feature2', 175, 120, 0, 'transparent', 1),
(17, 7, 1, '6e69b44b-8efc-43e0-e0cd-625458b3acf8', 'Integrated Addons', 'The template has styled support', NULL, 27722, 900, 500, 1, 0, 'a:2:{i:0;O:37:"RokGallery_Manipulation_Action_Resize":4:{s:7:"\0*\0type";s:6:"resize";s:5:"width";s:3:"900";s:6:"height";i:591;s:8:"\0*\0setup";b:1;}i:1;O:35:"RokGallery_Manipulation_Action_Crop":6:{s:7:"\0*\0type";s:4:"crop";s:4:"left";i:0;s:3:"top";i:46;s:5:"width";s:3:"900";s:6:"height";s:3:"500";s:8:"\0*\0setup";b:1;}}', NULL, '2012-02-01 00:09:34', '2012-02-01 00:09:35', 'feature1', 175, 120, 0, 'transparent', 0),
(18, 8, 2, '714a28f5-dfad-4ca1-fd9e-8693a2f5cc95', 'Extensions Styling', 'Clarion has styled support for a variety of RocketTheme Addons, such as RokNewsPager, as well as K2, the advanced content extension.<br />\n\n<a href="index.php?option=com_content&amp;view=article&amp;id=3&amp;Itemid=112" class="readon medmargintop"><span>More Information</span></a>', NULL, 22952, 960, 300, 1, 0, 'a:2:{i:0;O:37:"RokGallery_Manipulation_Action_Resize":4:{s:7:"\0*\0type";s:6:"resize";s:5:"width";s:3:"960";s:6:"height";i:360;s:8:"\0*\0setup";b:1;}i:1;O:35:"RokGallery_Manipulation_Action_Crop":6:{s:7:"\0*\0type";s:4:"crop";s:4:"left";i:0;s:3:"top";i:30;s:5:"width";s:3:"960";s:6:"height";s:3:"300";s:8:"\0*\0setup";b:1;}}', NULL, '2012-02-01 00:09:52', '2012-02-01 00:10:04', 'showcase1', 190, 150, 0, 'transparent', 2),
(19, 10, 2, 'd5014ef6-c470-47bf-fcc9-bcdcbf1a8c75', 'Powerful Framework', 'Gantry is the core framework of Clarion that offers advanced features such as its sophisticated adminsitrative template interface.<br />\n\n<a href="index.php?option=com_content&amp;view=article&amp;id=25&amp;Itemid=107" class="readon medmargintop"><span>More Information</span></a>', NULL, 22952, 960, 300, 1, 0, 'a:2:{i:0;O:37:"RokGallery_Manipulation_Action_Resize":4:{s:7:"\0*\0type";s:6:"resize";s:5:"width";s:3:"960";s:6:"height";i:360;s:8:"\0*\0setup";b:1;}i:1;O:35:"RokGallery_Manipulation_Action_Crop":6:{s:7:"\0*\0type";s:4:"crop";s:4:"left";i:0;s:3:"top";i:30;s:5:"width";s:3:"960";s:6:"height";s:3:"300";s:8:"\0*\0setup";b:1;}}', NULL, '2012-02-01 00:10:52', '2012-02-01 00:10:53', 'showcase3', 190, 150, 0, 'transparent', 1),
(20, 9, 2, 'f7fa2c77-91fc-4cec-bf4e-db4916c82fd0', 'Advanced Menus', 'Choose between two menu systems: Fusion with MegaMenu (CSS Dropdowns) or Triple Level Splitmenu in the template configuration.<br />\n\n<a href="index.php?option=com_content&amp;view=article&amp;id=5&amp;Itemid=111" class="readon medmargintop"><span>More Information</span></a>', NULL, 22952, 960, 300, 1, 0, 'a:2:{i:0;O:37:"RokGallery_Manipulation_Action_Resize":4:{s:7:"\0*\0type";s:6:"resize";s:5:"width";s:3:"960";s:6:"height";i:360;s:8:"\0*\0setup";b:1;}i:1;O:35:"RokGallery_Manipulation_Action_Crop":6:{s:7:"\0*\0type";s:4:"crop";s:4:"left";i:0;s:3:"top";i:30;s:5:"width";s:3:"960";s:6:"height";s:3:"300";s:8:"\0*\0setup";b:1;}}', NULL, '2012-02-01 00:11:33', '2012-02-01 00:11:33', 'advanced-menus', 190, 150, 0, 'transparent', 0);

-- --------------------------------------------------------

--
-- Table structure for table `#__rokgallery_slices_index`
--

DROP TABLE IF EXISTS `#__rokgallery_slices_index`;
CREATE TABLE IF NOT EXISTS `#__rokgallery_slices_index` (
  `keyword` varchar(200) NOT NULL DEFAULT '',
  `field` varchar(50) NOT NULL DEFAULT '',
  `position` bigint(20) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`keyword`,`field`,`position`,`id`),
  KEY `rokgallery_slices_index_id_idx` (`id`)
);

--
-- Dumping data for table `#__rokgallery_slices_index`
--

INSERT INTO `#__rokgallery_slices_index` (`keyword`, `field`, `position`, `id`) VALUES
('admin', 'caption', 0, 9),
('admin', 'title', 0, 9),
('thumbnail', 'caption', 1, 9),
('thumbnail', 'title', 1, 9),
('admin', 'caption', 0, 10),
('admin', 'title', 0, 10),
('thumbnail', 'caption', 1, 10),
('thumbnail', 'title', 1, 10),
('admin', 'caption', 0, 11),
('admin', 'title', 0, 11),
('thumbnail', 'caption', 1, 11),
('thumbnail', 'title', 1, 11),
('admin', 'caption', 0, 12),
('admin', 'title', 0, 12),
('thumbnail', 'caption', 1, 12),
('thumbnail', 'title', 1, 12),
('admin', 'caption', 0, 13),
('admin', 'title', 0, 13),
('thumbnail', 'caption', 1, 13),
('thumbnail', 'title', 1, 13),
('admin', 'caption', 0, 14),
('admin', 'title', 0, 14),
('thumbnail', 'caption', 1, 14),
('thumbnail', 'title', 1, 14),
('core', 'caption', 1, 15),
('framework', 'caption', 2, 15),
('framework', 'title', 1, 15),
('gantry', 'title', 0, 15),
('powerful', 'caption', 0, 15),
('customizable', 'caption', 1, 16),
('fusion', 'title', 0, 16),
('highly', 'caption', 0, 16),
('megamenu', 'title', 2, 16),
('addons', 'title', 1, 17),
('integrated', 'title', 0, 17),
('styled', 'caption', 3, 17),
('support', 'caption', 4, 17),
('template', 'caption', 1, 17),
('112', 'caption', 39, 18),
('3', 'caption', 36, 18),
('addons', 'caption', 9, 18),
('advanced', 'caption', 18, 18),
('article', 'caption', 33, 18),
('br', 'caption', 21, 18),
('clarion', 'caption', 0, 18),
('class', 'caption', 40, 18),
('com', 'caption', 29, 18),
('content', 'caption', 19, 18),
('content', 'caption', 30, 18),
('extension', 'caption', 20, 18),
('extensions', 'title', 0, 18),
('href', 'caption', 25, 18),
('id', 'caption', 35, 18),
('index', 'caption', 26, 18),
('information', 'caption', 45, 18),
('itemid', 'caption', 38, 18),
('k2', 'caption', 16, 18),
('medmargintop', 'caption', 42, 18),
('option', 'caption', 28, 18),
('php', 'caption', 27, 18),
('readon', 'caption', 41, 18),
('rockettheme', 'caption', 8, 18),
('roknewspager', 'caption', 12, 18),
('span', 'caption', 43, 18),
('span', 'caption', 46, 18),
('styled', 'caption', 2, 18),
('styling', 'title', 1, 18),
('support', 'caption', 3, 18),
('variety', 'caption', 6, 18),
('view', 'caption', 32, 18),
('107', 'caption', 36, 19),
('25', 'caption', 33, 19),
('adminsitrative', 'caption', 15, 19),
('advanced', 'caption', 9, 19),
('article', 'caption', 30, 19),
('br', 'caption', 18, 19),
('clarion', 'caption', 6, 19),
('class', 'caption', 37, 19),
('com', 'caption', 26, 19),
('content', 'caption', 27, 19),
('core', 'caption', 3, 19),
('features', 'caption', 10, 19),
('framework', 'caption', 4, 19),
('framework', 'title', 1, 19),
('gantry', 'caption', 0, 19),
('href', 'caption', 22, 19),
('id', 'caption', 32, 19),
('index', 'caption', 23, 19),
('information', 'caption', 42, 19),
('interface', 'caption', 17, 19),
('itemid', 'caption', 35, 19),
('its', 'caption', 13, 19),
('medmargintop', 'caption', 39, 19),
('offers', 'caption', 8, 19),
('option', 'caption', 25, 19),
('php', 'caption', 24, 19),
('powerful', 'title', 0, 19),
('readon', 'caption', 38, 19),
('sophisticated', 'caption', 14, 19),
('span', 'caption', 40, 19),
('span', 'caption', 43, 19),
('template', 'caption', 16, 19),
('view', 'caption', 29, 19),
('111', 'caption', 36, 20),
('5', 'caption', 33, 20),
('advanced', 'title', 0, 20),
('article', 'caption', 30, 20),
('between', 'caption', 1, 20),
('br', 'caption', 18, 20),
('choose', 'caption', 0, 20),
('class', 'caption', 37, 20),
('com', 'caption', 26, 20),
('configuration', 'caption', 17, 20),
('content', 'caption', 27, 20),
('css', 'caption', 8, 20),
('dropdowns', 'caption', 9, 20),
('fusion', 'caption', 5, 20),
('href', 'caption', 22, 20),
('id', 'caption', 32, 20),
('index', 'caption', 23, 20),
('information', 'caption', 42, 20),
('itemid', 'caption', 35, 20),
('level', 'caption', 12, 20),
('medmargintop', 'caption', 39, 20),
('megamenu', 'caption', 7, 20),
('menus', 'title', 1, 20),
('option', 'caption', 25, 20),
('php', 'caption', 24, 20),
('readon', 'caption', 38, 20),
('span', 'caption', 40, 20),
('span', 'caption', 43, 20),
('splitmenu', 'caption', 13, 20),
('systems', 'caption', 4, 20),
('template', 'caption', 16, 20),
('triple', 'caption', 11, 20),
('view', 'caption', 29, 20);

-- --------------------------------------------------------

--
-- Table structure for table `#__rokgallery_slice_tags`
--

DROP TABLE IF EXISTS `#__rokgallery_slice_tags`;
CREATE TABLE IF NOT EXISTS `#__rokgallery_slice_tags` (
  `slice_id` int(10) unsigned NOT NULL DEFAULT '0',
  `tag` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`slice_id`,`tag`),
  KEY `rokgallery_slice_tags_slice_id_idx` (`slice_id`)
);

-- --------------------------------------------------------

--
-- Table structure for table `#__template_styles`
--

DROP TABLE IF EXISTS `#__template_styles`;
CREATE TABLE IF NOT EXISTS `#__template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_home` (`home`)
);

--
-- Dumping data for table `#__template_styles`
--

INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES
(2, 'bluestork', 1, '1', 'Bluestork - Default', '{"useRoundedCorners":"1","showSiteName":"0"}'),
(3, 'atomic', 0, '0', 'Atomic - Default', '{}'),
(4, 'beez_20', 0, '0', 'Beez2 - Default', '{"wrapperSmall":"53","wrapperLarge":"72","logo":"images\\/joomla_black.gif","sitetitle":"Joomla!","sitedescription":"Open Source Content Management","navposition":"left","templatecolor":"personal","html5":"0"}'),
(5, 'hathor', 1, '0', 'Hathor - Default', '{"showSiteName":"0","colourChoice":"","boldText":"0"}'),
(6, 'beez5', 0, '0', 'Beez5 - Default', '{"wrapperSmall":"53","wrapperLarge":"72","logo":"images\\/sampledata\\/fruitshop\\/fruits.gif","sitetitle":"Joomla!","sitedescription":"Open Source Content Management","navposition":"left","html5":"0"}'),
(7, 'rt_clarion', 0, '1', 'rt_clarion - Default', '{"master":"true","current_id":"7","template_full_name":"Clarion","grid_system":"12","template_prefix":"clarion-","cookie_time":"31536000","name":"Preset1","copy_lang_files_if_diff":"1","main":{"body":"light","accent":"#00AFF0"},"bgstyle":"wavy-lines-light","loadtransition":"1","webfonts":{"enabled":"0","source":"google"},"font":{"family":"clarion","size":"default","size-is":"default"},"viewswitcher-priority":"1","logo-priority":"2","copyright-priority":"3","styledeclaration-priority":"4","iphonegradients-priority":"5","date-priority":"6","fontsizer-priority":"7","totop-priority":"8","systemmessages-priority":"9","inactive-priority":"10","iphoneimages-priority":"11","morearticles-priority":"12","smartload-priority":"13","pagesuffix-priority":"14","resetsettings-priority":"15","analytics-priority":"16","belatedpng-priority":"17","fusionmenu-priority":"18","ie6splash-priority":"19","jstools-priority":"21","moduleoverlays-priority":"22","rtl-priority":"23","splitmenu-priority":"24","splicemenu-priority":"25","touchmenu-priority":"26","webfonts-priority":"27","styledeclaration-enabled":"1","logo":{"enabled":"1","position":"navigation-a","autosize":"1","perstyle":"1","css":"body #logo-inner"},"date":{"enabled":"0","position":"utility-a","clientside":"0","formats":"%A, %B %d, %Y"},"fontsizer":{"enabled":"0","position":"utility-b"},"login":{"enabled":"0","position":"utility-c","text":"Member Login","logouttext":"Logout"},"popup":{"enabled":"0","position":"utility-d","text":"Popup Module","width":"250","height":"235"},"branding":{"enabled":"1","position":"copyright-c"},"copyright":{"enabled":"1","position":"copyright-a","text":"Designed by RocketTheme","layout":"3,3,3,3","showall":"0","showmax":"6"},"smartload":{"enabled":"1","text":"200","ignores":"com_community,com_contact,com_k2,com_tienda,com_weblinks","exclusion":""},"morearticles":{"enabled":"0","text":"Load More Articles","pagination":"1"},"totop":{"enabled":"1","position":"copyright-b","text":"Back to Top"},"systemmessages":{"enabled":"1","position":"drawer"},"resetsettings":{"enabled":"0","position":"footer-b","text":"Reset Settings"},"analytics":{"enabled":"0","code":"","position":"analytics"},"menu":{"enabled":"1","type":"fusionmenu","fusionmenu":{"menutype":"mainmenu","position":"navigation-b","enable_js":"1","opacity":"1","effect":"slidefade","hidedelay":"500","menu-animation":"Circ.easeOut","menu-duration":"300","centered-offset":"0","tweak-initial-x":"-10","tweak-initial-y":"-11","tweak-subsequent-x":"-8","tweak-subsequent-y":"-18","tweak-width":"20","tweak-height":"20","enable-current-id":"0","theme":"gantry-fusion","limit_levels":"0","startLevel":"0","showAllChildren":"1","class_sfx":"top","cache":"0","module_cache":"1"},"splitmenu":{"roknavmenu_fusion_enable-current-id":"0","menutype":"mainmenu","theme":"gantry-splitmenu","cache":"0","module_cache":"1","mainmenu-position":"navigation-b","mainmenu-limit_levels":"1","mainmenu-startLevel":"0","mainmenu-endLevel":"0","mainmenu-class_sfx":"top","submenu-position":"subnavigation","submenu-limit_levels":"1","submenu-startLevel":"1","submenu-endLevel":"1","submenu-class_sfx":"","sidemenu-position":"sidebar-a","sidemenu-module_sfx":"","sidemenu-limit_levels":"1","sidemenu-startLevel":"2","sidemenu-endLevel":"9"}},"top":{"layout":"3,3,3,3","showall":"0","showmax":"6"},"navigation":{"layout":"a:1:{i:12;a:1:{i:2;a:2:{i:0;i:4;i:1;i:8;}}}","showall":"0","showmax":"6"},"header":{"layout":"3,3,3,3","showall":"0","showmax":"6"},"showcase":{"layout":"3,3,3,3","showall":"0","showmax":"6"},"feature":{"layout":"3,3,3,3","showall":"0","showmax":"6"},"utility":{"layout":"3,3,3,3","showall":"0","showmax":"6"},"maintop":{"layout":"3,3,3,3","showall":"0","showmax":"6"},"mainbodyPosition":"a:1:{i:12;a:2:{i:1;a:1:{s:2:\\"mb\\";i:12;}i:2;a:2:{s:2:\\"mb\\";i:8;s:2:\\"sa\\";i:4;}}}","mainbottom":{"layout":"3,3,3,3","showall":"0","showmax":"6"},"extension":{"layout":"3,3,3,3","showall":"0","showmax":"6"},"bottom":{"layout":"3,3,3,3","showall":"0","showmax":"6"},"footer":{"layout":"3,3,3,3","showall":"0","showmax":"6"},"iphone-enabled":"1","android-enabled":"1","iphone-scalable":"0","iphone-switcher":{"enabled":"1","position":"mobile-copyright"},"touchmenu":{"menutype":"mainmenu","enabled":"1","position":"mobile-navigation","theme":"touch","animation":"swap","cache":"0","module_cache":"1","startLevel":"0","endLevel":"20","showAllChildren":"1"},"iphoneimages":{"enabled":"1","minWidth":"80","percentage":"12"},"mobile":{"drawer":"drawer","top":"mobile-top","header":"header-a","navigation":"mobile-navigation","showcase":"mobile-showcase","feature":"mainbottom-d","utility":"mobile-utility","extension":"extension-a","bottom":"bottom-b","footer":"footer-a","copyright":"copyright-a"},"cache":{"enabled":"1","time":"900"},"gzipper":{"enabled":"0","time":"600","expirestime":"1440","stripwhitespace":"1"},"inputstyling":{"enabled":"1","exclusions":"''.content_vote'',''#rt-popup'',''#rt-popuplogin'',''#vmMainPage''"},"file-inline-js-enabled":"0","component-enabled":"1","mainbody-enabled":"1","rtl-enabled":"1","buildspans-enabled":"1","moduleoverlays-enabled":"1","pagesuffix-enabled":"1","typography":{"enabled":"1","style":"light"},"extensions":"1","k2":"1","inactive":{"enabled":"1"},"ie6splash-enabled":"1"}'),
(8, 'rt_clarion', 0, '0', 'rt_clarion - Module Positions', '{"master":"7","current_id":"8","mainbodyPosition":"a:1:{i:12;a:2:{i:1;a:1:{s:2:\\"mb\\";i:12;}i:2;a:2:{s:2:\\"mb\\";i:6;s:2:\\"sa\\";i:6;}}}"}'),
(9, 'rt_clarion', 0, '0', 'rt_clarion - Home', '{"master":"7","current_id":"9","feature":{"layout":"a:1:{i:12;a:1:{i:2;a:2:{i:0;i:3;i:1;i:9;}}}"}}');

-- --------------------------------------------------------

--
-- Table structure for table `#__update_sites`
--

DROP TABLE IF EXISTS `#__update_sites`;
CREATE TABLE IF NOT EXISTS `#__update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `location` text NOT NULL,
  `enabled` int(11) DEFAULT '0',
  `last_check_timestamp` bigint(20) DEFAULT '0',
  PRIMARY KEY (`update_site_id`)
);

--
-- Dumping data for table `#__update_sites`
--

INSERT INTO `#__update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`) VALUES
(1, 'Joomla Core', 'collection', 'http://update.joomla.org/core/list.xml', 1, 0),
(2, 'Joomla Extension Directory', 'collection', 'http://update.joomla.org/jed/list.xml', 1, 0),
(3, 'Accredited Joomla! Translations', 'collection', 'http://update.joomla.org/language/translationlist.xml', 1, 0),
(4, 'RocketTheme Update Directory', 'collection', 'http://updates.rockettheme.com/joomla/updates.xml', 1, 0),
(5, 'Gantry Framework Update Site', 'extension', 'http://www.gantry-framework.org/updates/joomla16/gantry.xml', 1, 0);

-- --------------------------------------------------------

--
-- Table structure for table `#__update_sites_extensions`
--

DROP TABLE IF EXISTS `#__update_sites_extensions`;
CREATE TABLE IF NOT EXISTS `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT '0',
  `extension_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`update_site_id`,`extension_id`)
);

--
-- Dumping data for table `#__update_sites_extensions`
--

INSERT INTO `#__update_sites_extensions` (`update_site_id`, `extension_id`) VALUES
(1, 700),
(2, 700),
(3, 600),
(4, 10022),
(4, 10040),
(5, 10037);

-- --------------------------------------------------------

--
-- Table structure for table `#__viewlevels`
--

DROP TABLE IF EXISTS `#__viewlevels`;
CREATE TABLE IF NOT EXISTS `#__viewlevels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
);

--
-- Dumping data for table `#__viewlevels`
--

INSERT INTO `#__viewlevels` (`id`, `title`, `ordering`, `rules`) VALUES
(1, 'Public', 0, '[1]'),
(2, 'Registered', 1, '[6,2,8]'),
(3, 'Special', 2, '[6,3,8]');

-- --------------------------------------------------------

--
-- Table structure for table `#__weblinks`
--

DROP TABLE IF EXISTS `#__weblinks`;
CREATE TABLE IF NOT EXISTS `#__weblinks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL DEFAULT '0',
  `sid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(250) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `url` varchar(250) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(11) NOT NULL DEFAULT '0',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `archived` tinyint(1) NOT NULL DEFAULT '0',
  `approved` tinyint(1) NOT NULL DEFAULT '1',
  `access` int(11) NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if link is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
);

--
-- Dumping data for table `#__weblinks`
--

INSERT INTO `#__weblinks` (`id`, `catid`, `sid`, `title`, `alias`, `url`, `description`, `date`, `hits`, `state`, `checked_out`, `checked_out_time`, `ordering`, `archived`, `approved`, `access`, `params`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`) VALUES
(1, 14, 0, 'Joomla Templates', 'joomla-templates', 'http://www.rockettheme.com/joomla', '', '0000-00-00 00:00:00', 0, 1, 0, '0000-00-00 00:00:00', 1, 0, 1, 1, '{"target":"","width":"","height":"","count_clicks":""}', '*', '2012-01-31 00:14:55', 367, '', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(2, 14, 0, 'WordPress Themes', 'wordpress-themes', 'http://www.rockettheme.com/wordpress', '', '0000-00-00 00:00:00', 0, 1, 0, '0000-00-00 00:00:00', 2, 0, 1, 1, '{"target":"","width":"","height":"","count_clicks":""}', '*', '2012-01-31 00:15:07', 367, '', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(3, 14, 0, 'Magento Templates', 'magento-templates', 'http://www.rockettheme.com/magento', '', '0000-00-00 00:00:00', 0, 1, 0, '0000-00-00 00:00:00', 3, 0, 1, 1, '{"target":"","width":"","height":"","count_clicks":""}', '*', '2012-01-31 00:15:18', 367, '', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(4, 14, 0, 'phpBB3 Styles', 'phpbb3-styles', 'http://www.rockettheme.com/phpBB3', '', '0000-00-00 00:00:00', 0, 1, 0, '0000-00-00 00:00:00', 4, 0, 1, 1, '{"target":"","width":"","height":"","count_clicks":""}', '*', '2012-01-31 00:15:31', 367, '', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00');

--
-- Constraints for dumped tables
--

--
-- Constraints for table `#__rokgallery_files_index`
--
ALTER TABLE `#__rokgallery_files_index`
  ADD CONSTRAINT `#__rokgallery_files_index_id_idx` FOREIGN KEY (`id`) REFERENCES `#__rokgallery_files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `#__rokgallery_file_loves`
--
ALTER TABLE `#__rokgallery_file_loves`
  ADD CONSTRAINT `#__file_loves_file_id_files_id` FOREIGN KEY (`file_id`) REFERENCES `#__rokgallery_files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `#__rokgallery_file_tags`
--
ALTER TABLE `#__rokgallery_file_tags`
  ADD CONSTRAINT `#__file_tags_file_id_files_id` FOREIGN KEY (`file_id`) REFERENCES `#__rokgallery_files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `#__rokgallery_file_views`
--
ALTER TABLE `#__rokgallery_file_views`
  ADD CONSTRAINT `#__file_views_file_id__files_id` FOREIGN KEY (`file_id`) REFERENCES `#__rokgallery_files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `#__rokgallery_slices`
--
ALTER TABLE `#__rokgallery_slices`
  ADD CONSTRAINT `#__slices_file_id_files_id` FOREIGN KEY (`file_id`) REFERENCES `#__rokgallery_files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `#__slices_gallery_id_galleries_id` FOREIGN KEY (`gallery_id`) REFERENCES `#__rokgallery_galleries` (`id`) ON DELETE SET NULL ON UPDATE CASCADE;

--
-- Constraints for table `#__rokgallery_slices_index`
--
ALTER TABLE `#__rokgallery_slices_index`
  ADD CONSTRAINT `#__rokgallery_slices_index_id_idx` FOREIGN KEY (`id`) REFERENCES `#__rokgallery_slices` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `#__rokgallery_slice_tags`
--
ALTER TABLE `#__rokgallery_slice_tags`
  ADD CONSTRAINT `#__slice_tags_slice_id_slices_id` FOREIGN KEY (`slice_id`) REFERENCES `#__rokgallery_slices` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;